****************************
* File: background.do 
* Questionnaire type: Background
* Country: Cambodia
*****************************

version 10.0
cd "Source/Cambodia 2004 P E/Data/4.1. Data"
capture clear
capture log close
clear
set mem 700m
set more off
use "background.dta"

**************************************************
***  Ensure response value labels are correct.
**************************************************


replace stude_ah=6 if stude_ah==8
replace stude_ag=6 if stude_ag==8

label define studen_g 1 `"house made of bamboo"', modify
label define studen_g 2 `"house made of wood or logs"', modify
label define studen_g 3 `"house made of bricks, concrete or stone"', modify
label define studen_g 4 `"other"', modify
label define stude_an 1 `"never"', modify
label define stude_an 2 `"1 or 2 days"', modify
label define stude_an 3 `"3 or 4 days"', modify
label define stude_an 4 `"every day"', modify
label define stude_am 1 `"never"', modify
label define stude_am 2 `"1 or 2 days"', modify
label define stude_am 3 `"3 or 4 days"', modify
label define stude_am 4 `"every day"', modify
label define stude_al 1 `"on foot"', modify
label define stude_al 2 `"by bicycle"', modify
label define stude_al 3 `"by car"', modify
label define stude_al 4 `"by bus"', modify
label define stude_al 5 `"by moto"', modify
label define stude_al 6 `"other"', modify
label define stude_ak 1 `"less than 15 minutes"', modify
label define stude_ak 2 `"between 15 and 30 minutes"', modify
label define stude_ak 3 `"between 30 and 60 minutes"', modify
label define stude_ak 4 `"more than 1 hour"', modify
label define stude_aj 1 `"never"', modify
label define stude_aj 2 `"sometimes"', modify
label define stude_aj 3 `"often"', modify
label define stude_aj 4 `"only when i get stuck"', modify
label define stude_ai 1 `"never"', modify
label define stude_ai 2 `"1 to 2 days"', modify
label define stude_ai 3 `"3 to 4 days"', modify
label define stude_ai 4 `"every day"', modify
label define stude_ah 1 `"never been to school"', modify
label define stude_ah 2 `"primary school (g1 to g6)"', modify
label define stude_ah 3 `"secondary school (g7 to g12)"', modify
label define stude_ah 4 `"certificate"', modify
label define stude_ah 5 `"university"', modify
label define stude_ah 6 `"other"', modify
label define stude_ah 6 `"don't know"', modify
label define stude_ag 1 `"never been to school"', modify
label define stude_ag 2 `"primary school (g1 to g6)"', modify
label define stude_ag 3 `"secondary school (g7 to g12)"', modify
label define stude_ag 4 `"certificate"', modify
label define stude_ag 5 `"university"', modify
label define stude_ag 6 `"other"', modify
label define stude_ag 6 `"don't know"', modify
label define stude_af 1 `"never"', modify
label define stude_af 2 `"1 to 2 days"', modify
label define stude_af 3 `"3 to 4 days"', modify
label define stude_af 4 `"5 to 6 days"', modify
label define stude_af 5 `"everyday"', modify
label define stude_ae 1 `"never"', modify
label define stude_ae 2 `"1 to 2 days"', modify
label define stude_ae 3 `"3 to 4 days"', modify
label define stude_ae 4 `"5 to 6 days"', modify
label define stude_ae 5 `"everyday"', modify
label define stude_ad 1 `"never"', modify
label define stude_ad 2 `"1 to 2 days"', modify
label define stude_ad 3 `"3 to 4 days"', modify
label define stude_ad 4 `"5 to 6 days"', modify
label define stude_ad 5 `"everyday"', modify
label define studen_y 0 `"no"', modify
label define studen_y 1 `"yes"', modify
label define studen_x 0 `"no"', modify
label define studen_x 1 `"yes"', modify
label define studen_w 0 `"no"', modify
label define studen_w 1 `"yes"', modify
label define studen_v 0 `"no"', modify
label define studen_v 1 `"yes"', modify
label define studen_u 0 `"no"', modify
label define studen_u 1 `"yes"', modify
label define studen_t 0 `"no"', modify
label define studen_t 1 `"yes"', modify
label define studen_s 0 `"no"', modify
label define studen_s 1 `"yes"', modify
label define studen_r 0 `"no"', modify
label define studen_r 1 `"yes"', modify
label define studen_q 0 `"no"', modify
label define studen_q 1 `"yes"', modify
label define studen_p 0 `"no"', modify
label define studen_p 1 `"yes"', modify
label define studen_o 0 `"no"', modify
label define studen_o 1 `"yes"', modify
label define studen_n 0 `"no"', modify
label define studen_n 1 `"yes"', modify
label define studen_m 0 `"no"', modify
label define studen_m 1 `"yes"', modify
label define studen_l 0 `"no"', modify
label define studen_l 1 `"yes"', modify
label define studen_k 0 `"no"', modify
label define studen_k 1 `"yes"', modify
label define studen_j 0 `"no"', modify
label define studen_j 1 `"yes"', modify
label define studen_i 0 `"no"', modify
label define studen_i 1 `"yes"', modify
label define studen_h 1 `"electricity"', modify
label define studen_h 2 `"battery"', modify
label define studen_h 3 `"kerosene lamp"', modify
label define studen_h 4 `"candles"', modify
label define studen_h 5 `"firewood"', modify
label define studen_h 6 `"none"', modify
label define studen_h 7 `"other"', modify
label define studen_f 0 `"no"', modify
label define studen_f 1 `"yes"', modify
label define studen_e 0 `"other"', modify
label define studen_e 1 `"khmer"', modify
label define studen_e 2 `"cham"', modify
label define studen_e 3 `"chinese"', modify
label define studen_e 4 `"vietnamese"', modify
label define studen_e 5 `"thai"', modify
label define studen_e 6 `"lao"', modify
label define studen_d 0 `"other"', modify
label define studen_d 1 `"mother and father"', modify
label define studen_d 2 `"mother only"', modify
label define studen_d 3 `"father only"', modify
label define studen_d 4 `"step-parent"', modify
label define studen_d 5 `"sibling"', modify
label define studen_d 6 `"aunt/uncle"', modify
label define studen_d 7 `"grandparents"', modify
label define studen_d 8 `"other relative"', modify
label define studen_d 9 `"boarding"', modify
label define studen_a 4 `"grade 4"', modify
label define studen_a 6 `"grade 6"', modify
label define student 1 `"boy"', modify
label define student 2 `"girl"', modify

replace studen_g=4 if studen_g==5

**************************************************
*** Recode missing values
***************************************************
/*
DONT KNOW (-666):.d 
NOT APPLICABLE (-777):.n
LACK OF RECORDS (-888):.l
REFUSED TO ANSWER (-999):.r
*/

*    DECODE MISSING VALUES
# d ;
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);

qui mvdecode student studen_f  studen_g  studen_i  studen_j  studen_k  studen_l  studen_m  studen_n  studen_o  studen_p  studen_q  studen_r  studen_s  studen_t  studen_u  studen_v  studen_w  studen_x  studen_y  stude_ad  stude_ae  stude_af  stude_ai  stude_aj  stude_ak  stude_al  stude_am  stude_an, mv(
9=.r \
8=.l \
7=.n \
6=.d);

qui mvdecode   studen_a  , mv(
9=.r\
8=.l \
7=.n \
);

qui mvdecode   studen_e   , mv(
9=.r\
8=.l \
7=.n \
);

qui mvdecode   studen_h   , mv(
9=.r\
8=.l \
);

qui mvdecode   stude_ag  stude_ah  , mv(
9=.r\
7=.n \
6=.d);

# d cr;

**************************************************
***  Identify skip patterns
**************************************************
* Recode missing values to Stata missing values, for tests and data inspection.
quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -999 = .r) 

**************************************************
***  Identify outliers
**************************************************

mvdecode student  studen_a  studen_b  studen_c  studen_d  studen_e  studen_f  studen_g  studen_h  studen_i  studen_j  studen_k  studen_l  studen_m  studen_n  studen_o  studen_p  studen_q  studen_r  studen_s  studen_t  studen_u  studen_v  studen_w  studen_x  studen_y  studen_z  stude_aa  stude_ab  stude_ac  stude_ad  stude_ae  stude_af  stude_ag  stude_ah  stude_ai  stude_aj  stude_ak  stude_al  stude_am  stude_an, mv(0=.z)
grubbs  student  studen_a  studen_b  studen_c  studen_d  studen_e  studen_f  studen_g  studen_h  studen_i  studen_j  studen_k  studen_l  studen_m  studen_n  studen_o  studen_p  studen_q  studen_r  studen_s  studen_t  studen_u  studen_v  studen_w  studen_x  studen_y  studen_z  stude_aa  stude_ab  stude_ac  stude_ad  stude_ae  stude_af  stude_ag  stude_ah  stude_ai  stude_aj  stude_ak  stude_al  stude_am  stude_an, level(99.99)
mvencode student  studen_a  studen_b  studen_c  studen_d  studen_e  studen_f  studen_g  studen_h  studen_i  studen_j  studen_k  studen_l  studen_m  studen_n  studen_o  studen_p  studen_q  studen_r  studen_s  studen_t  studen_u  studen_v  studen_w  studen_x  studen_y  studen_z  stude_aa  stude_ab  stude_ac  stude_ad  stude_ae  stude_af  stude_ag  stude_ah  stude_ai  stude_aj  stude_ak  stude_al  stude_am  stude_an, mv(.z = 0)

**************************************************
*** Identify errors to be reviewed
**************************************************
cd "Source/Cambodia 2004 P E/Data/4.3. Clean Data/4.3.3. Data Code Book"
log using "background codebook errors", replace
codebook grubbs_*, compact
log close
drop grubbs_* 


* Encode missing STATA values back to missing value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999)


