****************************
* File: literacy.do 
* Questionnaire type: Literacy Test
* Country: Cambodia
*****************************

version 10.0
cd "Source/Cambodia 2004 P E/Data/4.1. Data"
capture clear
capture log close
clear
set mem 700m
set more off
use "literacy.dta"
**************************************************
*** Ensure unique id
***************************************************

gen uid = _n
**************************************************
***  Ensure response value labels are correct.
**************************************************

label define litera_w 0 `"Incorrect"', modify
label define litera_w 1 `"Correct"', modify
label define litera_w 2 `"Not attempted"', modify
label define litera_v 0 `"Incorrect"', modify
label define litera_v 1 `"Correct"', modify
label define litera_v 2 `"Not attempted"', modify
label define litera_u 0 `"Incorrect"', modify
label define litera_u 1 `"Correct"', modify
label define litera_u 2 `"Not attempted"', modify
label define litera_t 0 `"Incorrect"', modify
label define litera_t 1 `"Correct"', modify
label define litera_t 2 `"Not attempted"', modify
label define litera_s 0 `"Incorrect"', modify
label define litera_s 1 `"Correct"', modify
label define litera_s 2 `"Not attempted"', modify
label define litera_r 0 `"Incorrect"', modify
label define litera_r 1 `"Correct"', modify
label define litera_r 2 `"Not attempted"', modify
label define litera_q 0 `"Incorrect"', modify
label define litera_q 1 `"Correct"', modify
label define litera_q 2 `"Not attempted"', modify
label define litera_p 0 `"Incorrect"', modify
label define litera_p 1 `"Correct"', modify
label define litera_p 2 `"Not attempted"', modify
label define litera_o 0 `"Incorrect"', modify
label define litera_o 1 `"Correct"', modify
label define litera_o 2 `"Not attempted"', modify
label define litera_n 0 `"Incorrect"', modify
label define litera_n 1 `"Correct"', modify
label define litera_n 2 `"Not attempted"', modify
label define litera_m 0 `"Incorrect"', modify
label define litera_m 1 `"Correct"', modify
label define litera_m 2 `"Not attempted"', modify
label define litera_l 0 `"Incorrect"', modify
label define litera_l 1 `"Correct"', modify
label define litera_l 2 `"Not attempted"', modify
label define litera_k 0 `"Incorrect"', modify
label define litera_k 1 `"Correct"', modify
label define litera_k 2 `"Not attempted"', modify
label define litera_j 0 `"Incorrect"', modify
label define litera_j 1 `"Correct"', modify
label define litera_j 2 `"Not attempted"', modify
label define litera_i 0 `"Incorrect"', modify
label define litera_i 1 `"Correct"', modify
label define litera_i 2 `"Not attempted"', modify
label define litera_h 0 `"Incorrect"', modify
label define litera_h 1 `"Correct"', modify
label define litera_h 2 `"Not attempted"', modify
label define litera_g 0 `"Incorrect"', modify
label define litera_g 1 `"Correct"', modify
label define litera_g 2 `"Not attempted"', modify
label define litera_f 0 `"Incorrect"', modify
label define litera_f 1 `"Correct"', modify
label define litera_f 2 `"Not attempted"', modify
label define litera_e 0 `"Incorrect"', modify
label define litera_e 1 `"Correct"', modify
label define litera_e 2 `"Not attempted"', modify
label define litera_d 0 `"Incorrect"', modify
label define litera_d 1 `"Correct"', modify
label define litera_d 2 `"Not attempted"', modify
label define litera_c 0 `"Incorrect"', modify
label define litera_c 1 `"Correct"', modify
label define litera_c 2 `"Not attempted"', modify
label define litera_b 0 `"Incorrect"', modify
label define litera_b 1 `"Correct"', modify
label define litera_b 2 `"Not attempted"', modify
label define litera_a 0 `"Incorrect"', modify
label define litera_a 1 `"Correct"', modify
label define litera_a 2 `"Not attempted"', modify
label define literacy 0 `"Incorrect"', modify
label define literacy 1 `"Correct"', modify
label define literacy 2 `"Not attempted"', modify

**************************************************
*** Recode missing values
***************************************************
/*
DONT KNOW (-666):.d 
NOT APPLICABLE (-777):.n
LACK OF RECORDS (-888):.l
REFUSED TO ANSWER (-999):.r
*/
*    DECODE MISSING VALUES
# d ;
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);


qui mvdecode litera_w litera_v litera_u litera_t litera_s litera_r litera_q litera_p litera_o litera_n litera_m litera_l litera_k litera_j litera_i litera_h litera_g litera_f litera_e litera_d litera_c litera_b litera_a literacy, mv(
9=.r \
8=.l \
7=.n \
6=.d);

# d cr;


**************************************************
***  Identify outliers
**************************************************

* Encode missing STATA values back to missing value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999)

mvdecode litera_w litera_v litera_u litera_t litera_s litera_r litera_q litera_p litera_o litera_n litera_m litera_l litera_k litera_j litera_i litera_h litera_g litera_f litera_e litera_d litera_c litera_b litera_a literacy, mv(0=.z)
mvencode litera_w litera_v litera_u litera_t litera_s litera_r litera_q litera_p litera_o litera_n litera_m litera_l litera_k litera_j litera_i litera_h litera_g litera_f litera_e litera_d litera_c litera_b litera_a literacy, mv(.z = 0)



