****************************
* File: numeracy.do 
* Questionnaire type: Numeracy Test
* Country: Cambodia
*****************************

version 10.0
cd "Source/Cambodia 2004 P E/Data/4.1. Data"
capture clear
capture log close
clear
set mem 700m
set more off
use "numeracy.dta"

**************************************************
***  Ensure response value labels are correct.
**************************************************

label define numera_x 0 `"Incorrect"', modify
label define numera_x 1 `"Correct"', modify
label define numera_x 2 `"Not attempted"', modify
label define numera_w 0 `"Incorrect"', modify
label define numera_w 1 `"Correct"', modify
label define numera_w 2 `"Not attempted"', modify
label define numera_v 0 `"Incorrect"', modify
label define numera_v 1 `"Correct"', modify
label define numera_v 2 `"Not attempted"', modify
label define numera_u 0 `"Incorrect"', modify
label define numera_u 1 `"Correct"', modify
label define numera_u 2 `"Not attempted"', modify
label define numera_t 0 `"Incorrect"', modify
label define numera_t 1 `"Correct"', modify
label define numera_t 2 `"Not attempted"', modify
label define numera_s 0 `"Incorrect"', modify
label define numera_s 1 `"Correct"', modify
label define numera_s 2 `"Not attempted"', modify
label define numera_r 0 `"Incorrect"', modify
label define numera_r 1 `"Correct"', modify
label define numera_r 2 `"Not attempted"', modify
label define numera_q 0 `"Incorrect"', modify
label define numera_q 1 `"Correct"', modify
label define numera_q 2 `"Not attempted"', modify
label define numera_p 0 `"Incorrect"', modify
label define numera_p 1 `"Correct"', modify
label define numera_p 2 `"Not attempted"', modify
label define numera_o 0 `"Incorrect"', modify
label define numera_o 1 `"Correct"', modify
label define numera_o 2 `"Not attempted"', modify
label define numera_n 0 `"Incorrect"', modify
label define numera_n 1 `"Correct"', modify
label define numera_n 2 `"Not attempted"', modify
label define numera_m 0 `"Incorrect"', modify
label define numera_m 1 `"Correct"', modify
label define numera_m 2 `"Not attempted"', modify
label define numera_l 0 `"Incorrect"', modify
label define numera_l 1 `"Correct"', modify
label define numera_l 2 `"Not attempted"', modify
label define numera_k 0 `"Incorrect"', modify
label define numera_k 1 `"Correct"', modify
label define numera_k 2 `"Not attempted"', modify
label define numera_j 0 `"Incorrect"', modify
label define numera_j 1 `"Correct"', modify
label define numera_j 2 `"Not attempted"', modify
label define numera_i 0 `"Incorrect"', modify
label define numera_i 1 `"Correct"', modify
label define numera_i 2 `"Not attempted"', modify
label define numera_h 0 `"Incorrect"', modify
label define numera_h 1 `"Correct"', modify
label define numera_h 2 `"Not attempted"', modify
label define numera_g 0 `"Incorrect"', modify
label define numera_g 1 `"Correct"', modify
label define numera_g 2 `"Not attempted"', modify
label define numera_f 0 `"Incorrect"', modify
label define numera_f 1 `"Correct"', modify
label define numera_f 2 `"Not attempted"', modify
label define numera_e 0 `"Incorrect"', modify
label define numera_e 1 `"Correct"', modify
label define numera_e 2 `"Not attempted"', modify
label define numera_d 0 `"Incorrect"', modify
label define numera_d 1 `"Correct"', modify
label define numera_d 2 `"Not attempted"', modify
label define numera_c 0 `"Incorrect"', modify
label define numera_c 1 `"Correct"', modify
label define numera_c 2 `"Not attempted"', modify
label define numera_b 0 `"Incorrect"', modify
label define numera_b 1 `"Correct"', modify
label define numera_b 2 `"Not attempted"', modify
label define numera_a 0 `"Incorrect"', modify
label define numera_a 1 `"Correct"', modify
label define numera_a 2 `"Not attempted"', modify
label define numeracy 0 `"Incorrect"', modify
label define numeracy 1 `"Correct"', modify
label define numeracy 2 `"Not attempted"', modify

**************************************************
*** Recode missing values
***************************************************
/*
DONT KNOW (-666):.d 
NOT APPLICABLE (-777):.n
LACK OF RECORDS (-888):.l
REFUSED TO ANSWER (-999):.r
*/

*    DECODE MISSING VALUES
# d ;
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);

qui mvdecode numera_x numera_w numera_v numera_u numera_t numera_s numera_r numera_q numera_p numera_o numera_n numera_m numera_l numera_k numera_j numera_i numera_h numera_g numera_f numera_e numera_d numera_c numera_b numera_a numeracy, mv(
9=.r \
8=.l \
7=.n \
6=.d);

# d cr;

**************************************************
***  Identify outliers
**************************************************

mvdecode numera_x numera_w numera_v numera_u numera_t numera_s numera_r numera_q numera_p numera_o numera_n numera_m numera_l numera_k numera_j numera_i numera_h numera_g numera_f numera_e numera_d numera_c numera_b numera_a numeracy, mv(0=.z)
mvencode numera_x numera_w numera_v numera_u numera_t numera_s numera_r numera_q numera_p numera_o numera_n numera_m numera_l numera_k numera_j numera_i numera_h numera_g numera_f numera_e numera_d numera_c numera_b numera_a numeracy, mv(.z = 0)

* Encode missing STATA values back to missing value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999)


