****************************
* File: parents.do 
* Questionnaire type: Parents
* Country: Cambodia
*****************************

version 10.0
cd "Source/Cambodia 2004 P E/Data/4.1. Data"
capture clear
capture log close
clear
set mem 700m
set more off
use "parents.dta"

**************************************************
***  Ensure all variables are present and labeled
**************************************************
drop s2_q29_a s2_q29_b s2_q29_c s2_q31_a s2_q31_b s2_q31_c s2_q31_b0 s2_q31_c0 s2_q36_a0 s2_q29_b0 s2_q29_c0  s2_q37 s2_q38 s2_q39  s3_q3__a

rename  s2_q29_a0 s2_q29

rename s2_q31_a0 s2_q31
rename s2_q40 s2_q38
rename s2_q41 s2_q39
rename s2_q42 s2_q40
rename s2_q43 s2_q41
rename s2_q44 s2_q42
rename s2_q45 s2_q43
rename s2_q46 s2_q44
rename s2_q47 s2_q45
rename s2_q48 s2_q46
rename s2_q49 s2_q47
rename s2_q50 s2_q48
rename s2_q51 s2_q49

rename s2_q52_a  s2_q50_a
rename s2_q52_b  s2_q50_b
rename s2_q52_c  s2_q50_c
rename s2_q53 s2_q51
rename s2_q54 s2_q52
rename s2_q55_a s2_q53_a
rename s2_q55_b s2_q53_b
rename s2_q55_c s2_q53_c
rename s2_q56 s2_q54
rename s2_q57 s2_q55
rename s2_q58 s2_q56
rename s2_q59 s2_q57
rename s2_q60 s2_q58
rename s2_q61 s2_q59

**************************************************
***  Ensure response value labels are correct.
**************************************************

label define s2_q2_i5 9 "", modify
label define s2_q2_i5 7 "", modify
label define s2_q2_a5 7 "", modify
label define s2_q2_b5 7 "", modify
label define s2_q2_c5 7 "", modify
label define s2_q2_d5 7 "", modify
label define s2_q2_e5 7 "", modify
label define s2_q2_f5 7 "", modify
label define s2_q2_g5 7 "", modify
label define s2_q2_h5 7 "", modify
label define s2_q2_h5 9 "", modify

recode s2_q14 6 7 10 = 5
label define s2_q14 5 "Other", modify
label define s2_q14 6 "", modify
label define s2_q14 7 "", modify
label define s2_q14 10 "", modify

label define s2_q26 5 "other", modify
recode  s2_q26 1 = 5
label define s2_q26 1 "teachers", modify
label define s2_q26 2 "school director", modify
label define s2_q26 3 "school support committee", modify
label define s2_q26 4 "DOE/BMC", modify

recode  s2_q26 4 = 1
recode  s2_q26 6 = 2
recode  s2_q26 7 = 5
recode  s2_q26 10 = 3
label define s2_q26 6 "", modify
label define s2_q26 7 "", modify
label define s2_q26 10 "", modify

label drop s2_q29_b0
label drop s2_q29_c0
label drop s2_q29_a
label drop s2_q29_b
label drop s2_q29_c
recode  s2_q29 3/15 = 3

label define s2_q29_a0 4 "", modify
label define s2_q29_a0 5 "", modify
label define s2_q29_a0 6 "", modify
label define s2_q29_a0 7 "", modify
label define s2_q29_a0 10 "", modify
label define s2_q29_a0 3 "other", modify

label drop s2_q38
label drop s2_q37

recode  s2_q53_a 6/18 = 5
recode  s2_q53_b 6/18 = 5
recode  s2_q53_c 6/18 = 5
*** Change the value label names to match the variable names

label copy  	s1_q10	  	ss1_q10
label copy  	s1_q3_vi	  	ss1_q3_vi
label copy  	s1_q4_co	  	ss1_q4_co
label copy  	s1_q5_di	  	ss1_q5_di
label copy  	s1_q6_pr	  	ss1_q6_pr
label copy  	s1_q8	  	ss1_q8
label copy  	s1_q9	  	ss1_q9
label copy  	s2_q10	  	ss2_q10
label copy  	s2_q11	  	ss2_q11
label copy  	s2_q12	  	ss2_q12
label copy  	s2_q13_a	  	ss2_q13_a
label copy  	s2_q13_b	  	ss2_q13_b
label copy  	s2_q14	  	ss2_q14
label copy  	s2_q15_a	  	ss2_q15_a
label copy  	s2_q15_b	  	ss2_q15_b
label copy  	s2_q15_c	  	ss2_q15_c
label copy  	s2_q15_d	  	ss2_q15_d
label copy  	s2_q15_e	  	ss2_q15_e
label copy  	s2_q16	  	ss2_q16
label copy  	s2_q17_a	  	ss2_q17_a
label copy  	s2_q17_b	  	ss2_q17_b
label copy  	s2_q17_c	  	ss2_q17_c
label copy  	s2_q17_d	  	ss2_q17_d
label copy  	s2_q17_e	  	ss2_q17_e
label copy  	s2_q18_a	  	ss2_q18_a
label copy  	s2_q18_b	  	ss2_q18_b
label copy  	s2_q18_c	  	ss2_q18_c
label copy  	s2_q18_d	  	ss2_q18_d
label copy  	s2_q19	  	ss2_q19
label copy  	s2_q2_a4	  	ss2_q2_a4
label copy  	s2_q2_a5	  	ss2_q2_a5
label copy  	s2_q2_a6	  	ss2_q2_a6
label copy  	s2_q2_a7	  	ss2_q2_a7
label copy  	s2_q2_a8	  	ss2_q2_a8
label copy  	s2_q2_a9	  	ss2_q2_a9
label copy  	s2_q2_b3	  	ss2_q2_b3
label copy  	s2_q2_b4	  	ss2_q2_b4
label copy  	s2_q2_b5	  	ss2_q2_b5
label copy  	s2_q2_b6	  	ss2_q2_b6
label copy  	s2_q2_b7	  	ss2_q2_b7
label copy  	s2_q2_b8	  	ss2_q2_b8
label copy  	s2_q2_b9	  	ss2_q2_b9
label copy  	s2_q2_c3	  	ss2_q2_c3
label copy  	s2_q2_c4	  	ss2_q2_c4
label copy  	s2_q2_c5	  	ss2_q2_c5
label copy  	s2_q2_c6	  	ss2_q2_c6
label copy  	s2_q2_c7	  	ss2_q2_c7
label copy  	s2_q2_c8	  	ss2_q2_c8
label copy  	s2_q2_c9	  	ss2_q2_c9
label copy  	s2_q2_d3	  	ss2_q2_d3
label copy  	s2_q2_d4	  	ss2_q2_d4
label copy  	s2_q2_d5	  	ss2_q2_d5
label copy  	s2_q2_d6	  	ss2_q2_d6
label copy  	s2_q2_d7	  	ss2_q2_d7
label copy  	s2_q2_d8	  	ss2_q2_d8
label copy  	s2_q2_d9	  	ss2_q2_d9
label copy  	s2_q2_e3	  	ss2_q2_e3
label copy  	s2_q2_e4	  	ss2_q2_e4
label copy  	s2_q2_e5	  	ss2_q2_e5
label copy  	s2_q2_e6	  	ss2_q2_e6
label copy  	s2_q2_e7	  	ss2_q2_e7
label copy  	s2_q2_e8	  	ss2_q2_e8
label copy  	s2_q2_e9	  	ss2_q2_e9
label copy  	s2_q2_f3	  	ss2_q2_f3
label copy  	s2_q2_f4	  	ss2_q2_f4
label copy  	s2_q2_f5	  	ss2_q2_f5
label copy  	s2_q2_f6	  	ss2_q2_f6
label copy  	s2_q2_f7	  	ss2_q2_f7
label copy  	s2_q2_f8	  	ss2_q2_f8
label copy  	s2_q2_f9	  	ss2_q2_f9
label copy  	s2_q2_g3	  	ss2_q2_g3
label copy  	s2_q2_g4	  	ss2_q2_g4
label copy  	s2_q2_g5	  	ss2_q2_g5
label copy  	s2_q2_g6	  	ss2_q2_g6
label copy  	s2_q2_g7	  	ss2_q2_g7
label copy  	s2_q2_g8	  	ss2_q2_g8
label copy  	s2_q2_g9	  	ss2_q2_g9
label copy  	s2_q2_h3	  	ss2_q2_h3
label copy  	s2_q2_h4	  	ss2_q2_h4
label copy  	s2_q2_h5	  	ss2_q2_h5
label copy  	s2_q2_h6	  	ss2_q2_h6
label copy  	s2_q2_h7	  	ss2_q2_h7
label copy  	s2_q2_h8	  	ss2_q2_h8
label copy  	s2_q2_h9	  	ss2_q2_h9
label copy  	s2_q2_i3	  	ss2_q2_i3
label copy  	s2_q2_i4	  	ss2_q2_i4
label copy  	s2_q2_i5	  	ss2_q2_i5
label copy  	s2_q2_i6	  	ss2_q2_i6
label copy  	s2_q2_i7	  	ss2_q2_i7
label copy  	s2_q2_i8	  	ss2_q2_i8
label copy  	s2_q2_i9	  	ss2_q2_i9
label copy  	s2_q20_a	  	ss2_q20_a
label copy  	s2_q20_b	  	ss2_q20_b
label copy  	s2_q20_c	  	ss2_q20_c
label copy  	s2_q20_d	  	ss2_q20_d
label copy  	s2_q20_e	  	ss2_q20_e
label copy  	s2_q21_a	  	ss2_q21_a
label copy  	s2_q21_b	  	ss2_q21_b
label copy  	s2_q22_a	  	ss2_q22_a
label copy  	s2_q22_b	  	ss2_q22_b
label copy  	s2_q23	  	ss2_q23
label copy  	s2_q24	  	ss2_q24
label copy  	s2_q25	  	ss2_q25
label copy  	s2_q26	  	ss2_q26
label copy  	s2_q27_a	  	ss2_q27_a
label copy  	s2_q27_b	  	ss2_q27_b
label copy  	s2_q27_c	  	ss2_q27_c
label copy  	s2_q27_d	  	ss2_q27_d
label copy  	s2_q27_e	  	ss2_q27_e
label copy  	s2_q28	  	ss2_q28
label copy  	s2_q29_a0	  	ss2_q29
label copy  	s2_q30	  	ss2_q30
label copy  	s2_q31_a0	  	ss2_q31
label copy  	s2_q32	  	ss2_q32
label copy  	s2_q33	  	ss2_q33
label copy  	s2_q34	  	ss2_q34
label copy  	s2_q35	  	ss2_q35
label copy  	s2_q36_a	  	ss2_q36_a
label copy  	s2_q36_b	  	ss2_q36_b
label copy  	s2_q36_c	  	ss2_q36_c
label copy  	s2_q36_d	  	ss2_q36_d
label copy  	s2_q36_e	  	ss2_q36_e
label copy  	s2_q36_f	  	ss2_q36_f
label copy  	s2_q36_g	  	ss2_q36_g
label copy  	s2_q36_h	  	ss2_q36_h
label copy  	s2_q36_i	  	ss2_q36_i
label copy  	s2_q36_j	  	ss2_q36_j
label copy  	s2_q36_k	  	ss2_q36_k
label copy  	s2_q36_l	  	ss2_q36_l
label copy  	s2_q40	  	ss2_q38
label copy  	s2_q41	  	ss2_q39
label copy  	s2_q42	  	ss2_q40
label copy  	s2_q43	  	ss2_q41
label copy  	s2_q44	  	ss2_q42
label copy  	s2_q45	  	ss2_q43
label copy  	s2_q46	  	ss2_q44
label copy  	s2_q47	  	ss2_q45
label copy  	s2_q48	  	ss2_q46
label copy  	s2_q49	  	ss2_q47
label copy  	s2_q50	  	ss2_q48
label copy  	s2_q51	  	ss2_q49
label copy  	s2_q52_a	  	ss2_q50_a
label copy  	s2_q52_b	  	ss2_q50_b
label copy  	s2_q52_c	  	ss2_q50_c
label copy  	s2_q53	  	ss2_q51
label copy  	s2_q54	  	ss2_q52
label copy  	s2_q55_a	  	ss2_q53_a
label copy  	s2_q55_b	  	ss2_q53_b
label copy  	s2_q55_c	  	ss2_q53_c
label copy  	s2_q56	  	ss2_q54
label copy  	s2_q57	  	ss2_q55
label copy  	s2_q58	  	ss2_q56
label copy  	s2_q59	  	ss2_q57
label copy  	s2_q60	  	ss2_q58
label copy  	s2_q61	  	ss2_q59

label copy  	s3_q3_a	  	ss3_q3_a
label copy  	s3_q3_b	  	ss3_q3_b
label copy  	s3_q3_c	  	ss3_q3_c
label copy  	s3_q3_d	  	ss3_q3_d
label copy  	s3_q3_e	  	ss3_q3_e

label value  	s1_q10	 	ss1_q10
label value  	s1_q3_vi	 	ss1_q3_vi
label value  	s1_q4_co	 	ss1_q4_co
label value  	s1_q5_di	 	ss1_q5_di
label value  	s1_q6_pr	 	ss1_q6_pr
label value  	s1_q8	 	ss1_q8
label value  	s1_q9	 	ss1_q9
label value  	s2_q10	 	ss2_q10
label value  	s2_q11	 	ss2_q11
label value  	s2_q12	 	ss2_q12
label value  	s2_q13_a	 	ss2_q13_a
label value  	s2_q13_b	 	ss2_q13_b
label value  	s2_q14	 	ss2_q14
label value  	s2_q15_a	 	ss2_q15_a
label value  	s2_q15_b	 	ss2_q15_b
label value  	s2_q15_c	 	ss2_q15_c
label value  	s2_q15_d	 	ss2_q15_d
label value  	s2_q15_e	 	ss2_q15_e
label value  	s2_q16	 	ss2_q16
label value  	s2_q17_a	 	ss2_q17_a
label value  	s2_q17_b	 	ss2_q17_b
label value  	s2_q17_c	 	ss2_q17_c
label value  	s2_q17_d	 	ss2_q17_d
label value  	s2_q17_e	 	ss2_q17_e
label value  	s2_q18_a	 	ss2_q18_a
label value  	s2_q18_b	 	ss2_q18_b
label value  	s2_q18_c	 	ss2_q18_c
label value  	s2_q18_d	 	ss2_q18_d
label value  	s2_q19	 	ss2_q19
label value  	s2_q2_a4	 	ss2_q2_a4
label value  	s2_q2_a5	 	ss2_q2_a5
label value  	s2_q2_a6	 	ss2_q2_a6
label value  	s2_q2_a7	 	ss2_q2_a7
label value  	s2_q2_a8	 	ss2_q2_a8
label value  	s2_q2_a9	 	ss2_q2_a9
label value  	s2_q2_b3	 	ss2_q2_b3
label value  	s2_q2_b4	 	ss2_q2_b4
label value  	s2_q2_b5	 	ss2_q2_b5
label value  	s2_q2_b6	 	ss2_q2_b6
label value  	s2_q2_b7	 	ss2_q2_b7
label value  	s2_q2_b8	 	ss2_q2_b8
label value  	s2_q2_b9	 	ss2_q2_b9
label value  	s2_q2_c3	 	ss2_q2_c3
label value  	s2_q2_c4	 	ss2_q2_c4
label value  	s2_q2_c5	 	ss2_q2_c5
label value  	s2_q2_c6	 	ss2_q2_c6
label value  	s2_q2_c7	 	ss2_q2_c7
label value  	s2_q2_c8	 	ss2_q2_c8
label value  	s2_q2_c9	 	ss2_q2_c9
label value  	s2_q2_d3	 	ss2_q2_d3
label value  	s2_q2_d4	 	ss2_q2_d4
label value  	s2_q2_d5	 	ss2_q2_d5
label value  	s2_q2_d6	 	ss2_q2_d6
label value  	s2_q2_d7	 	ss2_q2_d7
label value  	s2_q2_d8	 	ss2_q2_d8
label value  	s2_q2_d9	 	ss2_q2_d9
label value  	s2_q2_e3	 	ss2_q2_e3
label value  	s2_q2_e4	 	ss2_q2_e4
label value  	s2_q2_e5	 	ss2_q2_e5
label value  	s2_q2_e6	 	ss2_q2_e6
label value  	s2_q2_e7	 	ss2_q2_e7
label value  	s2_q2_e8	 	ss2_q2_e8
label value  	s2_q2_e9	 	ss2_q2_e9
label value  	s2_q2_f3	 	ss2_q2_f3
label value  	s2_q2_f4	 	ss2_q2_f4
label value  	s2_q2_f5	 	ss2_q2_f5
label value  	s2_q2_f6	 	ss2_q2_f6
label value  	s2_q2_f7	 	ss2_q2_f7
label value  	s2_q2_f8	 	ss2_q2_f8
label value  	s2_q2_f9	 	ss2_q2_f9
label value  	s2_q2_g3	 	ss2_q2_g3
label value  	s2_q2_g4	 	ss2_q2_g4
label value  	s2_q2_g5	 	ss2_q2_g5
label value  	s2_q2_g6	 	ss2_q2_g6
label value  	s2_q2_g7	 	ss2_q2_g7
label value  	s2_q2_g8	 	ss2_q2_g8
label value  	s2_q2_g9	 	ss2_q2_g9
label value  	s2_q2_h3	 	ss2_q2_h3
label value  	s2_q2_h4	 	ss2_q2_h4
label value  	s2_q2_h5	 	ss2_q2_h5
label value  	s2_q2_h6	 	ss2_q2_h6
label value  	s2_q2_h7	 	ss2_q2_h7
label value  	s2_q2_h8	 	ss2_q2_h8
label value  	s2_q2_h9	 	ss2_q2_h9
label value  	s2_q2_i3	 	ss2_q2_i3
label value  	s2_q2_i4	 	ss2_q2_i4
label value  	s2_q2_i5	 	ss2_q2_i5
label value  	s2_q2_i6	 	ss2_q2_i6
label value  	s2_q2_i7	 	ss2_q2_i7
label value  	s2_q2_i8	 	ss2_q2_i8
label value  	s2_q2_i9	 	ss2_q2_i9
label value  	s2_q20_a	 	ss2_q20_a
label value  	s2_q20_b	 	ss2_q20_b
label value  	s2_q20_c	 	ss2_q20_c
label value  	s2_q20_d	 	ss2_q20_d
label value  	s2_q20_e	 	ss2_q20_e
label value  	s2_q21_a	 	ss2_q21_a
label value  	s2_q21_b	 	ss2_q21_b
label value  	s2_q22_a	 	ss2_q22_a
label value  	s2_q22_b	 	ss2_q22_b
label value  	s2_q23	 	ss2_q23
label value  	s2_q24	 	ss2_q24
label value  	s2_q25	 	ss2_q25
label value  	s2_q26	 	ss2_q26
label value  	s2_q27_a	 	ss2_q27_a
label value  	s2_q27_b	 	ss2_q27_b
label value  	s2_q27_c	 	ss2_q27_c
label value  	s2_q27_d	 	ss2_q27_d
label value  	s2_q27_e	 	ss2_q27_e
label value  	s2_q28	 	ss2_q28
label value  	s2_q29	 	ss2_q29
label value  	s2_q30	 	ss2_q30
label value  	s2_q31	 	ss2_q31
label value  	s2_q32	 	ss2_q32
label value  	s2_q33	 	ss2_q33
label value  	s2_q34	 	ss2_q34
label value  	s2_q35	 	ss2_q35
label value  	s2_q36_a	 	ss2_q36_a
label value  	s2_q36_b	 	ss2_q36_b
label value  	s2_q36_c	 	ss2_q36_c
label value  	s2_q36_d	 	ss2_q36_d
label value  	s2_q36_e	 	ss2_q36_e
label value  	s2_q36_f	 	ss2_q36_f
label value  	s2_q36_g	 	ss2_q36_g
label value  	s2_q36_h	 	ss2_q36_h
label value  	s2_q36_i	 	ss2_q36_i
label value  	s2_q36_j	 	ss2_q36_j
label value  	s2_q36_k	 	ss2_q36_k
label value  	s2_q36_l	 	ss2_q36_l
label value  	s2_q38	 	ss2_q38
label value  	s2_q39	 	ss2_q39
label value  	s2_q40	 	ss2_q40
label value  	s2_q41	 	ss2_q41
label value  	s2_q42	 	ss2_q42
label value  	s2_q43	 	ss2_q43
label value  	s2_q44	 	ss2_q44
label value  	s2_q45	 	ss2_q45
label value  	s2_q46	 	ss2_q46
label value  	s2_q47	 	ss2_q47
label value  	s2_q48	 	ss2_q48
label value  	s2_q49	 	ss2_q49
label value  	s2_q50_a	 	ss2_q50_a
label value  	s2_q50_b	 	ss2_q50_b
label value  	s2_q50_c	 	ss2_q50_c
label value  	s2_q51	 	ss2_q51
label value  	s2_q52	 	ss2_q52
label value  	s2_q53_a	 	ss2_q53_a
label value  	s2_q53_b	 	ss2_q53_b
label value  	s2_q53_c	 	ss2_q53_c
label value  	s2_q54	 	ss2_q54
label value  	s2_q55	 	ss2_q55
label value  	s2_q56	 	ss2_q56
label value  	s2_q57	 	ss2_q57
label value  	s2_q58	 	ss2_q58
label value  	s2_q59	 	ss2_q59
label value  	s3_q3_a	 	ss3_q3_a
label value  	s3_q3_b	 	ss3_q3_b
label value  	s3_q3_c	 	ss3_q3_c
label value  	s3_q3_d	 	ss3_q3_d
label value  	s3_q3_e	 	ss3_q3_e


label define ss2_q53_a 5 "other", modify
label define ss2_q53_a 6 "", modify
label define ss2_q53_a 7 "", modify
label define ss2_q53_a 8 "", modify
label define ss2_q53_a 9 "", modify
label define ss2_q53_a 10 "", modify
label define ss2_q53_a 11 "", modify
label define ss2_q53_a 12 "", modify
label define ss2_q53_a 13 "", modify
label define ss2_q53_a 14 "", modify
label define ss2_q53_a 15 "", modify
label define ss2_q53_a 16 "", modify
label define ss2_q53_a 17 "", modify
label define ss2_q53_a 18 "", modify

label define ss2_q53_b 5 "other", modify
label define ss2_q53_b 6 "", modify
label define ss2_q53_b 7 "", modify
label define ss2_q53_b 8 "", modify
label define ss2_q53_b 9 "", modify
label define ss2_q53_b 10 "", modify
label define ss2_q53_b 11 "", modify
label define ss2_q53_b 12 "", modify
label define ss2_q53_b 13 "", modify
label define ss2_q53_b 14 "", modify
label define ss2_q53_b 15 "", modify
label define ss2_q53_b 16 "", modify
label define ss2_q53_b 17 "", modify
label define ss2_q53_b 18 "", modify

label define ss2_q53_c 5 "other", modify
label define ss2_q53_c 6 "", modify
label define ss2_q53_c 7 "", modify
label define ss2_q53_c 8 "", modify
label define ss2_q53_c 9 "", modify
label define ss2_q53_c 10 "", modify
label define ss2_q53_c 11 "", modify
label define ss2_q53_c 12 "", modify
label define ss2_q53_c 13 "", modify
label define ss2_q53_c 14 "", modify
label define ss2_q53_c 15 "", modify
label define ss2_q53_c 16 "", modify
label define ss2_q53_c 17 "", modify
label define ss2_q53_c 18 "", modify

label drop	 	s1_q10
label drop	 	s1_q3_vi
label drop	 	s1_q4_co
label drop	 	s1_q5_di
label drop	 	s1_q6_pr
label drop	 	s1_q8
label drop	 	s1_q9
label drop	 	s2_q10
label drop	 	s2_q11
label drop	 	s2_q12
label drop	 	s2_q13_a
label drop	 	s2_q13_b
label drop	 	s2_q14
label drop	 	s2_q15_a
label drop	 	s2_q15_b
label drop	 	s2_q15_c
label drop	 	s2_q15_d
label drop	 	s2_q15_e
label drop	 	s2_q16
label drop	 	s2_q17_a
label drop	 	s2_q17_b
label drop	 	s2_q17_c
label drop	 	s2_q17_d
label drop	 	s2_q17_e
label drop	 	s2_q18_a
label drop	 	s2_q18_b
label drop	 	s2_q18_c
label drop	 	s2_q18_d
label drop	 	s2_q19
label drop	 	s2_q2_a4
label drop	 	s2_q2_a5
label drop	 	s2_q2_a6
label drop	 	s2_q2_a7
label drop	 	s2_q2_a8
label drop	 	s2_q2_a9
label drop	 	s2_q2_b3
label drop	 	s2_q2_b4
label drop	 	s2_q2_b5
label drop	 	s2_q2_b6
label drop	 	s2_q2_b7
label drop	 	s2_q2_b8
label drop	 	s2_q2_b9
label drop	 	s2_q2_c3
label drop	 	s2_q2_c4
label drop	 	s2_q2_c5
label drop	 	s2_q2_c6
label drop	 	s2_q2_c7
label drop	 	s2_q2_c8
label drop	 	s2_q2_c9
label drop	 	s2_q2_d3
label drop	 	s2_q2_d4
label drop	 	s2_q2_d5
label drop	 	s2_q2_d6
label drop	 	s2_q2_d7
label drop	 	s2_q2_d8
label drop	 	s2_q2_d9
label drop	 	s2_q2_e3
label drop	 	s2_q2_e4
label drop	 	s2_q2_e5
label drop	 	s2_q2_e6
label drop	 	s2_q2_e7
label drop	 	s2_q2_e8
label drop	 	s2_q2_e9
label drop	 	s2_q2_f3
label drop	 	s2_q2_f4
label drop	 	s2_q2_f5
label drop	 	s2_q2_f6
label drop	 	s2_q2_f7
label drop	 	s2_q2_f8
label drop	 	s2_q2_f9
label drop	 	s2_q2_g3
label drop	 	s2_q2_g4
label drop	 	s2_q2_g5
label drop	 	s2_q2_g6
label drop	 	s2_q2_g7
label drop	 	s2_q2_g8
label drop	 	s2_q2_g9
label drop	 	s2_q2_h3
label drop	 	s2_q2_h4
label drop	 	s2_q2_h5
label drop	 	s2_q2_h6
label drop	 	s2_q2_h7
label drop	 	s2_q2_h8
label drop	 	s2_q2_h9
label drop	 	s2_q2_i3
label drop	 	s2_q2_i4
label drop	 	s2_q2_i5
label drop	 	s2_q2_i6
label drop	 	s2_q2_i7
label drop	 	s2_q2_i8
label drop	 	s2_q2_i9
label drop	 	s2_q20_a
label drop	 	s2_q20_b
label drop	 	s2_q20_c
label drop	 	s2_q20_d
label drop	 	s2_q20_e
label drop	 	s2_q21_a
label drop	 	s2_q21_b
label drop	 	s2_q22_a
label drop	 	s2_q22_b
label drop	 	s2_q23
label drop	 	s2_q24
label drop	 	s2_q25
label drop	 	s2_q26
label drop	 	s2_q27_a
label drop	 	s2_q27_b
label drop	 	s2_q27_c
label drop	 	s2_q27_d
label drop	 	s2_q27_e
label drop	 	s2_q28
label drop	 	s2_q29_a0
label drop	 	s2_q30
label drop	 	s2_q31_a0
label drop	 	s2_q32
label drop	 	s2_q33
label drop	 	s2_q34
label drop	 	s2_q35
label drop	 	s2_q36_a
label drop	 	s2_q36_b
label drop	 	s2_q36_c
label drop	 	s2_q36_d
label drop	 	s2_q36_e
label drop	 	s2_q36_f
label drop	 	s2_q36_g
label drop	 	s2_q36_h
label drop	 	s2_q36_i
label drop	 	s2_q36_j
label drop	 	s2_q36_k
label drop	 	s2_q36_l
label drop	 	s2_q40
label drop	 	s2_q41
label drop	 	s2_q42
label drop	 	s2_q43
label drop	 	s2_q44
label drop	 	s2_q45
label drop	 	s2_q46
label drop	 	s2_q47
label drop	 	s2_q48
label drop	 	s2_q49
label drop	 	s2_q50
label drop	 	s2_q51
label drop	 	s2_q52_a
label drop	 	s2_q52_b
label drop	 	s2_q52_c
label drop	 	s2_q53
label drop	 	s2_q54
label drop	 	s2_q55_a
label drop	 	s2_q55_b
label drop	 	s2_q55_c
label drop	 	s2_q56
label drop	 	s2_q57
label drop	 	s2_q58
label drop	 	s2_q59
label drop	 	s2_q60
label drop	 	s2_q61

label drop	 	s3_q3_a
label drop	 	s3_q3_b
label drop	 	s3_q3_c
label drop	 	s3_q3_d
label drop	 	s3_q3_e

label drop s2_q39
label drop s2_q31_a
label drop s2_q31_b
label drop s2_q31_c
label drop s2_q31_b0
label drop s2_q31_c0
label drop s2_q36_a0

label drop	 	ss2_q59
label drop	 	ss2_q55
label drop	 	ss2_q57
label drop	 	ss2_q52
label drop	 	ss2_q50_c
label drop	 	ss2_q50_b
label drop	 	ss2_q50_a
label drop	 	ss2_q49
label drop	 	ss2_q48
label drop	 	ss2_q47
label drop	 	ss2_q46
label drop	 	ss2_q43
label drop	 	ss2_q42
label drop	 	ss2_q41
label drop	 	ss2_q40
label drop	 	ss2_q35
label drop	 	ss2_q34
label drop	 	ss2_q33
label drop	 	ss2_q32
label drop	 	ss2_q27_e
label drop	 	ss2_q27_a
label drop	 	ss2_q27_b
label drop	 	ss2_q27_c
label drop	 	ss2_q27_d
label drop	 	ss2_q21_b
label drop	 	ss2_q22_b
label drop	 	ss2_q20_e
label drop	 	ss2_q20_a
label drop	 	ss2_q20_b
label drop	 	ss2_q20_c
label drop	 	ss2_q20_d
label drop	 	ss2_q2_i8
label drop	 	ss2_q2_i7
label drop	 	ss2_q2_i6
label drop	 	ss2_q2_i5
label drop	 	ss2_q2_h8
label drop	 	ss2_q2_h7
label drop	 	ss2_q2_h6
label drop	 	ss2_q2_h3
label drop	 	ss2_q2_h5
label drop	 	ss2_q2_g8
label drop	 	ss2_q2_g7
label drop	 	ss2_q2_g6
label drop	 	ss2_q2_g5
label drop	 	ss2_q2_g3
label drop	 	ss2_q2_f8
label drop	 	ss2_q2_f7
label drop	 	ss2_q2_f6
label drop	 	ss2_q2_f5
label drop	 	ss2_q2_f3
label drop	 	ss2_q2_e8
label drop	 	ss2_q2_e7
label drop	 	ss2_q2_e6
label drop	 	ss2_q2_e3
label drop	 	ss2_q2_e5
label drop	 	ss2_q2_d8
label drop	 	ss2_q2_d7
label drop	 	ss2_q2_d6
label drop	 	ss2_q2_d5
label drop	 	ss2_q2_d3
label drop	 	ss2_q2_c8
label drop	 	ss2_q2_c7
label drop	 	ss2_q2_c6
label drop	 	ss2_q2_c5
label drop	 	ss2_q2_c3
label drop	 	ss2_q2_b8
label drop	 	ss2_q2_b7
label drop	 	ss2_q2_b6
label drop	 	ss2_q2_b5
label drop	 	ss2_q2_b3
label drop	 	ss2_q2_a8
label drop	 	ss2_q2_a7
label drop	 	ss2_q2_a6
label drop	 	ss2_q2_a5
label drop	 	ss2_q18_d
label drop	 	ss2_q17_e
label drop	 	ss2_q17_d
label drop	 	ss2_q17_c
label drop	 	ss2_q17_b
label drop	 	ss2_q17_a
label drop	 	ss2_q15_e
label drop	 	ss2_q15_d
label drop	 	ss2_q15_c
label drop	 	ss2_q15_b
label drop	 	ss2_q15_a
label drop	 	ss2_q13_b
label drop	 	ss2_q13_a
label drop	 	ss2_q11

  

*change not applicable from .r to .n
# d ;

qui mvdecode s1_q7 s1_q8 s2_q2_g2 s2_q2_h2 s2_q2_d2 s2_q2_i2 s2_q2_e2 s2_q2_f2 s2_q2_c2 s2_q2_b4 s2_q2_b9 s2_q2_c4 s2_q2_c9 s2_q2_d4  s2_q2_e4  s2_q2_e9  s2_q2_f4  s2_q2_f9  s2_q2_g4  s2_q2_g9  s2_q2_h4  s2_q2_h4  s2_q2_i4  s2_q2_i9 s3_q3_e s2_q2_d9 s1_q8 s1_q9 s1_q10, mv(
99999=.n\
99=.n\
9=.n\)
;
# d cr;


**************************************************
*** Ensure unique id
***************************************************

gen uid = _n

**************************************************
*** Recode missing values
***************************************************

/*
DONT KNOW (-666):.d 
NOT APPLICABLE (-777):.n
LACK OF RECORDS (-888):.l
REFUSED TO ANSWER (-999):.r
*/

*    DECODE MISSING VALUES
# d ;
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);

qui mvdecode s2_q50_a s2_q2_c5 s2_q2_c6 s2_q2_c7 s2_q2_c8 s2_q50_b s2_q50_c s2_q15_a s2_q15_b s2_q15_c s2_q15_d s2_q15_e s1_q7 s2_q11 s2_q13_a s2_q13_b s2_q15_a s2_q15_b s2_q15_c s2_q15_d s2_q15_e s2_q38 s2_q39 s2_q25 s2_q36_a  s2_q36_b  s2_q36_c  s2_q36_d  s2_q36_e  s2_q36_f  s2_q36_g  s2_q36_h  s2_q36_i  s2_q36_j  s2_q36_k  s2_q36_l s2_q44 s2_q28 s1_q7 s3_q3_a  s3_q3_b  s3_q3_c  s3_q3_d  s3_q3_e s2_q51 s2_q18_a	s2_q19 s2_q2_a4 s2_q2_b3 s2_q2_b4 s2_q2_c3 s2_q2_c4 s2_q2_d3 s2_q2_d4 s2_q2_e3 s2_q2_e4 s2_q2_f3 s2_q2_f4 s2_q2_g3 s2_q2_g4 s2_q2_h3 s2_q2_h4 s2_q2_i3 s2_q2_i4 s2_q21_a s2_q22_a s2_q22_b s2_q30 s2_q54 s2_q56 s2_q58, mv(
9=.r\
8=.l \
7=.n \
6=.d);

qui mvdecode  s2_q10 s2_q11 s2_q12	s2_q13_a s2_q13_b	s2_q14 s2_q23 s2_q25 s2_q32 s2_q43 s2_q44 s2_q47 s2_q48 s2_q49 s2_q51, mv( 	
9=.r\
6=.d);

qui mvdecode  s2_q16 , mv(  
8=.l \
7=.n \
6=.d);

qui mvdecode  s2_q17_a	s2_q17_b	s2_q17_c	s2_q17_d s2_q28 s2_q17_e s2_q20_a	s2_q20_b	s2_q20_c	s2_q20_d	s2_q20_e , mv( 
7=.n);

qui mvdecode s2_q18_b s2_q26 s2_q20_a s2_q20_b s2_q20_c s2_q20_d s2_q20_e s2_q18_c s2_q39, mv(
9=.r\
8=.l \
7=.n);

qui mvdecode s2_q18_d s2_q21_b s2_q22_b s2_q41 s2_q57 s2_q59 s2_q42, mv( 	
9=.r\
7=.n);

qui mvdecode s2_q2_e9 s2_q2_f9 s2_q2_h5 s2_q2_h6 s2_q2_h7 s2_q2_h8 s2_q2_h9 s2_q2_g9 s2_q2_h9 s2_q2_e5 s2_q2_e6 s2_q2_e7 s2_q2_e8 s2_q2_e9 s2_q2_f5 s2_q2_f6 s2_q2_f7 s2_q2_f8 s2_q2_f9 s2_q2_g5 s2_q2_g6 s2_q2_g7 s2_q2_g8 s2_q2_g9 s2_q2_i5 s2_q2_i6 s2_q2_i7 s2_q2_i8 s2_q2_i9 s2_q2_i9 s2_q2_a9 s2_q2_d9 s2_q2_c9 s2_q2_b9 s2_q2_d5 s2_q2_d6 s2_q2_d7 s2_q2_d8 s2_q2_d9, mv( 	
9=.r);

# d cr;

**************************************************
***  Identify skip patterns
**************************************************

* Recode missing values to Stata missing values, for tests and data inspection.
quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -999 = .r) 

* Implement Questionnaire Consistency Tests. Each of these tests resolves to 1 if there is an error.

gen error01 = (s2_q2_a4 == 2 &  (s2_q2_a5 < . | s2_q2_a6 < . | s2_q2_a7 < . | s2_q2_a8 < . ))
gen error02 = (s2_q2_b4 == 2 &  (s2_q2_b5 < . | s2_q2_b6 < . | s2_q2_b7 < . | s2_q2_b8 < . ))
gen error03 = (s2_q2_g4 == 2 &  (s2_q2_g5 < . | s2_q2_g6 < . | s2_q2_f7 < . | s2_q2_g8 < . ))
gen error04 = (s2_q2_h4 == 2 &  (s2_q2_h5 < . | s2_q2_h6 < . | s2_q2_h7 < . | s2_q2_h8 < . ))
gen error05 = (s2_q2_i4 == 2 &  (s2_q2_i5 < . | s2_q2_i6 < . | s2_q2_i7 < . | s2_q2_i8 < . ))

gen error06 = (s2_q10 == 2 &  s2_q11 < . )
gen error07 = (s2_q12 == 2 & (s2_q13_a < . | s2_q13_b < . ))
gen error08 = (s2_q16 == 2 & (s2_q17_a < . | s2_q17_b < . | s2_q17_c < . | s2_q17_d < . | s2_q17_e < .))
gen error09 = (s2_q18_a == 2 & (s2_q18_b < . | s2_q18_c < . | s2_q18_d < . ))
gen error10 = (s2_q19 == 2 &  (s2_q20_a < . | s2_q20_b < . | s2_q20_c < . | s2_q20_d < . | s2_q20_e < .))
gen error11 = (s2_q21_a == 2 & s2_q21_b < . )
gen error12 = (s2_q22_a == 2 & s2_q22_b < . )
gen error13 = (s2_q23 == 2 & s2_q24 < . )
gen error14 = (s2_q25 == 2 & (s2_q26 < . | s2_q27_a < . | s2_q27_b < . | s2_q27_c < . | s2_q27_d < . | s2_q27_e < . ))
gen error15 = (s2_q28 == 2 & s2_q29 < . )
gen error16 = (s2_q30 == 2 & s2_q31 < . )
gen error17 = (s2_q32 == 2 & (s2_q33 < . | s2_q34 < . | s2_q35 < . | s2_q36_a < . | s2_q36_b < . | s2_q36_c < . | s2_q36_d < . | s2_q36_e < . | s2_q36_f < . | s2_q36_g < . | s2_q36_h < . | s2_q36_i < . | s2_q36_j < . | s2_q36_k < . | s2_q36_l < . ))
gen error18 = (s2_q38 == 2 & (s2_q39 < . | s2_q40 < . ))
gen error19 = (s2_q44 == 2 & (s2_q45 < . | s2_q46 < . ))
gen error20 = (s2_q51 == 2 & s2_q52 < . )
gen error21 = (s2_q54 == 2 & s2_q55 < . )
gen error22 = (s2_q56 == 2 & s2_q57 < . )
gen error23 = (s2_q58 == 2 & s2_q59 < . )

**************************************************
***  Identify outliers
**************************************************

mvdecode  s2_q18_a s2_q19 s2_q2_a4 s2_q2_b3 s2_q2_b4 s2_q2_c3 s2_q2_c4 s2_q2_d3 s2_q2_d4 s2_q2_e3 s2_q2_e4 s2_q2_f3 s2_q2_f4 s2_q2_g3 s2_q2_g4 s2_q2_h3 s2_q2_h4 s2_q2_i3 s2_q2_i4 s2_q21_a s2_q22_a s2_q22_b s2_q30 s2_q54 s2_q56 s2_q58, mv(0 = .z)
grubbs s2_q18_a s2_q19 s2_q2_a4 s2_q2_b3 s2_q2_b4 s2_q2_c3 s2_q2_c4 s2_q2_d3 s2_q2_d4 s2_q2_e3 s2_q2_e4 s2_q2_f3 s2_q2_f4 s2_q2_g3 s2_q2_g4 s2_q2_h3 s2_q2_h4 s2_q2_i3 s2_q2_i4 s2_q21_a s2_q22_a s2_q22_b s2_q54 s2_q56 s2_q58, level(99.99)
mvencode s2_q18_a s2_q19 s2_q2_a4 s2_q2_b3 s2_q2_b4 s2_q2_c3 s2_q2_c4 s2_q2_d3 s2_q2_d4 s2_q2_e3 s2_q2_e4 s2_q2_f3 s2_q2_f4 s2_q2_g3 s2_q2_g4 s2_q2_h3 s2_q2_h4 s2_q2_i3 s2_q2_i4 s2_q21_a s2_q22_a s2_q22_b s2_q30 s2_q54 s2_q56 s2_q58, mv(.z = 0)


* Encode missing STATA values back to missing value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999)
**************************************************
*** Identify errors to be reviewed
**************************************************
cd "Source/Cambodia 2004 P E/Data/4.3. Clean Data/4.3.3. Data Code Book"
log using "parents codebook errors ", replace
codebook error* grubbs_*, compact
log close
drop grubbs* error* 

