****************************
* File: ssc.do 
* Questionnaire type: School Support Committee
* Country: Cambodia
*****************************

version 10.0
cd "Source/Cambodia 2004 P E/Data/4.1. Data"
capture clear
capture log close
clear
set mem 700m
set more off
use "ssc.dta"

**************************************************
***  Ensure all variables are present and labeled
**************************************************


drop  s2_q6 s2_q7 s2_q8  s2_q26_a s2_q26_b s2_q26_c 

label drop s2_q6
label drop s2_q7
label drop s2_q8
label drop s2_q26_b
label drop s2_q26_c
label drop s2_q26_d
label drop s2_q26_e


rename	 	s2_q9_a	 	s2_q7_a
rename	 	s2_q9_b	 	s2_q7_b
rename	 	s2_q9_c	 	s2_q7_c
rename	 	s2_q10	 	s2_q8
rename	 	s2_q11	 	s2_q9
rename	 	s2_q12_a	 	s2_q10_a
rename	 	s2_q12_b	 	s2_q10_b
rename	 	s2_q13	 	s2_q11
rename	 	s2_q14	 	s2_q12
rename	 	s2_q15	 	s2_q13
rename	 	s2_q16_a	 	s2_q14_a
rename	 	s2_q16_b	 	s2_q14_b
rename	 	s2_q16_c	 	s2_q14_c
rename	 	s2_q17_a	 	s2_q15_a
rename	 	s2_q17_b	 	s2_q15_b
rename	 	s2_q17_c	 	s2_q15_c
rename	 	s2_q18	 	s2_q16
rename	 	s2_q19	 	s2_q17
rename	 	s2_q20_a	 	s2_q18_a
rename	 	s2_q20_b	 	s2_q18_b
rename	 	s2_q21	 	s2_q19
rename	 	s2_q22	 	s2_q20
rename	 	s2_q23	 	s2_q21
rename	 	s2_q24	 	s2_q22
rename	 	s2_q25	 	s2_q23
rename	 	s2_q27	 	s2_q25
rename	 	s2_q28_a	 	s2_q26_a
rename	 	s2_q28_b	 	s2_q26_b
rename	 	s2_q28_c	 	s2_q26_c
rename	 	s2_q28_a0	 	s2_q26_a0
rename	 	s2_q28_b0	 	s2_q26_b0
rename	 	s2_q28_c0	 	s2_q26_c0
rename	 	s2_q29	 	s2_q27
rename	 	s2_q30	 	s2_q28
rename	 	s2_q31_a	 	s2_q29_a
rename	 	s2_q31_b	 	s2_q29_b
rename	 	s2_q31_c	 	s2_q29_c
rename	 	s2_q31_a0	 	s2_q29_a0
rename	 	s2_q31_b0	 	s2_q29_b0
rename	 	s2_q31_c0	 	s2_q29_c0
rename	 	s2_q32	 	s2_q30
rename	 	s2_q33_a	 	s2_q31_a
rename	 	s2_q33_b	 	s2_q31_b
rename	 	s2_q34	 	s2_q32
rename	 	s2_q35	 	s2_q33
rename	 	s2_q36	 	s2_q34
rename	 	s2_q37	 	s2_q35
rename	 	s2_q38	 	s2_q36
rename	 	s2_q39	 	s2_q37
rename	 	s2_q40	 	s2_q38
rename	 	s2_q41	 	s2_q39
rename	 	s2_q42	 	s2_q40
rename	 	s2_q43	 	s2_q41
rename	 	s2_q44	 	s2_q42
rename	 	s2_q45	 	s2_q43
rename	 	s2_q46	 	s2_q44
rename	 	s2_q47	 	s2_q45
rename	 	s2_q48_a	 	s2_q46_a
rename	 	s2_q48_b	 	s2_q46_b
rename	 	s2_q48_c	 	s2_q46_c
rename	 	s2_q48_d	 	s2_q46_d
rename	 	s2_q48_e	 	s2_q46_e
rename	 	s2_q48_f	 	s2_q46_f
rename	 	s2_q48_g	 	s2_q46_g
rename	 	s2_q48_h	 	s2_q46_h
rename	 	s2_q48_i	 	s2_q46_i

*** Change the value label names to match the variable names
label copy  	 	s2_q9_a	 	ss2_q7_a
label copy  	 	s2_q9_b	 	ss2_q7_b
label copy  	 	s2_q9_c	 	ss2_q7_c
label copy  	 	s2_q10	 	ss2_q8
label copy  	 	s2_q12_a	 	ss2_q10_a
label copy  	 	s2_q12_b	 	ss2_q10_b
label copy  	 	s2_q13	 	ss2_q11
label copy  	 	s2_q14	 	ss2_q12
label copy  	 	s2_q15	 	ss2_q13
label copy  	 	s2_q16_a	 	ss2_q14_a
label copy  	 	s2_q16_b	 	ss2_q14_b
label copy  	 	s2_q16_c	 	ss2_q14_c
label copy  	 	s2_q17_a	 	ss2_q15_a
label copy  	 	s2_q17_b	 	ss2_q15_b
label copy  	 	s2_q17_c	 	ss2_q15_c
label copy  	 	s2_q18	 	ss2_q16
label copy  	 	s2_q19	 	ss2_q17
label copy  	 	s2_q20_a	 	ss2_q18_a
label copy  	 	s2_q20_b	 	ss2_q18_b
label copy  	 	s2_q21	 	ss2_q19
label copy  	 	s2_q22	 	ss2_q20
label copy  	 	s2_q23	 	ss2_q21
label copy  	 	s2_q24	 	ss2_q22
label copy  	 	s2_q25	 	ss2_q23
label copy  	 	s2_q26_a	 	ss2_q24_a
label copy  	 	s2_q28_a0	 	ss2_q26_a0
label copy  	 	s2_q28_b0	 	ss2_q26_b0
label copy  	 	s2_q28_c0	 	ss2_q26_c0
label copy  	 	s2_q29	 	ss2_q27
label copy  	 	s2_q30	 	ss2_q28
label copy  	 	s2_q31_a	 	ss2_q29_a
label copy  	 	s2_q31_b	 	ss2_q29_b
label copy  	 	s2_q31_c	 	ss2_q29_c
label copy  	 	s2_q31_a0	 	ss2_q29_a0
label copy  	 	s2_q31_b0	 	ss2_q29_b0
label copy  	 	s2_q31_c0	 	ss2_q29_c0
label copy  	 	s2_q32	 	ss2_q30
label copy  	 	s2_q33_a	 	ss2_q31_a
label copy  	 	s2_q33_b	 	ss2_q31_b
label copy  	 	s2_q34	 	ss2_q32
label copy  	 	s2_q35	 	ss2_q33
label copy  	 	s2_q36	 	ss2_q34
label copy  	 	s2_q37	 	ss2_q35
label copy  	 	s2_q38	 	ss2_q36
label copy  	 	s2_q39	 	ss2_q37
label copy  	 	s2_q40	 	ss2_q38
label copy  	 	s2_q41	 	ss2_q39
label copy  	 	s2_q42	 	ss2_q40
label copy  	 	s2_q43	 	ss2_q41
label copy  	 	s2_q44	 	ss2_q42
label copy  	 	s2_q45	 	ss2_q43
label copy  	 	s2_q46	 	ss2_q44
label copy  	 	s2_q47	 	ss2_q45
label copy  	 	s2_q48_a	 	ss2_q46_a
label copy  	 	s2_q48_b	 	ss2_q46_b
label copy  	 	s2_q48_c	 	ss2_q46_c
label copy  	 	s2_q48_d	 	ss2_q46_d
label copy  	 	s2_q48_e	 	ss2_q46_e
label copy  	 	s2_q48_f	 	ss2_q46_f
label copy  	 	s2_q48_g	 	ss2_q46_g
label copy  	 	s2_q48_h	 	ss2_q46_h
label copy  	 	s2_q48_i	 	ss2_q46_i

label value	 	s2_q7_a	 	ss2_q7_a
label value	 	s2_q7_b	 	ss2_q7_b
label value	 	s2_q7_c	 	ss2_q7_c
label value	 	s2_q8	 	ss2_q8
label value	 	s2_q10_a	 	ss2_q10_a
label value	 	s2_q10_b	 	ss2_q10_b
label value	 	s2_q11	 	ss2_q11
label value	 	s2_q12	 	ss2_q12
label value	 	s2_q13	 	ss2_q13
label value	 	s2_q14_a	 	ss2_q14_a
label value	 	s2_q14_b	 	ss2_q14_b
label value	 	s2_q14_c	 	ss2_q14_c
label value	 	s2_q15_a	 	ss2_q15_a
label value	 	s2_q15_b	 	ss2_q15_b
label value	 	s2_q15_c	 	ss2_q15_c
label value	 	s2_q16	 	ss2_q16
label value	 	s2_q17	 	ss2_q17
label value	 	s2_q18_a	 	ss2_q18_a
label value	 	s2_q18_b	 	ss2_q18_b
label value	 	s2_q19	 	ss2_q19
label value	 	s2_q20	 	ss2_q20
label value	 	s2_q21	 	ss2_q21
label value	 	s2_q22	 	ss2_q22
label value	 	s2_q23	 	ss2_q23
label value	 	s2_q26_a0	 	ss2_q26_a0
label value	 	s2_q26_b0	 	ss2_q26_b0
label value	 	s2_q26_c0	 	ss2_q26_c0
label value	 	s2_q27	 	ss2_q27
label value	 	s2_q28	 	ss2_q28
label value	 	s2_q29_a	 	ss2_q29_a
label value	 	s2_q29_b	 	ss2_q29_b
label value	 	s2_q29_c	 	ss2_q29_c
label value	 	s2_q29_a0	 	ss2_q29_a0
label value	 	s2_q29_b0	 	ss2_q29_b0
label value	 	s2_q29_c0	 	ss2_q29_c0
label value	 	s2_q30	 	ss2_q30
label value	 	s2_q31_a	 	ss2_q31_a
label value	 	s2_q31_b	 	ss2_q31_b
label value	 	s2_q32	 	ss2_q32
label value	 	s2_q33	 	ss2_q33
label value	 	s2_q34	 	ss2_q34
label value	 	s2_q35	 	ss2_q35
label value	 	s2_q36	 	ss2_q36
label value	 	s2_q37	 	ss2_q37
label value	 	s2_q38	 	ss2_q38
label value	 	s2_q39	 	ss2_q39
label value	 	s2_q40	 	ss2_q40
label value	 	s2_q41	 	ss2_q41
label value	 	s2_q42	 	ss2_q42
label value	 	s2_q43	 	ss2_q43
label value	 	s2_q44	 	ss2_q44
label value	 	s2_q45	 	ss2_q45
label value	 	s2_q46_a	 	ss2_q46_a
label value	 	s2_q46_b	 	ss2_q46_b
label value	 	s2_q46_c	 	ss2_q46_c
label value	 	s2_q46_d	 	ss2_q46_d
label value	 	s2_q46_e	 	ss2_q46_e
label value	 	s2_q46_f	 	ss2_q46_f
label value	 	s2_q46_g	 	ss2_q46_g
label value	 	s2_q46_h	 	ss2_q46_h
label value	 	s2_q46_i	 	ss2_q46_i
label value	 	s3_q3_a	 	ss3_q3_a
		

label drop	 	s2_q9_a
label drop	 	s2_q9_b
label drop	 	s2_q9_c
label drop	 	s2_q10
label drop	 	s2_q12_a
label drop	 	s2_q12_b
label drop	 	s2_q13
label drop	 	s2_q14
label drop	 	s2_q15
label drop	 	s2_q16_a
label drop	 	s2_q16_b
label drop	 	s2_q16_c
label drop	 	s2_q17_a
label drop	 	s2_q17_b
label drop	 	s2_q17_c
label drop	 	s2_q18
label drop	 	s2_q19
label drop	 	s2_q20_a
label drop	 	s2_q20_b
label drop	 	s2_q21
label drop	 	s2_q22
label drop	 	s2_q23
label drop	 	s2_q24
label drop	 	s2_q25
label drop	 	s2_q26_a
label drop	 	s2_q28_a0
label drop	 	s2_q28_b0
label drop	 	s2_q28_c0
label drop	 	s2_q29
label drop	 	s2_q30
label drop	 	s2_q31_a
label drop	 	s2_q31_b
label drop	 	s2_q31_c
label drop	 	s2_q31_a0
label drop	 	s2_q31_b0
label drop	 	s2_q31_c0
label drop	 	s2_q32
label drop	 	s2_q33_a
label drop	 	s2_q33_b
label drop	 	s2_q34
label drop	 	s2_q35
label drop	 	s2_q36
label drop	 	s2_q37
label drop	 	s2_q38
label drop	 	s2_q39
label drop	 	s2_q40
label drop	 	s2_q41
label drop	 	s2_q42
label drop	 	s2_q43
label drop	 	s2_q44
label drop	 	s2_q45
label drop	 	s2_q46
label drop	 	s2_q47
label drop	 	s2_q48_a
label drop	 	s2_q48_b
label drop	 	s2_q48_c
label drop	 	s2_q48_d
label drop	 	s2_q48_e
label drop	 	s2_q48_f
label drop	 	s2_q48_g
label drop	 	s2_q48_h
label drop	 	s2_q48_i

label drop	 	s3_q3_a

label drop	 	s2_q2_nu 
label drop	 	s2_q4_a
label drop	 	 s2_q4_b 
label drop	 	ss2_q8 
label drop	 	ss2_q10_a 
label drop	 	 ss2_q10_b
label drop	 	ss2_q12 
label drop	 	ss2_q13 
label drop	 	ss2_q14_a 
label drop	 	ss2_q14_b
label drop	 	ss2_q14_c
label drop	 	ss2_q15_a
label drop	 	ss2_q15_b
label drop	 	ss2_q15_c
label drop	 	ss2_q18_a 
label drop	 	ss2_q18_b
label drop	 	ss2_q27
label drop	 	ss2_q30 
label drop	 	ss2_q31_a 
label drop	 	ss2_q31_b
label drop	 	ss2_q35 
label drop	 	ss2_q37
label drop	 	ss2_q39
label drop	 	ss2_q41
label drop	 	ss2_q43
label drop	 	ss2_q45



**************************************************
*** Ensure unique id
***************************************************

gen uid = _n

**************************************************
*** Step 4:  Recode missing values
***************************************************
/*
DONT KNOW (-666):.d 
NOT APPLICABLE (-777):.n
LACK OF RECORDS (-888):.l
REFUSED TO ANSWER (-999):.r
*/
**Correcting NA values and Do Not Know values
mvdecode  s2_q3_a s2_q7_c s2_q7_b s2_q25 s2_q7_a s2_q11 s2_q22 s2_q26_a s2_q26_b s2_q26_a0 s2_q26_b0 s2_q26_c0 s2_q28 s2_q29_b s2_q46_a s2_q46_b s2_q46_c s2_q46_d s2_q46_e s2_q46_f s2_q46_g s2_q46_h s2_q46_i s2_q29_b s2_q29_a0 s2_q29_b0 s2_q29_c0 s2_q29_a s2_q26_c s2_q46_i, mv(9=.n\ 8= .d)

*    DECODE MISSING VALUES
# d ;
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);

qui mvdecode  s2_q27 s3_q3_b	s3_q3_c	s3_q3_d	s2_q16	s2_q26_a0	s2_q26_b0	s2_q26_c0	s2_q29_a	s2_q29_a0	s2_q29_b	s2_q29_b0	s2_q29_c	s2_q29_c0	s2_q32	s2_q34	s2_q36	s2_q40 s2_q42 s2_q44
, mv(
9=.r\
8=.l \
7=.n \
6=.d);

qui mvdecode s2_q3_l2	s2_q3_l1	s2_q3_k	s2_q3_j	s2_q3_i	s2_q3_h	s2_q3_g	s2_q3_f	s2_q3_e	s2_q3_d	s2_q3_c	s2_q3_b	s2_q3_a
, mv( 
9=.r\);

qui mvdecode s2_q4_b	s2_q4_a	s2_q8	s2_q11	s2_q10_b	s2_q10_a	s2_q20 s2_q22 s2_q28 s2_q46_i s2_q46_h s2_q46_g	s2_q46_f	s2_q46_e	s2_q46_d	s2_q46_c	s2_q46_b	s2_q46_a
, mv(
8=.l);

qui mvdecode s2_q5_l2	s2_q5_l1	s2_q5_k	s2_q5_j	s2_q5_i	s2_q5_h	s2_q5_g	s2_q5_f	s2_q5_e	s2_q5_d	s2_q5_c	s2_q5_b	s2_q5_a
, mv( 	
9=.r\
8=.l);

qui mvdecode  s2_q12	s2_q38, mv(
8=.l \
6=.d);

qui mvdecode  s2_q17, mv(
6=.d);
# d cr;

**************************************************
***  Identify skip patterns
**************************************************

* Recode missing values to Stata missing values, for tests and data inspection.
quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -999 = .r) 

* Implement Questionnaire Consistency Tests. Each of these tests resolves to 1 if there is an error.

gen error01 = (s2_q11 == 2 &  s2_q12 <. )
gen error02 = (s2_q16 == 2 &  ( s2_q17 < . |  s2_q18_a   < . | s2_q18_b < . | s2_q19 < . ))
gen error03 = (s2_q17 == 2 &  ( s2_q18_a   < . | s2_q18_b < . | s2_q19 < . ))
gen error04 = (s2_q20 == 2 &  s2_q21 < . )
gen error05 = (s2_q32 == 2 &  s2_q33 < . )
gen error06 = (s2_q34 == 2 &  s2_q35 < . )
gen error07 = (s2_q36 == 2 &  s2_q37 < . )
gen error08 = (s2_q38 == 2 &  s2_q39 < . )
gen error09 = (s2_q40 == 2 &  s2_q41 < . )
gen error10 = (s2_q42 == 2 &  s2_q43 < . )
gen error11 = (s2_q44 == 2 &  s2_q45 < . )
		
**************************************************
***  Identify outliers
**************************************************

mvdecode  s2_q27 s3_q3_b s3_q3_c s3_q3_d	s2_q16 s2_q26_a0	s2_q26_b0	s2_q26_c0	s2_q29_a	s2_q29_a0	s2_q29_b	s2_q29_b0	s2_q29_c	s2_q29_c0	s2_q32	s2_q34	s2_q36	s2_q40 s2_q42 s2_q44, mv(0 = .z)
grubbs s2_q27 s3_q3_b	s3_q3_c	s3_q3_d	s2_q16	s2_q26_a0	s2_q26_b0	s2_q26_c0	s2_q29_a	s2_q29_a0	s2_q29_b	s2_q29_b0	s2_q29_c	s2_q29_c0	s2_q32	s2_q34	s2_q36 s2_q40 s2_q42 s2_q44, level(99.99)
mvencode s2_q27 s3_q3_b	s3_q3_c	s3_q3_d	s2_q16	s2_q26_a0	s2_q26_b0	s2_q26_c0	s2_q29_a	s2_q29_a0	s2_q29_b	s2_q29_b0	s2_q29_c	s2_q29_c0	s2_q32	s2_q34	s2_q36 s2_q40 s2_q42 s2_q44, mv(.z = 0)


* Encode missing STATA values back to missing value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999)
**************************************************
*** Identify errors to be reviewed
**************************************************
cd "Source/Cambodia 2004 P E/Data/4.3. Clean Data/4.3.3. Data Code Book"

log using "ssc codebook errors ", replace
codebook error* grubbs_*, compact
log close
drop grubbs* error* 


