****************************
* File: teacher.do 
* Questionnaire type: Teacher Questionnaire	
* Country: Cambodia
*****************************

version 10.1
cd "Source\Cambodia 2004 P E\Data\4.1. Data"
capture clear
capture log close
clear
set mem 700m
set more off
use "teacher.dta"


**************************************************
***  Ensure all variables are present and labeled
**************************************************

drop s5_q26 s5_q27 s5_q28

rename	 	s4_q12	 	s4_q13
rename	 	s4_q13_1	 	s4_q14_1
rename	 	s4_q13_2	 	s4_q14_2
rename	 	s4_q13_3	 	s4_q14_3
rename	 	s4_q13_4	 	s4_q14_4
rename	 	s4_q14	 	s4_q15
rename	 	s5_q29	 	s5_q27
rename	 	s5_q30	 	s5_q28
rename	 	s5_q31	 	s5_q29
rename	 	s5_q32	 	s5_q30
rename	 	s5_q33	 	s5_q31
rename	 	s5_q34	 	s5_q32
rename	 	s5_q35	 	s5_q33
rename	 	s5_q36	 	s5_q34
rename	 	s5_q37_a	 	s5_q35_a
rename	 	s5_q37_b	 	s5_q35_b
rename	 	s5_q37_c	 	s5_q35_c
rename	 	s5_q38	 	s5_q36
rename	 	s5_q39_a	 	s5_q37_a
rename	 	s5_q39_b	 	s5_q37_b
rename	 	s5_q39_c	 	s5_q37_c
rename	 	s5_q40	 	s5_q38
rename	 	s5_q41	 	s5_q39
rename	 	s5_q42	 	s5_q40
rename	 	s5_q43	 	s5_q41


label copy	 	s4_q12	 	ss4_q13
label copy	 	s4_q13_1	 	ss4_q14_1
label copy	 	s4_q13_2	 	ss4_q14_2
label copy	 	s4_q13_3	 	ss4_q14_3
label copy	 	s4_q13_4	 	ss4_q14_4
label copy	 	s4_q14	 	ss4_q15
label copy	 	s5_q37_a	 	ss5_q35_a
label copy	 	s5_q37_b	 	ss5_q35_b
label copy	 	s5_q37_c	 	ss5_q35_c
label copy	 	s5_q38	 	ss5_q3
label copy	 	s5_q39_a	 	ss5_q37_a
label copy	 	s5_q39_b	 	ss5_q37_b
label copy	 	s5_q39_c	 	ss5_q37_c
label copy	 	s5_q40	 	ss5_q38
label copy	 	s5_q41	 	ss5_q39
label copy	 	s5_q42	 	ss5_q40
label copy	 	s5_q43	 	ss5_q41
label copy	 	s5_q29	 	ss5_q27
label copy	 	s5_q30	 	ss5_q28
label copy	 	s5_q31	 	ss5_q29
label copy	 	s5_q32	 	ss5_q30
label copy	 	s5_q33	 	ss5_q31
label copy	 	s5_q34	 	ss5_q32
label copy	 	s5_q35	 	ss5_q33
label copy	 	s5_q36	 	ss5_q34

label value	 	s4_q13	 	ss4_q13
label value	 	s4_q14_1	 	ss4_q14_1
label value	 	s4_q14_2	 	ss4_q14_2
label value	 	s4_q14_3	 	ss4_q14_3
label value	 	s4_q14_4	 	ss4_q14_4
label value	 	s4_q15	 	ss4_q15
label value	 	s5_q35_a	 	ss5_q35_a
label value	 	s5_q35_b	 	ss5_q35_b
label value	 	s5_q35_c	 	ss5_q35_c
label value	 	s5_q36	 	ss5_q36
label value	 	s5_q37_a	 	ss5_q37_a
label value	 	s5_q37_b	 	ss5_q37_b
label value	 	s5_q37_c	 	ss5_q37_c
label value	 	s5_q38	 	ss5_q38
label value	 	s5_q39	 	ss5_q39
label value	 	s5_q40	 	ss5_q40
label value	 	s5_q41	 	ss5_q41
label value	 	s5_q27	 	ss5_q27
label value	 	s5_q28	 	ss5_q28
label value	 	s5_q29	 	ss5_q29
label value	 	s5_q30	 	ss5_q30
label value	 	s5_q31	 	ss5_q31
label value	 	s5_q32	 	ss5_q32
label value	 	s5_q33	 	ss5_q33
label value	 	s5_q34	 	ss5_q34
				
label drop	 	s4_q12
label drop		s4_q13_1
label drop		s4_q13_2
label drop		s4_q13_3
label drop		s4_q13_4
label drop		s4_q14
label drop		s5_q37_a
label drop		s5_q37_b
label drop		s5_q37_c
label drop		s5_q38
label drop		s5_q39_a
label drop		s5_q39_b
label drop		s5_q39_c
label drop		s5_q40
label drop		s5_q41
label drop		s5_q42
label drop		s5_q43
label drop		s5_q29
label drop		s5_q30
label drop		s5_q31
label drop		s5_q32
label drop		s5_q33
label drop		s5_q34
label drop		s5_q35
label drop		s5_q36

label drop	 	s3_q4
label drop	 	s3_q5 
label drop	 	s3_q7
label drop	 	s4_q4 
label drop	 	s4_q5_a
label drop	 	s4_q5_b
label drop	 	 s4_q5_c 
label drop	 	s4_q5_e
label drop	 	s4_q5_f
label drop	 	s4_q7_c 
label drop	 	s4_q9 
label drop	 	s4_q10 
label drop	 	s4_q11
label drop	 	ss4_q15
label drop	 	s5_q3_a
label drop	 	s5_q3_b
label drop	 	s5_q13_a
label drop	 	s5_q13_b
label drop	 	s5_q13_c
label drop	 	s5_q13_d
label drop	 	s5_q13_e
label drop	 	 s5_q16
label drop	 	s5_q19
label drop	 	s5_q20_a 
label drop	 	s5_q20_b
label drop	 	s5_q22
label drop	 	s5_q23
label drop	 	s5_q24
label drop	 	s5_q28
label drop	 	ss5_q29
label drop	 	ss5_q30
label drop	 	ss5_q32
label drop	 	ss5_q33
label drop	 	ss5_q34 
label drop	 	ss5_q38 
label drop	 	ss5_q40
label drop	 	ss5_q41

label drop	 	ss5_q28 
label drop	 	s4_q6_g
label drop	 	s3_q6
**************************************************
*** Ensure unique id
***************************************************

gen uid = _n

**************************************************
*** Recode mising values
***************************************************
**Correcting NA values and Do Not Know values
mvdecode  s2_q22_c s2_q21_a s2_q21_b s2_q21_c s2_q22_a s2_q22_b s2_q23_a s2_q23_b s2_q23_c s4_q5_d s4_q14_2 s4_q14_3 s4_q14_4 s5_q15_a0 s5_q15_b0 s5_q15_c0 s5_q18_c s5_q18_a0 s5_q18_b0 s5_q18_c0 s5_q25_a s5_q25_b s5_q25_c s5_q25_d s5_q25_e s5_q25_f s5_q25_g s5_q25_h s5_q25_i s5_q25_j s5_q25_k s5_q25_l s5_q25_a0 s6_q1b s6_q3_a s6_q3_b s6_q3_c s6_q3_d s6_q3__a s3_q2_b s3_q2_c, mv(99=.n\9=.n\ 8= .d)


/*
DONT KNOW (-666):.d 
NOT APPLICABLE (-777):.n
LACK OF RECORDS (-888):.l
REFUSED TO ANSWER (-999):.r
*/

*    DECODE MISSING VALUES
# d ;.d
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);

qui mvdecode s5_q34	s5_q33	s5_q32	s5_q31	s5_q30	s5_q29	s5_q28	s5_q27	s5_q41	s5_q40	s5_q39	s5_q38	s5_q37_c	s5_q37_b	s5_q37_a	s5_q36	s5_q35_c	s5_q35_b	s5_q35_a	s4_q15	s4_q14_4	s4_q14_3	s4_q14_2	s4_q14_1	s4_q13	s6_q3_d	s6_q3_c	s6_q3_b	s6_q3_a s5_q28 s5_q25_a0	s5_q25_l s5_q25_k	s5_q25_j	s5_q25_i	s5_q25_h	s5_q25_g	s5_q25_f	s5_q25_e	s5_q25_d s5_q25_c s5_q25_b s5_q25_a s5_q24 s5_q23	s5_q22	s5_q21	s5_q20_b s5_q20_a	s5_q19	s5_q18_c	s5_q18_b s5_q18_a	s5_q17	s5_q16	s5_q15_b	s5_q15_a s5_q14	s5_q13_e	s5_q13_d	s5_q13_c	s5_q13_b	s5_q13_a	s5_q12 s5_q11 s5_q9	s5_q8	s5_q7	s5_q6	s5_q5	s5_q3_b s5_q3_a s5_q2	s5_q1	s4_q11	s4_q10	s4_q9	s4_q8	s4_q7_c	s4_q7_b	s4_q7_a	s4_q6_g	s4_q6_f	s4_q6_e	s4_q6_c	s4_q5_f	s4_q5_e	s4_q5_d	s4_q5_c	s4_q5_b	s4_q5_a	s4_q4	s4_q3	s4_q2	s4_q1	s3_q12_d	s3_q12_c	s3_q12_b	s3_q12_a	s3_q11	s3_q10	s3_q9	s3_q8	s3_q7	s3_q6	s3_q5	s3_q4	s3_q3_c	s3_q3_b	s3_q3_a	s2_q28	s2_q26	s2_q24	s2_q20	s2_q16	s2_q14	s2_q13	s2_q11	s2_q10 s2_q8	s2_q7	s2_q6	s2_q5	s2_q2_ge, mv(
9=.r\
8=.l \
7=.n \
6=.d);

qui mvdecode   s2_q25	s5_q10, mv(
9=.r\
);

qui mvdecode    s5_q4	s5_q15_c0	s5_q15_b0	s5_q15_a0	s5_q15_c	s5_q18_c0	s5_q18_b0	s5_q18_a0	s5_q27, mv(
9=.r\
8=.l);

qui mvdecode   s3_q2_c	s3_q2_b s3_q2_a , mv(
8=.l\
7=.n);

# d cr;

**************************************************
***  Identify skip patterns
**************************************************

* Recode mising values to Stata mising values, for tests and data inspection.
quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -999 = .r) 

* Implement Questionnaire Consistency Tests. Each of these tests resolves to 1 if there is an error.
gen error01 = ( s2_q4_ma  == 2 & s2_q5 < . )
gen error02 = ( s2_q4_ma  == 3 & s2_q5 < . )
gen error03 = ( s2_q4_ma  == 4 & s2_q5 < . )
gen error04 = ( s2_q4_ma  == 5 & s2_q5 < . )
gen error05 = ( s2_q4_ma  == 6 & s2_q5 < . )
gen error06 = ( s4_q7_a  == 2 & s4_q7_b < . )
gen error07 = ( s4_q8 == 3 & (s4_q9  < . |  s4_q10 < . | s4_q11 < .  ))
gen error08 = ( s4_q13 == 2 & (s4_q14_1  < . |  s4_q14_2 < . | s4_q14_3 < . | s4_q14_4 < . | s4_q15 < . ))   
gen error09 = ( s5_q1 == 2 & (s5_q2  < . |  s5_q3_a < . | s5_q3_b < . | s5_q4 < .  ))     
gen error10 = ( s5_q2 == 2 & (s5_q3_a  < . |  s5_q3_b < . | s5_q4 < .  ))    
gen error11 = ( s5_q5 == 2 & s5_q6 < . )   
gen error12 = ( s5_q7 == 2 & s5_q8 < . )
gen error13 = ( s5_q9 == 2 & s5_q10 < . )
gen error14 = ( s5_q11 == 2 & (s5_q12  < . |  s5_q13_a < . | s5_q13_b < . | s5_q13_c < . | s5_q13_d < . | s5_q13_e < . ))    
gen error15 = ( s5_q14 == 2 & (s5_q15_a  < . |  s5_q15_b < . | s5_q15_c < . | s5_q15_a0 < . | s5_q15_b0 < . | s5_q15_c0 < . | s5_q16 < . ))    
gen error16 = ( s5_q17 == 2 & (s5_q18_a  < . |  s5_q18_b < . | s5_q18_c < . | s5_q18_a0 < . | s5_q18_b0 < . | s5_q18_c0 < . | s5_q19 < . ))    
gen error17 = ( s5_q21 == 2 & (s5_q22  < . |  s5_q23 < . | s5_q24 < . | s5_q25_a < . | s5_q25_b < . | s5_q25_c < . | s5_q25_d < . | s5_q25_e < . | s5_q25_f < . | s5_q25_g < . | s5_q25_h < . | s5_q25_i < . | s5_q25_j < . | s5_q25_k < . | s5_q25_l < . | s5_q25_a0 < . ))
gen error18 = ( s5_q27 == 2 & s5_q28 < . ) 
gen error19 = ( s5_q31 == 2 & s5_q32 < . ) 
gen error20 = ( s5_q35_a == 2 & (s5_q35_b  < . |  s5_q35_c < . | s5_q36 < . ))    
gen error21 = ( s5_q37_a == 2 & (s5_q37_b  < . |  s5_q37_c  < . | s5_q38 < . ))    
gen error22 = ( s5_q39 == 2 & s5_q40 < . )  
   
**************************************************
***  Identify outliers
**************************************************

mvdecode  s5_q34	s5_q33 s5_q32	s5_q31	s5_q30	s5_q29	s5_q28	s5_q27	s5_q41	s5_q40	s5_q39	s5_q38	s5_q37_c	s5_q37_b	s5_q37_a	s5_q36 s5_q35_c	s5_q35_b	s5_q35_a	s4_q15	s4_q14_4	s4_q14_3	s4_q14_2	s4_q14_1	s4_q13	s6_q3_d	s6_q3_c	s6_q3_b	s6_q3_a	s5_q28 s5_q25_a0	s5_q25_l	s5_q25_k	s5_q25_j	s5_q25_i	s5_q25_h	s5_q25_g	s5_q25_f	s5_q25_e	s5_q25_d	s5_q25_c	s5_q25_b	s5_q25_a	s5_q24	s5_q23	s5_q22	s5_q21	s5_q20_b	s5_q20_a	s5_q19	s5_q18_c	s5_q18_b	s5_q18_a	s5_q17	s5_q16	s5_q15_b	s5_q15_a	s5_q14	s5_q13_e	s5_q13_d	s5_q13_c	s5_q13_b	s5_q13_a	s5_q12	s5_q11	s5_q9	s5_q8	s5_q7	s5_q6	s5_q5	s5_q3_b	s5_q3_a	s5_q2	s5_q1	s4_q11	s4_q10	s4_q9	s4_q8	s4_q7_c	s4_q7_b	s4_q7_a	s4_q6_g	s4_q6_f	s4_q6_e	s4_q6_c	s4_q5_f	s4_q5_e	s4_q5_d	s4_q5_c	s4_q5_b	s4_q5_a	s4_q4	s4_q3	s4_q2	s4_q1	s3_q12_d	s3_q12_c	s3_q12_b	s3_q12_a	s3_q11	s3_q10	s3_q9	s3_q8	s3_q7	s3_q6	s3_q5	s3_q4	s3_q3_c	s3_q3_b	s3_q3_a	s2_q28	s2_q26	s2_q24	s2_q20	s2_q16	s2_q14	s2_q13	s2_q11	s2_q10	s2_q8	s2_q7	s2_q6	s2_q5	s2_q2_ge , mv(0 = .z)
grubbs s5_q34	s5_q33 s5_q32	s5_q31	s5_q30	s5_q29	s5_q28	s5_q27	s5_q41	s5_q40	s5_q39	s5_q38	s5_q37_c	s5_q37_b	s5_q37_a	s5_q36 s5_q35_c	s5_q35_b	s5_q35_a	s4_q15	s4_q14_4	s4_q14_3	s4_q14_2	s4_q14_1	s4_q13	s6_q3_d	s6_q3_c	s6_q3_b	s6_q3_a	s5_q28 s5_q25_a0	s5_q25_l	s5_q25_k	s5_q25_j	s5_q25_i	s5_q25_h	s5_q25_g	s5_q25_f	s5_q25_e	s5_q25_d	s5_q25_c	s5_q25_b	s5_q25_a	s5_q24	s5_q23	s5_q22	s5_q21	s5_q20_b	s5_q20_a	s5_q19	s5_q18_c	s5_q18_b	s5_q18_a	s5_q17	s5_q16	s5_q15_b	s5_q15_a	s5_q14	s5_q13_e	s5_q13_d	s5_q13_c	s5_q13_b	s5_q13_a	s5_q12	s5_q11	s5_q9	s5_q8	s5_q7	s5_q6	s5_q5	s5_q3_b	s5_q3_a	s5_q2	s5_q1	s4_q11	s4_q10	s4_q9	s4_q8	s4_q7_c	s4_q7_b	s4_q7_a	s4_q6_g	s4_q6_f	s4_q6_e	s4_q6_c	s4_q5_f	s4_q5_e	s4_q5_d	s4_q5_c	s4_q5_b	s4_q5_a	s4_q4	s4_q3	s4_q2	s4_q1	s3_q12_d	s3_q12_c	s3_q12_b	s3_q12_a	s3_q11	s3_q10	s3_q9	s3_q8	s3_q7	s3_q6	s3_q5	s3_q4	s3_q3_c	s3_q3_b	s3_q3_a	s2_q28	s2_q26	s2_q24	s2_q20	s2_q16	s2_q14	s2_q13	s2_q11	s2_q10	s2_q8	s2_q7	s2_q6	s2_q5	s2_q2_ge, level(99.99)
mvencode s5_q34	s5_q33 s5_q32	s5_q31	s5_q30	s5_q29	s5_q28	s5_q27	s5_q41	s5_q40	s5_q39	s5_q38	s5_q37_c	s5_q37_b	s5_q37_a	s5_q36 s5_q35_c	s5_q35_b	s5_q35_a	s4_q15	s4_q14_4	s4_q14_3	s4_q14_2	s4_q14_1	s4_q13	s6_q3_d	s6_q3_c	s6_q3_b	s6_q3_a	s5_q28 s5_q25_a0	s5_q25_l	s5_q25_k	s5_q25_j	s5_q25_i	s5_q25_h	s5_q25_g	s5_q25_f	s5_q25_e	s5_q25_d	s5_q25_c	s5_q25_b	s5_q25_a	s5_q24	s5_q23	s5_q22	s5_q21	s5_q20_b	s5_q20_a	s5_q19	s5_q18_c	s5_q18_b	s5_q18_a	s5_q17	s5_q16	s5_q15_b	s5_q15_a	s5_q14	s5_q13_e	s5_q13_d	s5_q13_c	s5_q13_b	s5_q13_a	s5_q12	s5_q11	s5_q9	s5_q8	s5_q7	s5_q6	s5_q5	s5_q3_b	s5_q3_a	s5_q2	s5_q1	s4_q11	s4_q10	s4_q9	s4_q8	s4_q7_c	s4_q7_b	s4_q7_a	s4_q6_g	s4_q6_f	s4_q6_e	s4_q6_c	s4_q5_f	s4_q5_e	s4_q5_d	s4_q5_c	s4_q5_b	s4_q5_a	s4_q4	s4_q3	s4_q2	s4_q1	s3_q12_d	s3_q12_c	s3_q12_b	s3_q12_a	s3_q11	s3_q10	s3_q9	s3_q8	s3_q7	s3_q6	s3_q5	s3_q4	s3_q3_c	s3_q3_b	s3_q3_a	s2_q28	s2_q26	s2_q24	s2_q20	s2_q16	s2_q14	s2_q13	s2_q11	s2_q10	s2_q8	s2_q7	s2_q6	s2_q5	s2_q2_ge, mv(.z = 0)

**************************************************
*** Identify errors to be reviewed
**************************************************
cd "Source\Cambodia 2004 P E\Data\4.3. Clean Data\4.3.3. Data Code Book"
log using "teacher codebook errors ", replace
codebook error* grubbs_*, compact
log close
drop grubbs* error* 

**************************************************
***  Reviewing errors and computing responses
**************************************************
* Encode mising STATA values back to mising value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999)
