****************************
* File: peo.do 
* Questionnaire type: Provincial Education Office Questionnaire
* Country: Cambodia
*****************************

version 10.0
cd "Source/Cambodia 2004 P E/Data/4.1. Data"
capture clear
capture log close
clear
set mem 700m
set more off
use "PEO.dta"


**************************************************
***Ensure all variables are present and labeled
***************************************************

label drop _all
label define s1_q2_pr 1 `"bantey meanchey"', modify
label define s1_q2_pr 2 `"kampong cham"', modify
label define s1_q2_pr 3 `"kampong chhnang"', modify
label define s1_q2_pr 4 `"kampot"', modify
label define s1_q2_pr 5 `"kratie"', modify
label define s1_q2_pr 6 `"preah vihear"', modify
label define s1_q2_pr 7 `"prey veng"', modify
label define s1_q2_pr 8 `"sihanoukville"', modify
label define s2_c_akm 1 `"yes"', modify
label define s2_c_akm 2 `"no"', modify
label define s2_c_akm 8 `"do not know"', modify
label define s2_c_akm 9 `"not applicable"', modify
label define s2_c_akn 1 `"yes"', modify
label define s2_c_akn 2 `"no"', modify
label define s2_c_akn 8 `"do not know"', modify
label define s2_c_akn 9 `"not applicable"', modify
label define s2_c_ako 1 `"yes"', modify
label define s2_c_ako 2 `"no"', modify
label define s2_c_ako 8 `"do not know"', modify
label define s2_c_ako 9 `"not applicable"', modify
label define s2_c_akp 1 `"yes"', modify
label define s2_c_akp 2 `"no"', modify
label define s2_c_akp 8 `"do not know"', modify
label define s2_c_akp 9 `"not applicable"', modify
label define s2_c_akq 1 `"yes"', modify
label define s2_c_akq 2 `"no"', modify
label define s2_c_akq 8 `"do not know"', modify
label define s2_c_akq 9 `"not applicable"', modify
label define s2_c_akr 1 `"yes"', modify
label define s2_c_akr 2 `"no"', modify
label define s2_c_akr 8 `"do not know"', modify
label define s3_ch_ct 1 `"photocopy the documents"', modify
label define s3_ch_ct 2 `"office stationary and supplies"', modify
label define s3_ch_ct 3 `"calculators"', modify
label define s3_ch_ct 4 `"small maintenance in the office or car"', modify
label define s3_ch_ct 5 `"moveable asset"', modify
label define s3_ch_ct 6 `"mission fee"', modify
label define s3_ch_ct 7 `"seminar/workshop/meeting"', modify
label define s3_ch_ct 8 `"do not know"', modify
label define s3_ch_ct 9 `"not applicable"', modify
label define s3_ch_ct 10 `"welcome local and international guests"', modify
label define s3_ch_ct 11 `"newspaper/magazine"', modify

label define s3_ch_cv 1 `"photocopy the documents"', modify
label define s3_ch_cv 2 `"office stationary and supplies"', modify
label define s3_ch_cv 3 `"calculators"', modify
label define s3_ch_cv 4 `"small maintenance in the office or car"', modify
label define s3_ch_cv 5 `"moveable asset"', modify
label define s3_ch_cv 6 `"mission fee"', modify
label define s3_ch_cv 7 `"seminar/workshop/meeting"', modify
label define s3_ch_cv 8 `"do not know"', modify
label define s3_ch_cv 9 `"not applicable"', modify
label define s3_ch_cv 10 `"welcome local and international guests"', modify
label define s3_ch_cv 11 `"newspaper/magazine"', modify

label define s3_ch_cx 1 `"photocopy the documents"', modify
label define s3_ch_cx 2 `"office stationary and supplies"', modify
label define s3_ch_cx 3 `"calculators"', modify
label define s3_ch_cx 4 `"small maintenance in the office or car"', modify
label define s3_ch_cx 5 `"moveable asset"', modify
label define s3_ch_cx 6 `"mission fee"', modify
label define s3_ch_cx 7 `"seminar/workshop/meeting"', modify
label define s3_ch_cx 8 `"do not know"', modify
label define s3_ch_cx 9 `"not applicable"', modify
label define s3_ch_cx 10 `"welcome local and international guests"', modify
label define s3_ch_cx 11 `"newspaper/magazine"', modify
label define s3_ch_cz 1 `"yes"', modify
label define s3_ch_cz 2 `"no"', modify
label define s3_ch_da 1 `"peo construction and repairs"', modify
label define s3_ch_da 2 `"repair of a kindergarten"', modify
label define s3_ch_da 3 `"water"', modify
label define s3_ch_da 4 `"electricity"', modify
label define s3_ch_da 5 `"teacher training school repairs"', modify
label define s3_ch_da 6 `"a school repairs"', modify
label define s3_ch_da 7 `"electricity equipment repairs"', modify
label define s3_ch_da 8 `"do not know"', modify
label define s3_ch_da 9 `"not applicable"', modify
label define s3_ch_da 10 `"deo building repairing"', modify
label define s3_ch_da 11 `"peo compound improvements"', modify
label define s3_ch_da 12 `"others- in maintenance"', modify
label define s3_ch_da 13 `"copier repairs"', modify
label define s3_ch_da 14 `"electricity office supplies"', modify
label define s3_ch_db 1 `"metre cube (m x 3)"', modify
label define s3_ch_db 2 `"kilowatt (kw)"', modify
label define s3_ch_db 3 `"building"', modify
label define s3_ch_db 4 `"copier"', modify
label define s3_ch_db 8 `"do not know"', modify
label define s3_ch_db 9 `"not applicable"', modify
label define s3_ch_db 777 `"various"', modify
label define s3_ch_df 1 `"peo construction and repairs"', modify
label define s3_ch_df 2 `"repair of a kindergarten"', modify
label define s3_ch_df 3 `"water"', modify
label define s3_ch_df 4 `"electricity"', modify
label define s3_ch_df 5 `"teacher training school repairs"', modify
label define s3_ch_df 6 `"a school repairs"', modify
label define s3_ch_df 7 `"electricity equipment repairs"', modify
label define s3_ch_df 8 `"do not know"', modify
label define s3_ch_df 9 `"not applicable"', modify
label define s3_ch_df 10 `"deo building repairing"', modify
label define s3_ch_df 11 `"peo compound improvements"', modify
label define s3_ch_df 12 `"others- in maintenance"', modify
label define s3_ch_df 13 `"copier repairs"', modify
label define s3_ch_df 14 `"electricity office supplies"', modify
label define s3_ch_dg 1 `"metre cube (m x 3)"', modify
label define s3_ch_dg 2 `"kilowatt (kw)"', modify
label define s3_ch_dg 3 `"building"', modify
label define s3_ch_dg 4 `"copier"', modify
label define s3_ch_dg 8 `"do not know"', modify
label define s3_ch_dg 9 `"not applicable"', modify
label define s3_ch_dg 777 `"various"', modify

label define s3_ch_dk 1 `"peo construction and repairs"', modify
label define s3_ch_dk 2 `"repair of a kindergarten"', modify
label define s3_ch_dk 3 `"water"', modify
label define s3_ch_dk 4 `"electricity"', modify
label define s3_ch_dk 5 `"teacher training school repairs"', modify
label define s3_ch_dk 6 `"a school repairs"', modify
label define s3_ch_dk 7 `"electricity equipment repairs"', modify
label define s3_ch_dk 8 `"do not know"', modify
label define s3_ch_dk 9 `"not applicable"', modify
label define s3_ch_dk 10 `"deo building repairing"', modify
label define s3_ch_dk 11 `"peo compound improvements"', modify
label define s3_ch_dk 12 `"others- in maintenance"', modify
label define s3_ch_dk 13 `"copier repairs"', modify
label define s3_ch_dk 14 `"electricity office supplies"', modify
label define s3_ch_dl 1 `"metre cube (m x 3)"', modify
label define s3_ch_dl 2 `"kilowatt (kw)"', modify
label define s3_ch_dl 3 `"building"', modify
label define s3_ch_dl 4 `"copier"', modify
label define s3_ch_dl 8 `"do not know"', modify
label define s3_ch_dl 9 `"not applicable"', modify
label define s3_ch_dl 777 `"various"', modify

label define s3_ch_dp 1 `"peo construction and repairs"', modify
label define s3_ch_dp 2 `"repair of a kindergarten"', modify
label define s3_ch_dp 3 `"water"', modify
label define s3_ch_dp 4 `"electricity"', modify
label define s3_ch_dp 5 `"teacher training school repairs"', modify
label define s3_ch_dp 6 `"a school repairs"', modify
label define s3_ch_dp 7 `"electricity equipment repairs"', modify
label define s3_ch_dp 8 `"do not know"', modify
label define s3_ch_dp 9 `"not applicable"', modify
label define s3_ch_dp 10 `"deo building repairing"', modify
label define s3_ch_dp 11 `"peo compound improvements"', modify
label define s3_ch_dp 12 `"others- in maintenance"', modify
label define s3_ch_dp 13 `"copier repairs"', modify
label define s3_ch_dp 14 `"electricity office supplies"', modify
label define s3_ch_dq 1 `"metre cube (m x 3)"', modify
label define s3_ch_dq 2 `"kilowatt (kw)"', modify
label define s3_ch_dq 3 `"building"', modify
label define s3_ch_dq 4 `"copier"', modify
label define s3_ch_dq 8 `"do not know"', modify
label define s3_ch_dq 9 `"not applicable"', modify
label define s3_ch_dq 777 `"various"', modify
label define s3_ch_du 1 `"peo construction and repairs"', modify
label define s3_ch_du 2 `"repair of a kindergarten"', modify
label define s3_ch_du 3 `"water"', modify
label define s3_ch_du 4 `"electricity"', modify
label define s3_ch_du 5 `"teacher training school repairs"', modify
label define s3_ch_du 6 `"a school repairs"', modify
label define s3_ch_du 7 `"electricity equipment repairs"', modify
label define s3_ch_du 8 `"do not know"', modify
label define s3_ch_du 9 `"not applicable"', modify
label define s3_ch_du 10 `"deo building repairing"', modify
label define s3_ch_du 11 `"peo compound improvements"', modify
label define s3_ch_du 12 `"others- in maintenance"', modify
label define s3_ch_du 13 `"copier repairs"', modify
label define s3_ch_du 14 `"electricity office supplies"', modify
label define s3_ch_dv 1 `"metre cube (m x 3)"', modify
label define s3_ch_dv 2 `"kilowatt (kw)"', modify
label define s3_ch_dv 3 `"building"', modify
label define s3_ch_dv 4 `"copier"', modify
label define s3_ch_dv 8 `"do not know"', modify
label define s3_ch_dv 9 `"not applicable"', modify
label define s3_ch_dv 777 `"various"', modify
label define s3_ch_dz 1 `"yes"', modify
label define s3_ch_dz 2 `"no"', modify
label define s3_ch_ea 1 `"compag computer"', modify
label define s3_ch_ea 2 `"ups"', modify
label define s3_ch_ea 3 `"furniture "chair, desk""', modify
label define s3_ch_ea 4 `"photocopier"', modify
label define s3_ch_ea 5 `"auto voltage"', modify
label define s3_ch_ea 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_ea 7 `"air condition type 1"', modify
label define s3_ch_ea 8 `"do not know"', modify
label define s3_ch_ea 9 `"not applicable"', modify
label define s3_ch_ea 10 `"typewriter"', modify
label define s3_ch_ea 11 `"motorbike"', modify
label define s3_ch_ea 12 `"kobuta generator"', modify
label define s3_ch_ea 13 `"speaker and mics"', modify
label define s3_ch_ea 14 `"white board"', modify
label define s3_ch_ea 15 `"printer"', modify
label define s3_ch_ea 16 `"photocopier's spare parts"', modify
label define s3_ch_ea 17 `"leeco desks"', modify
label define s3_ch_ea 18 `"lcd projector"', modify
label define s3_ch_ea 19 `"scanners"', modify
label define s3_ch_ea 20 `"computer desks"', modify
label define s3_ch_ea 21 `"others"', modify
label define s3_ch_ea 22 `"luxurious chairs"', modify
label define s3_ch_ea 23 `"luxurious desks"', modify
label define s3_ch_ea 24 `"tape recorder"', modify
label define s3_ch_ea 25 `"projector slide"', modify
label define s3_ch_ea 26 `"electric fans"', modify
label define s3_ch_ea 27 `"air condition type 2"', modify
label define s3_ch_eb 1 `"unit"', modify
label define s3_ch_eb 2 `"set"', modify
label define s3_ch_eb 8 `"do not know"', modify
label define s3_ch_eb 9 `"not applicable"', modify
label define s3_ch_eb 777 `"various"', modify
label define s3_ch_ef 1 `"compag computer"', modify
label define s3_ch_ef 2 `"ups"', modify
label define s3_ch_ef 3 `"furniture "chair, desk""', modify
label define s3_ch_ef 4 `"photocopier"', modify
label define s3_ch_ef 5 `"auto voltage"', modify
label define s3_ch_ef 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_ef 7 `"air condition type 1"', modify
label define s3_ch_ef 8 `"do not know"', modify
label define s3_ch_ef 9 `"not applicable"', modify
label define s3_ch_ef 10 `"typewriter"', modify
label define s3_ch_ef 11 `"motorbike"', modify
label define s3_ch_ef 12 `"kobuta generator"', modify
label define s3_ch_ef 13 `"speaker and mics"', modify
label define s3_ch_ef 14 `"white board"', modify
label define s3_ch_ef 15 `"printer"', modify
label define s3_ch_ef 16 `"photocopier's spare parts"', modify
label define s3_ch_ef 17 `"leeco desks"', modify
label define s3_ch_ef 18 `"lcd projector"', modify
label define s3_ch_ef 19 `"scanners"', modify
label define s3_ch_ef 20 `"computer desks"', modify
label define s3_ch_ef 21 `"others"', modify
label define s3_ch_ef 22 `"luxurious chairs"', modify
label define s3_ch_ef 23 `"luxurious desks"', modify
label define s3_ch_ef 24 `"tape recorder"', modify
label define s3_ch_ef 25 `"projector slide"', modify
label define s3_ch_ef 26 `"electric fans"', modify
label define s3_ch_ef 27 `"air condition type 2"', modify
label define s3_ch_eg 1 `"unit"', modify
label define s3_ch_eg 2 `"set"', modify
label define s3_ch_eg 8 `"do not know"', modify
label define s3_ch_eg 9 `"not applicable"', modify
label define s3_ch_eg 777 `"various"', modify

label define s3_ch_ek 1 `"compag computer"', modify
label define s3_ch_ek 2 `"ups"', modify
label define s3_ch_ek 3 `"furniture "chair, desk""', modify
label define s3_ch_ek 4 `"photocopier"', modify
label define s3_ch_ek 5 `"auto voltage"', modify
label define s3_ch_ek 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_ek 7 `"air condition type 1"', modify
label define s3_ch_ek 8 `"do not know"', modify
label define s3_ch_ek 9 `"not applicable"', modify
label define s3_ch_ek 10 `"typewriter"', modify
label define s3_ch_ek 11 `"motorbike"', modify
label define s3_ch_ek 12 `"kobuta generator"', modify
label define s3_ch_ek 13 `"speaker and mics"', modify
label define s3_ch_ek 14 `"white board"', modify
label define s3_ch_ek 15 `"printer"', modify
label define s3_ch_ek 16 `"photocopier's spare parts"', modify
label define s3_ch_ek 17 `"leeco desks"', modify
label define s3_ch_ek 18 `"lcd projector"', modify
label define s3_ch_ek 19 `"scanners"', modify
label define s3_ch_ek 20 `"computer desks"', modify
label define s3_ch_ek 21 `"others"', modify
label define s3_ch_ek 22 `"luxurious chairs"', modify
label define s3_ch_ek 23 `"luxurious desks"', modify
label define s3_ch_ek 24 `"tape recorder"', modify
label define s3_ch_ek 25 `"projector slide"', modify
label define s3_ch_ek 26 `"electric fans"', modify
label define s3_ch_ek 27 `"air condition type 2"', modify
label define s3_ch_el 1 `"unit"', modify
label define s3_ch_el 2 `"set"', modify
label define s3_ch_el 8 `"do not know"', modify
label define s3_ch_el 9 `"not applicable"', modify
label define s3_ch_el 777 `"various"', modify
label define s3_ch_ep 1 `"compag computer"', modify
label define s3_ch_ep 2 `"ups"', modify
label define s3_ch_ep 3 `"furniture "chair, desk""', modify
label define s3_ch_ep 4 `"photocopier"', modify
label define s3_ch_ep 5 `"auto voltage"', modify
label define s3_ch_ep 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_ep 7 `"air condition type 1"', modify
label define s3_ch_ep 8 `"do not know"', modify
label define s3_ch_ep 9 `"not applicable"', modify
label define s3_ch_ep 10 `"typewriter"', modify
label define s3_ch_ep 11 `"motorbike"', modify
label define s3_ch_ep 12 `"kobuta generator"', modify
label define s3_ch_ep 13 `"speaker and mics"', modify
label define s3_ch_ep 14 `"white board"', modify
label define s3_ch_ep 15 `"printer"', modify
label define s3_ch_ep 16 `"photocopier's spare parts"', modify
label define s3_ch_ep 17 `"leeco desks"', modify
label define s3_ch_ep 18 `"lcd projector"', modify
label define s3_ch_ep 19 `"scanners"', modify
label define s3_ch_ep 20 `"computer desks"', modify
label define s3_ch_ep 21 `"others"', modify
label define s3_ch_ep 22 `"luxurious chairs"', modify
label define s3_ch_ep 23 `"luxurious desks"', modify
label define s3_ch_ep 24 `"tape recorder"', modify
label define s3_ch_ep 25 `"projector slide"', modify
label define s3_ch_ep 26 `"electric fans"', modify
label define s3_ch_ep 27 `"air condition type 2"', modify
label define s3_ch_eq 1 `"unit"', modify
label define s3_ch_eq 2 `"set"', modify
label define s3_ch_eq 8 `"do not know"', modify
label define s3_ch_eq 9 `"not applicable"', modify
label define s3_ch_eq 777 `"various"', modify
label define s3_ch_eu 1 `"compag computer"', modify
label define s3_ch_eu 2 `"ups"', modify
label define s3_ch_eu 3 `"furniture "chair, desk""', modify
label define s3_ch_eu 4 `"photocopier"', modify
label define s3_ch_eu 5 `"auto voltage"', modify
label define s3_ch_eu 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_eu 7 `"air condition type 1"', modify
label define s3_ch_eu 8 `"do not know"', modify
label define s3_ch_eu 9 `"not applicable"', modify
label define s3_ch_eu 10 `"typewriter"', modify
label define s3_ch_eu 11 `"motorbike"', modify
label define s3_ch_eu 12 `"kobuta generator"', modify
label define s3_ch_eu 13 `"speaker and mics"', modify
label define s3_ch_eu 14 `"white board"', modify
label define s3_ch_eu 15 `"printer"', modify
label define s3_ch_eu 16 `"photocopier's spare parts"', modify
label define s3_ch_eu 17 `"leeco desks"', modify
label define s3_ch_eu 18 `"lcd projector"', modify
label define s3_ch_eu 19 `"scanners"', modify
label define s3_ch_eu 20 `"computer desks"', modify
label define s3_ch_eu 21 `"others"', modify
label define s3_ch_eu 22 `"luxurious chairs"', modify
label define s3_ch_eu 23 `"luxurious desks"', modify
label define s3_ch_eu 24 `"tape recorder"', modify
label define s3_ch_eu 25 `"projector slide"', modify
label define s3_ch_eu 26 `"electric fans"', modify
label define s3_ch_eu 27 `"air condition type 2"', modify
label define s3_ch_ev 1 `"unit"', modify
label define s3_ch_ev 2 `"set"', modify
label define s3_ch_ev 8 `"do not know"', modify
label define s3_ch_ev 9 `"not applicable"', modify
label define s3_ch_ev 777 `"various"', modify
label define s3_ch_ez 1 `"compag computer"', modify
label define s3_ch_ez 2 `"ups"', modify
label define s3_ch_ez 3 `"furniture "chair, desk""', modify
label define s3_ch_ez 4 `"photocopier"', modify
label define s3_ch_ez 5 `"auto voltage"', modify
label define s3_ch_ez 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_ez 7 `"air condition type 1"', modify
label define s3_ch_ez 8 `"do not know"', modify
label define s3_ch_ez 9 `"not applicable"', modify
label define s3_ch_ez 10 `"typewriter"', modify
label define s3_ch_ez 11 `"motorbike"', modify
label define s3_ch_ez 12 `"kobuta generator"', modify
label define s3_ch_ez 13 `"speaker and mics"', modify
label define s3_ch_ez 14 `"white board"', modify
label define s3_ch_ez 15 `"printer"', modify
label define s3_ch_ez 16 `"photocopier's spare parts"', modify
label define s3_ch_ez 17 `"leeco desks"', modify
label define s3_ch_ez 18 `"lcd projector"', modify
label define s3_ch_ez 19 `"scanners"', modify
label define s3_ch_ez 20 `"computer desks"', modify
label define s3_ch_ez 21 `"others"', modify
label define s3_ch_ez 22 `"luxurious chairs"', modify
label define s3_ch_ez 23 `"luxurious desks"', modify
label define s3_ch_ez 24 `"tape recorder"', modify
label define s3_ch_ez 25 `"projector slide"', modify
label define s3_ch_ez 26 `"electric fans"', modify
label define s3_ch_ez 27 `"air condition type 2"', modify
label define s3_ch_fa 1 `"unit"', modify
label define s3_ch_fa 2 `"set"', modify
label define s3_ch_fa 8 `"do not know"', modify
label define s3_ch_fa 9 `"not applicable"', modify
label define s3_ch_fa 777 `"various"', modify
label define s3_ch_fb 1 `"unit"', modify
label define s3_ch_fb 2 `"set"', modify
label define s3_ch_fb 8 `"do not know"', modify
label define s3_ch_fb 9 `"not applicable"', modify
label define s3_ch_fb 777 `"various"', modify
label define s3_ch_fe 1 `"compag computer"', modify
label define s3_ch_fe 2 `"ups"', modify
label define s3_ch_fe 3 `"furniture "chair, desk""', modify
label define s3_ch_fe 4 `"photocopier"', modify
label define s3_ch_fe 5 `"auto voltage"', modify
label define s3_ch_fe 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_fe 7 `"air condition type 1"', modify
label define s3_ch_fe 8 `"do not know"', modify
label define s3_ch_fe 9 `"not applicable"', modify
label define s3_ch_fe 10 `"typewriter"', modify
label define s3_ch_fe 11 `"motorbike"', modify
label define s3_ch_fe 12 `"kobuta generator"', modify
label define s3_ch_fe 13 `"speaker and mics"', modify
label define s3_ch_fe 14 `"white board"', modify
label define s3_ch_fe 15 `"printer"', modify
label define s3_ch_fe 16 `"photocopier's spare parts"', modify
label define s3_ch_fe 17 `"leeco desks"', modify
label define s3_ch_fe 18 `"lcd projector"', modify
label define s3_ch_fe 19 `"scanners"', modify
label define s3_ch_fe 20 `"computer desks"', modify
label define s3_ch_fe 21 `"others"', modify
label define s3_ch_fe 22 `"luxurious chairs"', modify
label define s3_ch_fe 23 `"luxurious desks"', modify
label define s3_ch_fe 24 `"tape recorder"', modify
label define s3_ch_fe 25 `"projector slide"', modify
label define s3_ch_fe 26 `"electric fans"', modify
label define s3_ch_fe 27 `"air condition type 2"', modify
label define s3_ch_ff 1 `"unit"', modify
label define s3_ch_ff 2 `"set"', modify
label define s3_ch_ff 8 `"do not know"', modify
label define s3_ch_ff 9 `"not applicable"', modify
label define s3_ch_ff 777 `"various"', modify
label define s3_ch_fj 1 `"yes"', modify
label define s3_ch_fj 2 `"no"', modify
label define s3_ch_fk 1 `"a4 papers"', modify
label define s3_ch_fk 2 `"a3 papers"', modify
label define s3_ch_fk 3 `"f4 papers"', modify
label define s3_ch_fk 4 `"copier toners"', modify
label define s3_ch_fk 5 `"printer toners"', modify
label define s3_ch_fk 6 `"others"', modify
label define s3_ch_fk 7 `"calculators"', modify
label define s3_ch_fk 8 `"do not know"', modify
label define s3_ch_fk 9 `"not applicable"', modify
label define s3_ch_fk 10 `"f5 papers"', modify
label define s3_ch_fl 1 `"reams"', modify
label define s3_ch_fl 2 `"tubes"', modify
label define s3_ch_fl 3 `"various"', modify
label define s3_ch_fl 4 `"calculator"', modify
label define s3_ch_fl 8 `"do not know"', modify
label define s3_ch_fl 9 `"not applicable"', modify
label define s3_ch_fp 1 `"a4 papers"', modify
label define s3_ch_fp 2 `"a3 papers"', modify
label define s3_ch_fp 3 `"f4 papers"', modify
label define s3_ch_fp 4 `"copier toners"', modify
label define s3_ch_fp 5 `"printer toners"', modify
label define s3_ch_fp 6 `"others"', modify
label define s3_ch_fp 7 `"calculators"', modify
label define s3_ch_fp 8 `"do not know"', modify
label define s3_ch_fp 9 `"not applicable"', modify
label define s3_ch_fp 10 `"f5 papers"', modify
label define s3_ch_fq 1 `"reams"', modify
label define s3_ch_fq 2 `"tubes"', modify
label define s3_ch_fq 3 `"various"', modify
label define s3_ch_fq 4 `"calculator"', modify
label define s3_ch_fq 8 `"do not know"', modify
label define s3_ch_fq 9 `"not applicable"', modify

label define s3_ch_fu 1 `"a4 papers"', modify
label define s3_ch_fu 2 `"a3 papers"', modify
label define s3_ch_fu 3 `"f4 papers"', modify
label define s3_ch_fu 4 `"copier toners"', modify
label define s3_ch_fu 5 `"printer toners"', modify
label define s3_ch_fu 6 `"others"', modify
label define s3_ch_fu 7 `"calculators"', modify
label define s3_ch_fu 8 `"do not know"', modify
label define s3_ch_fu 9 `"not applicable"', modify
label define s3_ch_fu 10 `"f5 papers"', modify
label define s3_ch_fv 1 `"reams"', modify
label define s3_ch_fv 2 `"tubes"', modify
label define s3_ch_fv 3 `"various"', modify
label define s3_ch_fv 4 `"calculator"', modify
label define s3_ch_fv 8 `"do not know"', modify
label define s3_ch_fv 9 `"not applicable"', modify
label define s3_ch_fz 1 `"a4 papers"', modify
label define s3_ch_fz 2 `"a3 papers"', modify
label define s3_ch_fz 3 `"f4 papers"', modify
label define s3_ch_fz 4 `"copier toners"', modify
label define s3_ch_fz 5 `"printer toners"', modify
label define s3_ch_fz 6 `"others"', modify
label define s3_ch_fz 7 `"calculators"', modify
label define s3_ch_fz 8 `"do not know"', modify
label define s3_ch_fz 9 `"not applicable"', modify
label define s3_ch_fz 10 `"f5 papers"', modify
label define s3_ch_ga 1 `"reams"', modify
label define s3_ch_ga 2 `"tubes"', modify
label define s3_ch_ga 3 `"various"', modify
label define s3_ch_ga 4 `"calculator"', modify
label define s3_ch_ga 8 `"do not know"', modify
label define s3_ch_ga 9 `"not applicable"', modify
label define s3_ch_ge 1 `"a4 papers"', modify
label define s3_ch_ge 2 `"a3 papers"', modify
label define s3_ch_ge 3 `"f4 papers"', modify
label define s3_ch_ge 4 `"copier toners"', modify
label define s3_ch_ge 5 `"printer toners"', modify
label define s3_ch_ge 6 `"others"', modify
label define s3_ch_ge 7 `"calculators"', modify
label define s3_ch_ge 8 `"do not know"', modify
label define s3_ch_ge 9 `"not applicable"', modify
label define s3_ch_ge 10 `"f5 papers"', modify
label define s3_ch_gf 1 `"reams"', modify
label define s3_ch_gf 2 `"tubes"', modify
label define s3_ch_gf 3 `"various"', modify
label define s3_ch_gf 4 `"calculator"', modify
label define s3_ch_gf 8 `"do not know"', modify
label define s3_ch_gf 9 `"not applicable"', modify
label define s3_ch_gg 8 `"do not know"', modify
label define s3_ch_gg 9 `"not applicable"', modify
label define s3_ch_gg 777 `"various"', modify

label define s3_ch_gj 1 `"yes"', modify
label define s3_ch_gj 2 `"no"', modify
label define s3_ch_gk 1 `"gasoline normal"', modify
label define s3_ch_gk 2 `"gasoline super"', modify
label define s3_ch_gk 3 `"diesels"', modify
label define s3_ch_gk 4 `"lubricant"', modify
label define s3_ch_gk 5 `"vehicle maintenance"', modify
label define s3_ch_gk 6 `"vehicle repairs"', modify
label define s3_ch_gk 7 `"vehicle rentals"', modify
label define s3_ch_gk 8 `"do not know"', modify
label define s3_ch_gk 9 `"not applicable"', modify
label define s3_ch_gk 10 `"other lubricants"', modify
label define s3_ch_gk 11 `"various items"', modify
label define s3_ch_gk 12 `"various items"', modify
label define s3_ch_gl 1 `"litre"', modify
label define s3_ch_gl 2 `"can"', modify
label define s3_ch_gl 8 `"do not know"', modify
label define s3_ch_gl 9 `"not applicable"', modify
label define s3_ch_gl 777 `"various"', modify

label define s3_ch_gp 1 `"gasoline normal"', modify
label define s3_ch_gp 2 `"gasoline super"', modify
label define s3_ch_gp 3 `"diesels"', modify
label define s3_ch_gp 4 `"lubricant"', modify
label define s3_ch_gp 5 `"vehicle maintenance"', modify
label define s3_ch_gp 6 `"vehicle repairs"', modify
label define s3_ch_gp 7 `"vehicle rentals"', modify
label define s3_ch_gp 8 `"do not know"', modify
label define s3_ch_gp 9 `"not applicable"', modify
label define s3_ch_gp 10 `"other lubricants"', modify
label define s3_ch_gp 11 `"various items"', modify
label define s3_ch_gp 12 `"various items"', modify
label define s3_ch_gq 1 `"litre"', modify
label define s3_ch_gq 2 `"can"', modify
label define s3_ch_gq 8 `"do not know"', modify
label define s3_ch_gq 9 `"not applicable"', modify
label define s3_ch_gq 777 `"various"', modify
label define s3_ch_gu 1 `"gasoline normal"', modify
label define s3_ch_gu 2 `"gasoline super"', modify
label define s3_ch_gu 3 `"diesels"', modify
label define s3_ch_gu 4 `"lubricant"', modify
label define s3_ch_gu 5 `"vehicle maintenance"', modify
label define s3_ch_gu 6 `"vehicle repairs"', modify
label define s3_ch_gu 7 `"vehicle rentals"', modify
label define s3_ch_gu 8 `"do not know"', modify
label define s3_ch_gu 9 `"not applicable"', modify
label define s3_ch_gu 10 `"other lubricants"', modify
label define s3_ch_gu 11 `"various items"', modify
label define s3_ch_gu 12 `"various items"', modify
label define s3_ch_gv 1 `"litre"', modify
label define s3_ch_gv 2 `"can"', modify
label define s3_ch_gv 8 `"do not know"', modify
label define s3_ch_gv 9 `"not applicable"', modify
label define s3_ch_gv 777 `"various"', modify
label define s3_ch_gz 1 `"gasoline normal"', modify
label define s3_ch_gz 2 `"gasoline super"', modify
label define s3_ch_gz 3 `"diesels"', modify
label define s3_ch_gz 4 `"lubricant"', modify
label define s3_ch_gz 5 `"vehicle maintenance"', modify
label define s3_ch_gz 6 `"vehicle repairs"', modify
label define s3_ch_gz 7 `"vehicle rentals"', modify
label define s3_ch_gz 8 `"do not know"', modify
label define s3_ch_gz 9 `"not applicable"', modify
label define s3_ch_gz 10 `"other lubricants"', modify
label define s3_ch_gz 11 `"various items"', modify
label define s3_ch_gz 12 `"various items"', modify
label define s3_ch_ha 1 `"litre"', modify
label define s3_ch_ha 2 `"can"', modify
label define s3_ch_ha 8 `"do not know"', modify
label define s3_ch_ha 9 `"not applicable"', modify
label define s3_ch_ha 777 `"various"', modify

label define s3_ch_he 1 `"gasoline normal"', modify
label define s3_ch_he 2 `"gasoline super"', modify
label define s3_ch_he 3 `"diesels"', modify
label define s3_ch_he 4 `"lubricant"', modify
label define s3_ch_he 5 `"vehicle maintenance"', modify
label define s3_ch_he 6 `"vehicle repairs"', modify
label define s3_ch_he 7 `"vehicle rentals"', modify
label define s3_ch_he 8 `"do not know"', modify
label define s3_ch_he 9 `"not applicable"', modify
label define s3_ch_he 10 `"other lubricants"', modify
label define s3_ch_he 11 `"various items"', modify
label define s3_ch_he 12 `"various items"', modify
label define s3_ch_hf 1 `"litre"', modify
label define s3_ch_hf 2 `"can"', modify
label define s3_ch_hf 8 `"do not know"', modify
label define s3_ch_hf 9 `"not applicable"', modify
label define s3_ch_hf 777 `"various"', modify
label define s3_ch_hj 1 `"gasoline normal"', modify
label define s3_ch_hj 2 `"gasoline super"', modify
label define s3_ch_hj 3 `"diesels"', modify
label define s3_ch_hj 4 `"lubricant"', modify
label define s3_ch_hj 5 `"vehicle maintenance"', modify
label define s3_ch_hj 6 `"vehicle repairs"', modify
label define s3_ch_hj 7 `"vehicle rentals"', modify
label define s3_ch_hj 8 `"do not know"', modify
label define s3_ch_hj 9 `"not applicable"', modify
label define s3_ch_hj 10 `"other lubricants"', modify
label define s3_ch_hj 11 `"various items"', modify
label define s3_ch_hj 12 `"various items"', modify
label define s3_ch_hk 1 `"litre"', modify
label define s3_ch_hk 2 `"can"', modify
label define s3_ch_hk 8 `"do not know"', modify
label define s3_ch_hk 9 `"not applicable"', modify
label define s3_ch_hk 777 `"various"', modify

label define s3_ch_ho 1 `"yes"', modify
label define s3_ch_ho 2 `"no"', modify
label define s3_ch_hp 1 `"bacii exam"', modify
label define s3_ch_hp 2 `"diploma exam"', modify
label define s3_ch_hp 3 `"sport equipment"', modify
label define s3_ch_hp 4 `"picnics for students"', modify
label define s3_ch_hp 5 `"teaching materials"', modify
label define s3_ch_hp 8 `"do not know"', modify
label define s3_ch_hp 9 `"not applicable"', modify
label define s3_ch_hu 1 `"bacii exam"', modify
label define s3_ch_hu 2 `"diploma exam"', modify
label define s3_ch_hu 3 `"sport equipment"', modify
label define s3_ch_hu 4 `"picnics for students"', modify
label define s3_ch_hu 5 `"teaching materials"', modify
label define s3_ch_hu 8 `"do not know"', modify
label define s3_ch_hu 9 `"not applicable"', modify
label define s3_ch_hz 1 `"bacii exam"', modify
label define s3_ch_hz 2 `"diploma exam"', modify
label define s3_ch_hz 3 `"sport equipment"', modify
label define s3_ch_hz 4 `"picnics for students"', modify
label define s3_ch_hz 5 `"teaching materials"', modify
label define s3_ch_hz 8 `"do not know"', modify
label define s3_ch_hz 9 `"not applicable"', modify

label define s3_ch_ie 1 `"bacii exam"', modify
label define s3_ch_ie 2 `"diploma exam"', modify
label define s3_ch_ie 3 `"sport equipment"', modify
label define s3_ch_ie 4 `"picnics for students"', modify
label define s3_ch_ie 5 `"teaching materials"', modify
label define s3_ch_ie 8 `"do not know"', modify
label define s3_ch_ie 9 `"not applicable"', modify

label define s3_ch_if 777 `"various"', modify
label define s3_ch_ij 1 `"bacii exam"', modify
label define s3_ch_ij 2 `"diploma exam"', modify
label define s3_ch_ij 3 `"sport equipment"', modify
label define s3_ch_ij 4 `"picnics for students"', modify
label define s3_ch_ij 5 `"teaching materials"', modify
label define s3_ch_ij 8 `"do not know"', modify
label define s3_ch_ij 9 `"not applicable"', modify
label define s3_ch_io 1 `"bacii exam"', modify
label define s3_ch_io 2 `"diploma exam"', modify
label define s3_ch_io 3 `"sport equipment"', modify
label define s3_ch_io 4 `"picnics for students"', modify
label define s3_ch_io 5 `"teaching materials"', modify
label define s3_ch_io 8 `"do not know"', modify
label define s3_ch_io 9 `"not applicable"', modify
label define s3_ch_it 1 `"yes"', modify
label define s3_ch_it 2 `"no"', modify
label define s3_ch_iu 1 `"transportation"', modify
label define s3_ch_iu 2 `"domestic mission"', modify
label define s3_ch_iu 3 `"accommodation/foods"', modify
label define s3_ch_iu 4 `"picnics for students"', modify
label define s3_ch_iu 8 `"do not know"', modify
label define s3_ch_iu 9 `"not applicable"', modify
label define s3_ch_iz 1 `"transportation"', modify
label define s3_ch_iz 2 `"domestic mission"', modify
label define s3_ch_iz 3 `"accommodation/foods"', modify
label define s3_ch_iz 4 `"picnics for students"', modify
label define s3_ch_iz 8 `"do not know"', modify
label define s3_ch_iz 9 `"not applicable"', modify
label define s3_ch_je 1 `"transportation"', modify
label define s3_ch_je 2 `"domestic mission"', modify
label define s3_ch_je 3 `"accommodation/foods"', modify
label define s3_ch_je 4 `"picnics for students"', modify
label define s3_ch_je 8 `"do not know"', modify
label define s3_ch_je 9 `"not applicable"', modify
label define s3_ch_jj 1 `"yes"', modify
label define s3_ch_jj 2 `"no"', modify
label define s3_ch_jk 1 `"peo construction and repairs"', modify
label define s3_ch_jk 2 `"repair of a kindergarten"', modify
label define s3_ch_jk 3 `"water"', modify
label define s3_ch_jk 4 `"electricity"', modify
label define s3_ch_jk 5 `"teacher training school repairs"', modify
label define s3_ch_jk 6 `"a school repairs"', modify
label define s3_ch_jk 7 `"electricity equipment repairs"', modify
label define s3_ch_jk 8 `"do not know"', modify
label define s3_ch_jk 9 `"not applicable"', modify
label define s3_ch_jk 10 `"deo building repairing"', modify
label define s3_ch_jk 11 `"peo compound improvements"', modify
label define s3_ch_jk 12 `"others- in maintenance"', modify
label define s3_ch_jk 13 `"copier repairs"', modify
label define s3_ch_jk 14 `"electricity office supplies"', modify
label define s3_ch_jl 1 `"metre cube (m x 3)"', modify
label define s3_ch_jl 2 `"kilowatt (kw)"', modify
label define s3_ch_jl 3 `"building"', modify
label define s3_ch_jl 4 `"copier"', modify
label define s3_ch_jl 8 `"do not know"', modify
label define s3_ch_jl 9 `"not applicable"', modify
label define s3_ch_jl 777 `"various"', modify

label define s3_ch_jp 1 `"peo construction and repairs"', modify
label define s3_ch_jp 2 `"repair of a kindergarten"', modify
label define s3_ch_jp 3 `"water"', modify
label define s3_ch_jp 4 `"electricity"', modify
label define s3_ch_jp 5 `"teacher training school repairs"', modify
label define s3_ch_jp 6 `"a school repairs"', modify
label define s3_ch_jp 7 `"electricity equipment repairs"', modify
label define s3_ch_jp 8 `"do not know"', modify
label define s3_ch_jp 9 `"not applicable"', modify
label define s3_ch_jp 10 `"deo building repairing"', modify
label define s3_ch_jp 11 `"peo compound improvements"', modify
label define s3_ch_jp 12 `"others- in maintenance"', modify
label define s3_ch_jp 13 `"copier repairs"', modify
label define s3_ch_jp 14 `"electricity office supplies"', modify
label define s3_ch_jq 1 `"metre cube (m x 3)"', modify
label define s3_ch_jq 2 `"kilowatt (kw)"', modify
label define s3_ch_jq 3 `"building"', modify
label define s3_ch_jq 4 `"copier"', modify
label define s3_ch_jq 8 `"do not know"', modify
label define s3_ch_jq 9 `"not applicable"', modify
label define s3_ch_jq 777 `"various"', modify

label define s3_ch_ju 1 `"peo construction and repairs"', modify
label define s3_ch_ju 2 `"repair of a kindergarten"', modify
label define s3_ch_ju 3 `"water"', modify
label define s3_ch_ju 4 `"electricity"', modify
label define s3_ch_ju 5 `"teacher training school repairs"', modify
label define s3_ch_ju 6 `"a school repairs"', modify
label define s3_ch_ju 7 `"electricity equipment repairs"', modify
label define s3_ch_ju 8 `"do not know"', modify
label define s3_ch_ju 9 `"not applicable"', modify
label define s3_ch_ju 10 `"deo building repairing"', modify
label define s3_ch_ju 11 `"peo compound improvements"', modify
label define s3_ch_ju 12 `"others- in maintenance"', modify
label define s3_ch_ju 13 `"copier repairs"', modify
label define s3_ch_ju 14 `"electricity office supplies"', modify
label define s3_ch_jv 1 `"metre cube (m x 3)"', modify
label define s3_ch_jv 2 `"kilowatt (kw)"', modify
label define s3_ch_jv 3 `"building"', modify
label define s3_ch_jv 4 `"copier"', modify
label define s3_ch_jv 8 `"do not know"', modify
label define s3_ch_jv 9 `"not applicable"', modify
label define s3_ch_jv 777 `"various"', modify
label define s3_ch_jz 1 `"peo construction and repairs"', modify
label define s3_ch_jz 2 `"repair of a kindergarten"', modify
label define s3_ch_jz 3 `"water"', modify
label define s3_ch_jz 4 `"electricity"', modify
label define s3_ch_jz 5 `"teacher training school repairs"', modify
label define s3_ch_jz 6 `"a school repairs"', modify
label define s3_ch_jz 7 `"electricity equipment repairs"', modify
label define s3_ch_jz 8 `"do not know"', modify
label define s3_ch_jz 9 `"not applicable"', modify
label define s3_ch_jz 10 `"deo building repairing"', modify
label define s3_ch_jz 11 `"peo compound improvements"', modify
label define s3_ch_jz 12 `"others- in maintenance"', modify
label define s3_ch_jz 13 `"copier repairs"', modify
label define s3_ch_jz 14 `"electricity office supplies"', modify
label define s3_ch_ka 1 `"metre cube (m x 3)"', modify
label define s3_ch_ka 2 `"kilowatt (kw)"', modify
label define s3_ch_ka 3 `"building"', modify
label define s3_ch_ka 4 `"copier"', modify
label define s3_ch_ka 8 `"do not know"', modify
label define s3_ch_ka 9 `"not applicable"', modify
label define s3_ch_ka 777 `"various"', modify
label define s3_ch_ke 1 `"yes"', modify
label define s3_ch_ke 2 `"no"', modify
label define s3_ch_kf 1 `"compag computer"', modify
label define s3_ch_kf 2 `"ups"', modify
label define s3_ch_kf 3 `"furniture "chair, desk""', modify
label define s3_ch_kf 4 `"photocopier"', modify
label define s3_ch_kf 5 `"auto voltage"', modify
label define s3_ch_kf 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_kf 7 `"air condition type 1"', modify
label define s3_ch_kf 8 `"do not know"', modify
label define s3_ch_kf 9 `"not applicable"', modify
label define s3_ch_kf 10 `"typewriter"', modify
label define s3_ch_kf 11 `"motorbike"', modify
label define s3_ch_kf 12 `"kobuta generator"', modify
label define s3_ch_kf 13 `"speaker and mics"', modify
label define s3_ch_kf 14 `"white board"', modify
label define s3_ch_kf 15 `"printer"', modify
label define s3_ch_kf 16 `"photocopier's spare parts"', modify
label define s3_ch_kf 17 `"leeco desks"', modify
label define s3_ch_kf 18 `"lcd projector"', modify
label define s3_ch_kf 19 `"scanners"', modify
label define s3_ch_kf 20 `"computer desks"', modify
label define s3_ch_kf 21 `"others"', modify
label define s3_ch_kf 22 `"luxurious chairs"', modify
label define s3_ch_kf 23 `"luxurious desks"', modify
label define s3_ch_kf 24 `"tape recorder"', modify
label define s3_ch_kf 25 `"projector slide"', modify
label define s3_ch_kf 26 `"electric fans"', modify
label define s3_ch_kf 27 `"air condition type 2"', modify
label define s3_ch_kg 1 `"unit"', modify
label define s3_ch_kg 2 `"set"', modify
label define s3_ch_kg 8 `"do not know"', modify
label define s3_ch_kg 9 `"not applicable"', modify
label define s3_ch_kg 777 `"various"', modify
label define s3_ch_kk 1 `"compag computer"', modify
label define s3_ch_kk 2 `"ups"', modify
label define s3_ch_kk 3 `"furniture "chair, desk""', modify
label define s3_ch_kk 4 `"photocopier"', modify
label define s3_ch_kk 5 `"auto voltage"', modify
label define s3_ch_kk 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_kk 7 `"air condition type 1"', modify
label define s3_ch_kk 8 `"do not know"', modify
label define s3_ch_kk 9 `"not applicable"', modify
label define s3_ch_kk 10 `"typewriter"', modify
label define s3_ch_kk 11 `"motorbike"', modify
label define s3_ch_kk 12 `"kobuta generator"', modify
label define s3_ch_kk 13 `"speaker and mics"', modify
label define s3_ch_kk 14 `"white board"', modify
label define s3_ch_kk 15 `"printer"', modify
label define s3_ch_kk 16 `"photocopier's spare parts"', modify
label define s3_ch_kk 17 `"leeco desks"', modify
label define s3_ch_kk 18 `"lcd projector"', modify
label define s3_ch_kk 19 `"scanners"', modify
label define s3_ch_kk 20 `"computer desks"', modify
label define s3_ch_kk 21 `"others"', modify
label define s3_ch_kk 22 `"luxurious chairs"', modify
label define s3_ch_kk 23 `"luxurious desks"', modify
label define s3_ch_kk 24 `"tape recorder"', modify
label define s3_ch_kk 25 `"projector slide"', modify
label define s3_ch_kk 26 `"electric fans"', modify
label define s3_ch_kk 27 `"air condition type 2"', modify
label define s3_ch_kl 1 `"unit"', modify
label define s3_ch_kl 2 `"set"', modify
label define s3_ch_kl 8 `"do not know"', modify
label define s3_ch_kl 9 `"not applicable"', modify
label define s3_ch_kl 777 `"various"', modify
label define s3_ch_kp 1 `"compag computer"', modify
label define s3_ch_kp 2 `"ups"', modify
label define s3_ch_kp 3 `"furniture "chair, desk""', modify
label define s3_ch_kp 4 `"photocopier"', modify
label define s3_ch_kp 5 `"auto voltage"', modify
label define s3_ch_kp 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_kp 7 `"air condition type 1"', modify
label define s3_ch_kp 8 `"do not know"', modify
label define s3_ch_kp 9 `"not applicable"', modify
label define s3_ch_kp 10 `"typewriter"', modify
label define s3_ch_kp 11 `"motorbike"', modify
label define s3_ch_kp 12 `"kobuta generator"', modify
label define s3_ch_kp 13 `"speaker and mics"', modify
label define s3_ch_kp 14 `"white board"', modify
label define s3_ch_kp 15 `"printer"', modify
label define s3_ch_kp 16 `"photocopier's spare parts"', modify
label define s3_ch_kp 17 `"leeco desks"', modify
label define s3_ch_kp 18 `"lcd projector"', modify
label define s3_ch_kp 19 `"scanners"', modify
label define s3_ch_kp 20 `"computer desks"', modify
label define s3_ch_kp 21 `"others"', modify
label define s3_ch_kp 22 `"luxurious chairs"', modify
label define s3_ch_kp 23 `"luxurious desks"', modify
label define s3_ch_kp 24 `"tape recorder"', modify
label define s3_ch_kp 25 `"projector slide"', modify
label define s3_ch_kp 26 `"electric fans"', modify
label define s3_ch_kp 27 `"air condition type 2"', modify
label define s3_ch_kq 1 `"unit"', modify
label define s3_ch_kq 2 `"set"', modify
label define s3_ch_kq 8 `"do not know"', modify
label define s3_ch_kq 9 `"not applicable"', modify
label define s3_ch_kq 777 `"various"', modify
label define s3_ch_ku 1 `"compag computer"', modify
label define s3_ch_ku 2 `"ups"', modify
label define s3_ch_ku 3 `"furniture "chair, desk""', modify
label define s3_ch_ku 4 `"photocopier"', modify
label define s3_ch_ku 5 `"auto voltage"', modify
label define s3_ch_ku 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_ku 7 `"air condition type 1"', modify
label define s3_ch_ku 8 `"do not know"', modify
label define s3_ch_ku 9 `"not applicable"', modify
label define s3_ch_ku 10 `"typewriter"', modify
label define s3_ch_ku 11 `"motorbike"', modify
label define s3_ch_ku 12 `"kobuta generator"', modify
label define s3_ch_ku 13 `"speaker and mics"', modify
label define s3_ch_ku 14 `"white board"', modify
label define s3_ch_ku 15 `"printer"', modify
label define s3_ch_ku 16 `"photocopier's spare parts"', modify
label define s3_ch_ku 17 `"leeco desks"', modify
label define s3_ch_ku 18 `"lcd projector"', modify
label define s3_ch_ku 19 `"scanners"', modify
label define s3_ch_ku 20 `"computer desks"', modify
label define s3_ch_ku 21 `"others"', modify
label define s3_ch_ku 22 `"luxurious chairs"', modify
label define s3_ch_ku 23 `"luxurious desks"', modify
label define s3_ch_ku 24 `"tape recorder"', modify
label define s3_ch_ku 25 `"projector slide"', modify
label define s3_ch_ku 26 `"electric fans"', modify
label define s3_ch_ku 27 `"air condition type 2"', modify
label define s3_ch_kv 1 `"unit"', modify
label define s3_ch_kv 2 `"set"', modify
label define s3_ch_kv 8 `"do not know"', modify
label define s3_ch_kv 9 `"not applicable"', modify
label define s3_ch_kv 777 `"various"', modify
label define s3_ch_kz 1 `"compag computer"', modify
label define s3_ch_kz 2 `"ups"', modify
label define s3_ch_kz 3 `"furniture "chair, desk""', modify
label define s3_ch_kz 4 `"photocopier"', modify
label define s3_ch_kz 5 `"auto voltage"', modify
label define s3_ch_kz 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_kz 7 `"air condition type 1"', modify
label define s3_ch_kz 8 `"do not know"', modify
label define s3_ch_kz 9 `"not applicable"', modify
label define s3_ch_kz 10 `"typewriter"', modify
label define s3_ch_kz 11 `"motorbike"', modify
label define s3_ch_kz 12 `"kobuta generator"', modify
label define s3_ch_kz 13 `"speaker and mics"', modify
label define s3_ch_kz 14 `"white board"', modify
label define s3_ch_kz 15 `"printer"', modify
label define s3_ch_kz 16 `"photocopier's spare parts"', modify
label define s3_ch_kz 17 `"leeco desks"', modify
label define s3_ch_kz 18 `"lcd projector"', modify
label define s3_ch_kz 19 `"scanners"', modify
label define s3_ch_kz 20 `"computer desks"', modify
label define s3_ch_kz 21 `"others"', modify
label define s3_ch_kz 22 `"luxurious chairs"', modify
label define s3_ch_kz 23 `"luxurious desks"', modify
label define s3_ch_kz 24 `"tape recorder"', modify
label define s3_ch_kz 25 `"projector slide"', modify
label define s3_ch_kz 26 `"electric fans"', modify
label define s3_ch_kz 27 `"air condition type 2"', modify
label define s3_ch_la 1 `"unit"', modify
label define s3_ch_la 2 `"set"', modify
label define s3_ch_la 8 `"do not know"', modify
label define s3_ch_la 9 `"not applicable"', modify
label define s3_ch_la 777 `"various"', modify
label define s3_ch_le 1 `"compag computer"', modify
label define s3_ch_le 2 `"ups"', modify
label define s3_ch_le 3 `"furniture "chair, desk""', modify
label define s3_ch_le 4 `"photocopier"', modify
label define s3_ch_le 5 `"auto voltage"', modify
label define s3_ch_le 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_le 7 `"air condition type 1"', modify
label define s3_ch_le 8 `"do not know"', modify
label define s3_ch_le 9 `"not applicable"', modify
label define s3_ch_le 10 `"typewriter"', modify
label define s3_ch_le 11 `"motorbike"', modify
label define s3_ch_le 12 `"kobuta generator"', modify
label define s3_ch_le 13 `"speaker and mics"', modify
label define s3_ch_le 14 `"white board"', modify
label define s3_ch_le 15 `"printer"', modify
label define s3_ch_le 16 `"photocopier's spare parts"', modify
label define s3_ch_le 17 `"leeco desks"', modify
label define s3_ch_le 18 `"lcd projector"', modify
label define s3_ch_le 19 `"scanners"', modify
label define s3_ch_le 20 `"computer desks"', modify
label define s3_ch_le 21 `"others"', modify
label define s3_ch_le 22 `"luxurious chairs"', modify
label define s3_ch_le 23 `"luxurious desks"', modify
label define s3_ch_le 24 `"tape recorder"', modify
label define s3_ch_le 25 `"projector slide"', modify
label define s3_ch_le 26 `"electric fans"', modify
label define s3_ch_le 27 `"air condition type 2"', modify
label define s3_ch_lf 1 `"unit"', modify
label define s3_ch_lf 2 `"set"', modify
label define s3_ch_lf 8 `"do not know"', modify
label define s3_ch_lf 9 `"not applicable"', modify
label define s3_ch_lf 777 `"various"', modify
label define s3_ch_lj 1 `"compag computer"', modify
label define s3_ch_lj 2 `"ups"', modify
label define s3_ch_lj 3 `"furniture "chair, desk""', modify
label define s3_ch_lj 4 `"photocopier"', modify
label define s3_ch_lj 5 `"auto voltage"', modify
label define s3_ch_lj 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_lj 7 `"air condition type 1"', modify
label define s3_ch_lj 8 `"do not know"', modify
label define s3_ch_lj 9 `"not applicable"', modify
label define s3_ch_lj 10 `"typewriter"', modify
label define s3_ch_lj 11 `"motorbike"', modify
label define s3_ch_lj 12 `"kobuta generator"', modify
label define s3_ch_lj 13 `"speaker and mics"', modify
label define s3_ch_lj 14 `"white board"', modify
label define s3_ch_lj 15 `"printer"', modify
label define s3_ch_lj 16 `"photocopier's spare parts"', modify
label define s3_ch_lj 17 `"leeco desks"', modify
label define s3_ch_lj 18 `"lcd projector"', modify
label define s3_ch_lj 19 `"scanners"', modify
label define s3_ch_lj 20 `"computer desks"', modify
label define s3_ch_lj 21 `"others"', modify
label define s3_ch_lj 22 `"luxurious chairs"', modify
label define s3_ch_lj 23 `"luxurious desks"', modify
label define s3_ch_lj 24 `"tape recorder"', modify
label define s3_ch_lj 25 `"projector slide"', modify
label define s3_ch_lj 26 `"electric fans"', modify
label define s3_ch_lj 27 `"air condition type 2"', modify
label define s3_ch_lk 1 `"unit"', modify
label define s3_ch_lk 2 `"set"', modify
label define s3_ch_lk 8 `"do not know"', modify
label define s3_ch_lk 9 `"not applicable"', modify
label define s3_ch_lk 777 `"various"', modify
label define s3_ch_lo 1 `"yes"', modify
label define s3_ch_lo 2 `"no"', modify
label define s3_ch_lp 1 `"a4 papers"', modify
label define s3_ch_lp 2 `"a3 papers"', modify
label define s3_ch_lp 3 `"f4 papers"', modify
label define s3_ch_lp 4 `"copier toners"', modify
label define s3_ch_lp 5 `"printer toners"', modify
label define s3_ch_lp 6 `"others"', modify
label define s3_ch_lp 7 `"calculators"', modify
label define s3_ch_lp 8 `"do not know"', modify
label define s3_ch_lp 9 `"not applicable"', modify
label define s3_ch_lp 10 `"f5 papers"', modify
label define s3_ch_lq 1 `"reams"', modify
label define s3_ch_lq 2 `"tubes"', modify
label define s3_ch_lq 3 `"various"', modify
label define s3_ch_lq 4 `"calculator"', modify
label define s3_ch_lq 7 `"various"', modify
label define s3_ch_lq 8 `"do not know"', modify
label define s3_ch_lq 9 `"not applicable"', modify
label define s3_ch_lu 1 `"a4 papers"', modify
label define s3_ch_lu 2 `"a3 papers"', modify
label define s3_ch_lu 3 `"f4 papers"', modify
label define s3_ch_lu 4 `"copier toners"', modify
label define s3_ch_lu 5 `"printer toners"', modify
label define s3_ch_lu 6 `"others"', modify
label define s3_ch_lu 7 `"calculators"', modify
label define s3_ch_lu 8 `"do not know"', modify
label define s3_ch_lu 9 `"not applicable"', modify
label define s3_ch_lu 10 `"f5 papers"', modify
label define s3_ch_lv 1 `"reams"', modify
label define s3_ch_lv 2 `"tubes"', modify
label define s3_ch_lv 3 `"various"', modify
label define s3_ch_lv 4 `"calculator"', modify
label define s3_ch_lv 8 `"do not know"', modify
label define s3_ch_lv 9 `"not applicable"', modify
label define s3_ch_lz 1 `"a4 papers"', modify
label define s3_ch_lz 2 `"a3 papers"', modify
label define s3_ch_lz 3 `"f4 papers"', modify
label define s3_ch_lz 4 `"copier toners"', modify
label define s3_ch_lz 5 `"printer toners"', modify
label define s3_ch_lz 6 `"others"', modify
label define s3_ch_lz 7 `"calculators"', modify
label define s3_ch_lz 8 `"do not know"', modify
label define s3_ch_lz 9 `"not applicable"', modify
label define s3_ch_lz 10 `"f5 papers"', modify
label define s3_ch_ma 1 `"reams"', modify
label define s3_ch_ma 2 `"tubes"', modify
label define s3_ch_ma 3 `"various"', modify
label define s3_ch_ma 4 `"calculator"', modify
label define s3_ch_ma 8 `"do not know"', modify
label define s3_ch_ma 9 `"not applicable"', modify
label define s3_ch_me 1 `"a4 papers"', modify
label define s3_ch_me 2 `"a3 papers"', modify
label define s3_ch_me 3 `"f4 papers"', modify
label define s3_ch_me 4 `"copier toners"', modify
label define s3_ch_me 5 `"printer toners"', modify
label define s3_ch_me 6 `"others"', modify
label define s3_ch_me 7 `"calculators"', modify
label define s3_ch_me 8 `"do not know"', modify
label define s3_ch_me 9 `"not applicable"', modify
label define s3_ch_me 10 `"f5 papers"', modify
label define s3_ch_mf 1 `"reams"', modify
label define s3_ch_mf 2 `"tubes"', modify
label define s3_ch_mf 3 `"various"', modify
label define s3_ch_mf 4 `"calculator"', modify
label define s3_ch_mf 8 `"do not know"', modify
label define s3_ch_mf 9 `"not applicable"', modify
label define s3_ch_mj 1 `"a4 papers"', modify
label define s3_ch_mj 2 `"a3 papers"', modify
label define s3_ch_mj 3 `"f4 papers"', modify
label define s3_ch_mj 4 `"copier toners"', modify
label define s3_ch_mj 5 `"printer toners"', modify
label define s3_ch_mj 6 `"others"', modify
label define s3_ch_mj 7 `"calculators"', modify
label define s3_ch_mj 8 `"do not know"', modify
label define s3_ch_mj 9 `"not applicable"', modify
label define s3_ch_mj 10 `"f5 papers"', modify
label define s3_ch_mk 1 `"reams"', modify
label define s3_ch_mk 2 `"tubes"', modify
label define s3_ch_mk 3 `"various"', modify
label define s3_ch_mk 4 `"calculator"', modify
label define s3_ch_mk 8 `"do not know"', modify
label define s3_ch_mk 9 `"not applicable"', modify
label define s3_ch_mo 1 `"a4 papers"', modify
label define s3_ch_mo 2 `"a3 papers"', modify
label define s3_ch_mo 3 `"f4 papers"', modify
label define s3_ch_mo 4 `"copier toners"', modify
label define s3_ch_mo 5 `"printer toners"', modify
label define s3_ch_mo 6 `"others"', modify
label define s3_ch_mo 7 `"calculators"', modify
label define s3_ch_mo 8 `"do not know"', modify
label define s3_ch_mo 9 `"not applicable"', modify
label define s3_ch_mo 10 `"f5 papers"', modify
label define s3_ch_mp 1 `"reams"', modify
label define s3_ch_mp 2 `"tubes"', modify
label define s3_ch_mp 3 `"various"', modify
label define s3_ch_mp 4 `"calculator"', modify
label define s3_ch_mp 8 `"do not know"', modify
label define s3_ch_mp 9 `"not applicable"', modify
label define s3_ch_mt 1 `"yes"', modify
label define s3_ch_mt 2 `"no"', modify
label define s3_ch_mu 1 `"gasoline normal"', modify
label define s3_ch_mu 2 `"gasoline super"', modify
label define s3_ch_mu 3 `"diesels"', modify
label define s3_ch_mu 4 `"lubricant"', modify
label define s3_ch_mu 5 `"vehicle maintenance"', modify
label define s3_ch_mu 6 `"vehicle repairs"', modify
label define s3_ch_mu 7 `"vehicle rentals"', modify
label define s3_ch_mu 8 `"do not know"', modify
label define s3_ch_mu 9 `"not applicable"', modify
label define s3_ch_mu 10 `"other lubricants"', modify
label define s3_ch_mu 11 `"various items"', modify
label define s3_ch_mu 12 `"various items"', modify
label define s3_ch_mv 1 `"litre"', modify
label define s3_ch_mv 2 `"can"', modify
label define s3_ch_mv 8 `"do not know"', modify
label define s3_ch_mv 9 `"not applicable"', modify
label define s3_ch_mz 1 `"gasoline normal"', modify
label define s3_ch_mz 2 `"gasoline super"', modify
label define s3_ch_mz 3 `"diesels"', modify
label define s3_ch_mz 4 `"lubricant"', modify
label define s3_ch_mz 5 `"vehicle maintenance"', modify
label define s3_ch_mz 6 `"vehicle repairs"', modify
label define s3_ch_mz 7 `"vehicle rentals"', modify
label define s3_ch_mz 8 `"do not know"', modify
label define s3_ch_mz 9 `"not applicable"', modify
label define s3_ch_mz 10 `"other lubricants"', modify
label define s3_ch_mz 11 `"various items"', modify
label define s3_ch_mz 12 `"various items"', modify
label define s3_ch_na 1 `"litre"', modify
label define s3_ch_na 2 `"can"', modify
label define s3_ch_na 8 `"do not know"', modify
label define s3_ch_na 9 `"not applicable"', modify
label define s3_ch_na 777 `"various"', modify
label define s3_ch_ne 1 `"gasoline normal"', modify
label define s3_ch_ne 2 `"gasoline super"', modify
label define s3_ch_ne 3 `"diesels"', modify
label define s3_ch_ne 4 `"lubricant"', modify
label define s3_ch_ne 5 `"vehicle maintenance"', modify
label define s3_ch_ne 6 `"vehicle repairs"', modify
label define s3_ch_ne 7 `"vehicle rentals"', modify
label define s3_ch_ne 8 `"do not know"', modify
label define s3_ch_ne 9 `"not applicable"', modify
label define s3_ch_ne 10 `"other lubricants"', modify
label define s3_ch_ne 11 `"various items"', modify
label define s3_ch_ne 12 `"various items"', modify
label define s3_ch_nf 1 `"litre"', modify
label define s3_ch_nf 2 `"can"', modify
label define s3_ch_nf 8 `"do not know"', modify
label define s3_ch_nf 9 `"not applicable"', modify
label define s3_ch_nf 777 `"various"', modify
label define s3_ch_nj 1 `"gasoline normal"', modify
label define s3_ch_nj 2 `"gasoline super"', modify
label define s3_ch_nj 3 `"diesels"', modify
label define s3_ch_nj 4 `"lubricant"', modify
label define s3_ch_nj 5 `"vehicle maintenance"', modify
label define s3_ch_nj 6 `"vehicle repairs"', modify
label define s3_ch_nj 7 `"vehicle rentals"', modify
label define s3_ch_nj 8 `"do not know"', modify
label define s3_ch_nj 9 `"not applicable"', modify
label define s3_ch_nj 10 `"other lubricants"', modify
label define s3_ch_nj 11 `"various items"', modify
label define s3_ch_nj 12 `"various items"', modify
label define s3_ch_nk 1 `"litre"', modify
label define s3_ch_nk 2 `"can"', modify
label define s3_ch_nk 8 `"do not know"', modify
label define s3_ch_nk 9 `"not applicable"', modify
label define s3_ch_nk 777 `"various"', modify
label define s3_ch_no 1 `"gasoline normal"', modify
label define s3_ch_no 2 `"gasoline super"', modify
label define s3_ch_no 3 `"diesels"', modify
label define s3_ch_no 4 `"lubricant"', modify
label define s3_ch_no 5 `"vehicle maintenance"', modify
label define s3_ch_no 6 `"vehicle repairs"', modify
label define s3_ch_no 7 `"vehicle rentals"', modify
label define s3_ch_no 8 `"do not know"', modify
label define s3_ch_no 9 `"not applicable"', modify
label define s3_ch_no 10 `"other lubricants"', modify
label define s3_ch_no 11 `"various items"', modify
label define s3_ch_no 12 `"various items"', modify
label define s3_ch_np 1 `"litre"', modify
label define s3_ch_np 2 `"can"', modify
label define s3_ch_np 8 `"do not know"', modify
label define s3_ch_np 9 `"not applicable"', modify
label define s3_ch_np 777 `"various"', modify
label define s3_ch_nt 1 `"gasoline normal"', modify
label define s3_ch_nt 2 `"gasoline super"', modify
label define s3_ch_nt 3 `"diesels"', modify
label define s3_ch_nt 4 `"lubricant"', modify
label define s3_ch_nt 5 `"vehicle maintenance"', modify
label define s3_ch_nt 6 `"vehicle repairs"', modify
label define s3_ch_nt 7 `"vehicle rentals"', modify
label define s3_ch_nt 8 `"do not know"', modify
label define s3_ch_nt 9 `"not applicable"', modify
label define s3_ch_nt 10 `"other lubricants"', modify
label define s3_ch_nt 11 `"various items"', modify
label define s3_ch_nt 12 `"various items"', modify
label define s3_ch_nu 1 `"litre"', modify
label define s3_ch_nu 2 `"can"', modify
label define s3_ch_nu 8 `"do not know"', modify
label define s3_ch_nu 9 `"not applicable"', modify
label define s3_ch_nu 777 `"various"', modify
label define s3_ch_ny 1 `"yes"', modify
label define s3_ch_ny 2 `"no"', modify
label define s3_ch_nz 1 `"bacii exam"', modify
label define s3_ch_nz 2 `"diploma exam"', modify
label define s3_ch_nz 3 `"sport equipment"', modify
label define s3_ch_nz 4 `"picnics for students"', modify
label define s3_ch_nz 5 `"teaching materials"', modify
label define s3_ch_nz 8 `"do not know"', modify
label define s3_ch_nz 9 `"not applicable"', modify

label define s3_ch_oe 1 `"bacii exam"', modify
label define s3_ch_oe 2 `"diploma exam"', modify
label define s3_ch_oe 3 `"sport equipment"', modify
label define s3_ch_oe 4 `"picnics for students"', modify
label define s3_ch_oe 5 `"teaching materials"', modify
label define s3_ch_oe 6 `"youth picnic"', modify
label define s3_ch_oe 8 `"do not know"', modify
label define s3_ch_oe 9 `"not applicable"', modify

label define s3_ch_oj 1 `"bacii exam"', modify
label define s3_ch_oj 2 `"diploma exam"', modify
label define s3_ch_oj 3 `"sport equipment"', modify
label define s3_ch_oj 4 `"picnics for students"', modify
label define s3_ch_oj 5 `"teaching materials"', modify
label define s3_ch_oj 8 `"do not know"', modify
label define s3_ch_oj 9 `"not applicable"', modify

label define s3_ch_oo 1 `"bacii exam"', modify
label define s3_ch_oo 2 `"diploma exam"', modify
label define s3_ch_oo 3 `"sport equipment"', modify
label define s3_ch_oo 4 `"picnics for students"', modify
label define s3_ch_oo 5 `"teaching materials"', modify
label define s3_ch_oo 8 `"do not know"', modify
label define s3_ch_oo 9 `"not applicable"', modify

label define s3_ch_ot 1 `"bacii exam"', modify
label define s3_ch_ot 2 `"diploma exam"', modify
label define s3_ch_ot 3 `"sport equipment"', modify
label define s3_ch_ot 4 `"picnics for students"', modify
label define s3_ch_ot 5 `"teaching materials"', modify
label define s3_ch_ot 8 `"do not know"', modify
label define s3_ch_ot 9 `"not applicable"', modify

label define s3_ch_oy 1 `"bacii exam"', modify
label define s3_ch_oy 2 `"diploma exam"', modify
label define s3_ch_oy 3 `"sport equipment"', modify
label define s3_ch_oy 4 `"picnics for students"', modify
label define s3_ch_oy 5 `"teaching materials"', modify
label define s3_ch_oy 8 `"do not know"', modify
label define s3_ch_oy 9 `"not applicable"', modify
label define s3_ch_pd 1 `"yes"', modify
label define s3_ch_pd 2 `"no"', modify
label define s3_ch_pe 1 `"transportation"', modify
label define s3_ch_pe 2 `"domestic mission"', modify
label define s3_ch_pe 3 `"accommodation/foods"', modify
label define s3_ch_pe 4 `"picnics for students"', modify
label define s3_ch_pe 8 `"do not know"', modify
label define s3_ch_pe 9 `"not applicable"', modify
label define s3_ch_pj 1 `"transportation"', modify
label define s3_ch_pj 2 `"domestic mission"', modify
label define s3_ch_pj 3 `"accommodation/foods"', modify
label define s3_ch_pj 4 `"picnics for students"', modify
label define s3_ch_pj 8 `"do not know"', modify
label define s3_ch_pj 9 `"not applicable"', modify
label define s3_ch_po 1 `"transportation"', modify
label define s3_ch_po 2 `"domestic mission"', modify
label define s3_ch_po 3 `"accommodation/foods"', modify
label define s3_ch_po 4 `"picnics for students"', modify
label define s3_ch_po 8 `"do not know"', modify
label define s3_ch_po 9 `"not applicable"', modify
label define s3_ch_pt 1 `"transportation"', modify
label define s3_ch_pt 2 `"domestic mission"', modify
label define s3_ch_pt 3 `"accommodation/foods"', modify
label define s3_ch_pt 4 `"picnics for students"', modify
label define s3_ch_pt 8 `"do not know"', modify
label define s3_ch_pt 9 `"not applicable"', modify
label define s3_ch_py 1 `"yes"', modify
label define s3_ch_py 2 `"no"', modify
label define s3_ch_pz 1 `"peo construction and repairs"', modify
label define s3_ch_pz 2 `"repair of a kindergarten"', modify
label define s3_ch_pz 3 `"water"', modify
label define s3_ch_pz 4 `"electricity"', modify
label define s3_ch_pz 5 `"teacher training school repairs"', modify
label define s3_ch_pz 6 `"a school repairs"', modify
label define s3_ch_pz 7 `"electricity equipment repairs"', modify
label define s3_ch_pz 8 `"do not know"', modify
label define s3_ch_pz 9 `"not applicable"', modify
label define s3_ch_pz 10 `"deo building repairing"', modify
label define s3_ch_pz 11 `"peo compound improvements"', modify
label define s3_ch_pz 12 `"others- in maintenance"', modify
label define s3_ch_pz 13 `"copier repairs"', modify
label define s3_ch_pz 14 `"electricity office supplies"', modify
label define s3_ch_pz 15 `"small peo office decoration"', modify
label define s3_ch_pz 16 `"repair of computers, air-conditioner"', modify
label define s3_ch_pz 17 `"computer accessories for peo"', modify
label define s3_ch_pz 18 `"printer accessories for peo"', modify
label define s3_ch_pz 19 `"other peo office decoration"', modify
label define s3_ch_qa 1 `"metre cube (m x 3)"', modify
label define s3_ch_qa 2 `"kilowatt (kw)"', modify
label define s3_ch_qa 3 `"building"', modify
label define s3_ch_qa 4 `"copier"', modify
label define s3_ch_qa 5 `"unit"', modify
label define s3_ch_qa 8 `"do not know"', modify
label define s3_ch_qa 9 `"not applicable"', modify
label define s3_ch_qa 777 `"various"', modify

label define s3_ch_qe 1 `"peo construction and repairs"', modify
label define s3_ch_qe 2 `"repair of a kindergarten"', modify
label define s3_ch_qe 3 `"water"', modify
label define s3_ch_qe 4 `"electricity"', modify
label define s3_ch_qe 5 `"teacher training school repairs"', modify
label define s3_ch_qe 6 `"a school repairs"', modify
label define s3_ch_qe 7 `"electricity equipment repairs"', modify
label define s3_ch_qe 8 `"do not know"', modify
label define s3_ch_qe 9 `"not applicable"', modify
label define s3_ch_qe 10 `"deo building repairing"', modify
label define s3_ch_qe 11 `"peo compound improvements"', modify
label define s3_ch_qe 12 `"others- in maintenance"', modify
label define s3_ch_qe 13 `"copier repairs"', modify
label define s3_ch_qe 14 `"electricity office supplies"', modify
label define s3_ch_qe 15 `"small peo office decoration"', modify
label define s3_ch_qe 16 `"repair of computers, air-conditioner"', modify
label define s3_ch_qe 17 `"computer accessories for peo"', modify
label define s3_ch_qe 18 `"printer accessories for peo"', modify
label define s3_ch_qe 19 `"other peo office decoration"', modify
label define s3_ch_qf 1 `"metre cube (m x 3)"', modify
label define s3_ch_qf 2 `"kilowatt (kw)"', modify
label define s3_ch_qf 3 `"building"', modify
label define s3_ch_qf 4 `"copier"', modify
label define s3_ch_qf 8 `"do not know"', modify
label define s3_ch_qf 9 `"not applicable"', modify
label define s3_ch_qf 777 `"various"', modify

label define s3_ch_qj 1 `"peo construction and repairs"', modify
label define s3_ch_qj 2 `"repair of a kindergarten"', modify
label define s3_ch_qj 3 `"water"', modify
label define s3_ch_qj 4 `"electricity"', modify
label define s3_ch_qj 5 `"teacher training school repairs"', modify
label define s3_ch_qj 6 `"a school repairs"', modify
label define s3_ch_qj 7 `"electricity equipment repairs"', modify
label define s3_ch_qj 8 `"do not know"', modify
label define s3_ch_qj 9 `"not applicable"', modify
label define s3_ch_qj 10 `"deo building repairing"', modify
label define s3_ch_qj 11 `"peo compound improvements"', modify
label define s3_ch_qj 12 `"others- in maintenance"', modify
label define s3_ch_qj 13 `"copier repairs"', modify
label define s3_ch_qj 14 `"electricity office supplies"', modify
label define s3_ch_qj 15 `"small peo office decoration"', modify
label define s3_ch_qj 16 `"repair of computers, air-conditioner"', modify
label define s3_ch_qj 17 `"computer accessories for peo"', modify
label define s3_ch_qj 18 `"printer accessories for peo"', modify
label define s3_ch_qj 19 `"other peo office decoration"', modify
label define s3_ch_qk 1 `"metre cube (m x 3)"', modify
label define s3_ch_qk 2 `"kilowatt (kw)"', modify
label define s3_ch_qk 3 `"building"', modify
label define s3_ch_qk 4 `"copier"', modify
label define s3_ch_qk 8 `"do not know"', modify
label define s3_ch_qk 9 `"not applicable"', modify
label define s3_ch_qk 777 `"various"', modify

label define s3_ch_qo 1 `"peo construction and repairs"', modify
label define s3_ch_qo 2 `"repair of a kindergarten"', modify
label define s3_ch_qo 3 `"water"', modify
label define s3_ch_qo 4 `"electricity"', modify
label define s3_ch_qo 5 `"teacher training school repairs"', modify
label define s3_ch_qo 6 `"a school repairs"', modify
label define s3_ch_qo 7 `"electricity equipment repairs"', modify
label define s3_ch_qo 8 `"do not know"', modify
label define s3_ch_qo 9 `"not applicable"', modify
label define s3_ch_qo 10 `"deo building repairing"', modify
label define s3_ch_qo 11 `"peo compound improvements"', modify
label define s3_ch_qo 12 `"others- in maintenance"', modify
label define s3_ch_qo 13 `"copier repairs"', modify
label define s3_ch_qo 14 `"electricity office supplies"', modify
label define s3_ch_qp 1 `"metre cube (m x 3)"', modify
label define s3_ch_qp 2 `"kilowatt (kw)"', modify
label define s3_ch_qp 3 `"building"', modify
label define s3_ch_qp 4 `"copier"', modify
label define s3_ch_qp 8 `"do not know"', modify
label define s3_ch_qp 9 `"not applicable"', modify
label define s3_ch_qp 777 `"various"', modify
label define s3_ch_qt 1 `"yes"', modify
label define s3_ch_qt 2 `"no"', modify
label define s3_ch_qu 1 `"compag computer"', modify
label define s3_ch_qu 2 `"ups"', modify
label define s3_ch_qu 3 `"furniture "chair, desk""', modify
label define s3_ch_qu 4 `"photocopier"', modify
label define s3_ch_qu 5 `"auto voltage"', modify
label define s3_ch_qu 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_qu 7 `"air condition type 1"', modify
label define s3_ch_qu 8 `"do not know"', modify
label define s3_ch_qu 9 `"not applicable"', modify
label define s3_ch_qu 10 `"typewriter"', modify
label define s3_ch_qu 11 `"motorbike"', modify
label define s3_ch_qu 12 `"kobuta generator"', modify
label define s3_ch_qu 13 `"speaker and mics"', modify
label define s3_ch_qu 14 `"white board"', modify
label define s3_ch_qu 15 `"printer"', modify
label define s3_ch_qu 16 `"photocopier's spare parts"', modify
label define s3_ch_qu 17 `"leeco desks"', modify
label define s3_ch_qu 18 `"lcd projector"', modify
label define s3_ch_qu 19 `"scanners"', modify
label define s3_ch_qu 20 `"computer desks"', modify
label define s3_ch_qu 21 `"others"', modify
label define s3_ch_qu 22 `"luxurious chairs"', modify
label define s3_ch_qu 23 `"luxurious desks"', modify
label define s3_ch_qu 24 `"tape recorder"', modify
label define s3_ch_qu 25 `"projector slide"', modify
label define s3_ch_qu 26 `"electric fans"', modify
label define s3_ch_qu 27 `"air condition type 2"', modify
label define s3_ch_qu 28 `"generator"', modify
label define s3_ch_qu 29 `"some electrical equipment"', modify
label define s3_ch_qu 30 `"various small office items"', modify
label define s3_ch_qv 1 `"unit"', modify
label define s3_ch_qv 2 `"set"', modify
label define s3_ch_qv 8 `"do not know"', modify
label define s3_ch_qv 9 `"not applicable"', modify
label define s3_ch_qv 777 `"various"', modify
label define s3_ch_qz 1 `"compag computer"', modify
label define s3_ch_qz 2 `"ups"', modify
label define s3_ch_qz 3 `"furniture "chair, desk""', modify
label define s3_ch_qz 4 `"photocopier"', modify
label define s3_ch_qz 5 `"auto voltage"', modify
label define s3_ch_qz 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_qz 7 `"air condition type 1"', modify
label define s3_ch_qz 8 `"do not know"', modify
label define s3_ch_qz 9 `"not applicable"', modify
label define s3_ch_qz 10 `"typewriter"', modify
label define s3_ch_qz 11 `"motorbike"', modify
label define s3_ch_qz 12 `"kobuta generator"', modify
label define s3_ch_qz 13 `"speaker and mics"', modify
label define s3_ch_qz 14 `"white board"', modify
label define s3_ch_qz 15 `"printer"', modify
label define s3_ch_qz 16 `"photocopier's spare parts"', modify
label define s3_ch_qz 17 `"leeco desks"', modify
label define s3_ch_qz 18 `"lcd projector"', modify
label define s3_ch_qz 19 `"scanners"', modify
label define s3_ch_qz 20 `"computer desks"', modify
label define s3_ch_qz 21 `"others"', modify
label define s3_ch_qz 22 `"luxurious chairs"', modify
label define s3_ch_qz 23 `"luxurious desks"', modify
label define s3_ch_qz 24 `"tape recorder"', modify
label define s3_ch_qz 25 `"projector slide"', modify
label define s3_ch_qz 26 `"electric fans"', modify
label define s3_ch_qz 27 `"air condition type 2"', modify
label define s3_ch_ra 1 `"unit"', modify
label define s3_ch_ra 2 `"set"', modify
label define s3_ch_ra 8 `"do not know"', modify
label define s3_ch_ra 9 `"not applicable"', modify
label define s3_ch_ra 777 `"various"', modify
label define s3_ch_re 1 `"compag computer"', modify
label define s3_ch_re 2 `"ups"', modify
label define s3_ch_re 3 `"furniture "chair, desk""', modify
label define s3_ch_re 4 `"photocopier"', modify
label define s3_ch_re 5 `"auto voltage"', modify
label define s3_ch_re 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_re 7 `"air condition type 1"', modify
label define s3_ch_re 8 `"do not know"', modify
label define s3_ch_re 9 `"not applicable"', modify
label define s3_ch_re 10 `"typewriter"', modify
label define s3_ch_re 11 `"motorbike"', modify
label define s3_ch_re 12 `"kobuta generator"', modify
label define s3_ch_re 13 `"speaker and mics"', modify
label define s3_ch_re 14 `"white board"', modify
label define s3_ch_re 15 `"printer"', modify
label define s3_ch_re 16 `"photocopier's spare parts"', modify
label define s3_ch_re 17 `"leeco desks"', modify
label define s3_ch_re 18 `"lcd projector"', modify
label define s3_ch_re 19 `"scanners"', modify
label define s3_ch_re 20 `"computer desks"', modify
label define s3_ch_re 21 `"others"', modify
label define s3_ch_re 22 `"luxurious chairs"', modify
label define s3_ch_re 23 `"luxurious desks"', modify
label define s3_ch_re 24 `"tape recorder"', modify
label define s3_ch_re 25 `"projector slide"', modify
label define s3_ch_re 26 `"electric fans"', modify
label define s3_ch_re 27 `"air condition type 2"', modify
label define s3_ch_re 28 `"various electrical supplies"', modify
label define s3_ch_rj 1 `"compag computer"', modify
label define s3_ch_rj 2 `"ups"', modify
label define s3_ch_rj 3 `"furniture "chair, desk""', modify
label define s3_ch_rj 4 `"photocopier"', modify
label define s3_ch_rj 5 `"auto voltage"', modify
label define s3_ch_rj 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_rj 7 `"air condition type 1"', modify
label define s3_ch_rj 8 `"do not know"', modify
label define s3_ch_rj 9 `"not applicable"', modify
label define s3_ch_rj 10 `"typewriter"', modify
label define s3_ch_rj 11 `"motorbike"', modify
label define s3_ch_rj 12 `"kobuta generator"', modify
label define s3_ch_rj 13 `"speaker and mics"', modify
label define s3_ch_rj 14 `"white board"', modify
label define s3_ch_rj 15 `"printer"', modify
label define s3_ch_rj 16 `"photocopier's spare parts"', modify
label define s3_ch_rj 17 `"leeco desks"', modify
label define s3_ch_rj 18 `"lcd projector"', modify
label define s3_ch_rj 19 `"scanners"', modify
label define s3_ch_rj 20 `"computer desks"', modify
label define s3_ch_rj 21 `"others"', modify
label define s3_ch_rj 22 `"luxurious chairs"', modify
label define s3_ch_rj 23 `"luxurious desks"', modify
label define s3_ch_rj 24 `"tape recorder"', modify
label define s3_ch_rj 25 `"projector slide"', modify
label define s3_ch_rj 26 `"electric fans"', modify
label define s3_ch_rj 27 `"air condition type 2"', modify
label define s3_ch_ro 1 `"compag computer"', modify
label define s3_ch_ro 2 `"ups"', modify
label define s3_ch_ro 3 `"furniture "chair, desk""', modify
label define s3_ch_ro 4 `"photocopier"', modify
label define s3_ch_ro 5 `"auto voltage"', modify
label define s3_ch_ro 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_ro 7 `"air condition type 1"', modify
label define s3_ch_ro 8 `"do not know"', modify
label define s3_ch_ro 9 `"not applicable"', modify
label define s3_ch_ro 10 `"typewriter"', modify
label define s3_ch_ro 11 `"motorbike"', modify
label define s3_ch_ro 12 `"kobuta generator"', modify
label define s3_ch_ro 13 `"speaker and mics"', modify
label define s3_ch_ro 14 `"white board"', modify
label define s3_ch_ro 15 `"printer"', modify
label define s3_ch_ro 16 `"photocopier's spare parts"', modify
label define s3_ch_ro 17 `"leeco desks"', modify
label define s3_ch_ro 18 `"lcd projector"', modify
label define s3_ch_ro 19 `"scanners"', modify
label define s3_ch_ro 20 `"computer desks"', modify
label define s3_ch_ro 21 `"others"', modify
label define s3_ch_ro 22 `"luxurious chairs"', modify
label define s3_ch_ro 23 `"luxurious desks"', modify
label define s3_ch_ro 24 `"tape recorder"', modify
label define s3_ch_ro 25 `"projector slide"', modify
label define s3_ch_ro 26 `"electric fans"', modify
label define s3_ch_ro 27 `"air condition type 2"', modify
label define s3_ch_rt 1 `"compag computer"', modify
label define s3_ch_rt 2 `"ups"', modify
label define s3_ch_rt 3 `"furniture "chair, desk""', modify
label define s3_ch_rt 4 `"photocopier"', modify
label define s3_ch_rt 5 `"auto voltage"', modify
label define s3_ch_rt 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_rt 7 `"air condition type 1"', modify
label define s3_ch_rt 8 `"do not know"', modify
label define s3_ch_rt 9 `"not applicable"', modify
label define s3_ch_rt 10 `"typewriter"', modify
label define s3_ch_rt 11 `"motorbike"', modify
label define s3_ch_rt 12 `"kobuta generator"', modify
label define s3_ch_rt 13 `"speaker and mics"', modify
label define s3_ch_rt 14 `"white board"', modify
label define s3_ch_rt 15 `"printer"', modify
label define s3_ch_rt 16 `"photocopier's spare parts"', modify
label define s3_ch_rt 17 `"leeco desks"', modify
label define s3_ch_rt 18 `"lcd projector"', modify
label define s3_ch_rt 19 `"scanners"', modify
label define s3_ch_rt 20 `"computer desks"', modify
label define s3_ch_rt 21 `"others"', modify
label define s3_ch_rt 22 `"luxurious chairs"', modify
label define s3_ch_rt 23 `"luxurious desks"', modify
label define s3_ch_rt 24 `"tape recorder"', modify
label define s3_ch_rt 25 `"projector slide"', modify
label define s3_ch_rt 26 `"electric fans"', modify
label define s3_ch_rt 27 `"air condition type 2"', modify
label define s3_ch_ry 1 `"compag computer"', modify
label define s3_ch_ry 2 `"ups"', modify
label define s3_ch_ry 3 `"furniture "chair, desk""', modify
label define s3_ch_ry 4 `"photocopier"', modify
label define s3_ch_ry 5 `"auto voltage"', modify
label define s3_ch_ry 6 `"cabinet(steel cabinet, leeco cabinet)"', modify
label define s3_ch_ry 7 `"air condition type 1"', modify
label define s3_ch_ry 8 `"do not know"', modify
label define s3_ch_ry 9 `"not applicable"', modify
label define s3_ch_ry 10 `"typewriter"', modify
label define s3_ch_ry 11 `"motorbike"', modify
label define s3_ch_ry 12 `"kobuta generator"', modify
label define s3_ch_ry 13 `"speaker and mics"', modify
label define s3_ch_ry 14 `"white board"', modify
label define s3_ch_ry 15 `"printer"', modify
label define s3_ch_ry 16 `"photocopier's spare parts"', modify
label define s3_ch_ry 17 `"leeco desks"', modify
label define s3_ch_ry 18 `"lcd projector"', modify
label define s3_ch_ry 19 `"scanners"', modify
label define s3_ch_ry 20 `"computer desks"', modify
label define s3_ch_ry 21 `"others"', modify
label define s3_ch_ry 22 `"luxurious chairs"', modify
label define s3_ch_ry 23 `"luxurious desks"', modify
label define s3_ch_ry 24 `"tape recorder"', modify
label define s3_ch_ry 25 `"projector slide"', modify
label define s3_ch_ry 26 `"electric fans"', modify
label define s3_ch_ry 27 `"air condition type 2"', modify
label define s3_ch_sd 1 `"yes"', modify
label define s3_ch_sd 2 `"no"', modify
label define s3_ch_se 1 `"a4 papers"', modify
label define s3_ch_se 2 `"a3 papers"', modify
label define s3_ch_se 3 `"f4 papers"', modify
label define s3_ch_se 4 `"copier toners"', modify
label define s3_ch_se 5 `"printer toners"', modify
label define s3_ch_se 6 `"others"', modify
label define s3_ch_se 7 `"calculators"', modify
label define s3_ch_se 8 `"do not know"', modify
label define s3_ch_se 9 `"not applicable"', modify
label define s3_ch_se 10 `"f5 papers"', modify
label define s3_ch_sf 1 `"reams"', modify
label define s3_ch_sf 2 `"tubes"', modify
label define s3_ch_sf 3 `"various"', modify
label define s3_ch_sf 4 `"calculator"', modify
label define s3_ch_sf 8 `"do not know"', modify
label define s3_ch_sf 9 `"not applicable"', modify

label define s3_ch_sj 1 `"a4 papers"', modify
label define s3_ch_sj 2 `"a3 papers"', modify
label define s3_ch_sj 3 `"f4 papers"', modify
label define s3_ch_sj 4 `"copier toners"', modify
label define s3_ch_sj 5 `"printer toners"', modify
label define s3_ch_sj 6 `"others"', modify
label define s3_ch_sj 7 `"calculators"', modify
label define s3_ch_sj 8 `"do not know"', modify
label define s3_ch_sj 9 `"not applicable"', modify
label define s3_ch_sj 10 `"f5 papers"', modify
label define s3_ch_sk 1 `"reams"', modify
label define s3_ch_sk 2 `"tubes"', modify
label define s3_ch_sk 3 `"various"', modify
label define s3_ch_sk 4 `"calculator"', modify
label define s3_ch_sk 8 `"do not know"', modify
label define s3_ch_sk 9 `"not applicable"', modify

label define s3_ch_so 1 `"a4 papers"', modify
label define s3_ch_so 2 `"a3 papers"', modify
label define s3_ch_so 3 `"f4 papers"', modify
label define s3_ch_so 4 `"copier toners"', modify
label define s3_ch_so 5 `"printer toners"', modify
label define s3_ch_so 6 `"others"', modify
label define s3_ch_so 7 `"calculators"', modify
label define s3_ch_so 8 `"do not know"', modify
label define s3_ch_so 9 `"not applicable"', modify
label define s3_ch_so 10 `"f5 papers"', modify
label define s3_ch_sp 1 `"reams"', modify
label define s3_ch_sp 2 `"tubes"', modify
label define s3_ch_sp 3 `"various"', modify
label define s3_ch_sp 4 `"calculator"', modify
label define s3_ch_sp 8 `"do not know"', modify
label define s3_ch_sp 9 `"not applicable"', modify

label define s3_ch_st 1 `"a4 papers"', modify
label define s3_ch_st 2 `"a3 papers"', modify
label define s3_ch_st 3 `"f4 papers"', modify
label define s3_ch_st 4 `"copier toners"', modify
label define s3_ch_st 5 `"printer toners"', modify
label define s3_ch_st 6 `"others"', modify
label define s3_ch_st 7 `"calculators"', modify
label define s3_ch_st 8 `"do not know"', modify
label define s3_ch_st 9 `"not applicable"', modify
label define s3_ch_st 10 `"f5 papers"', modify
label define s3_ch_su 1 `"reams"', modify
label define s3_ch_su 2 `"tubes"', modify
label define s3_ch_su 3 `"various"', modify
label define s3_ch_su 4 `"calculator"', modify
label define s3_ch_su 8 `"do not know"', modify
label define s3_ch_su 9 `"not applicable"', modify
label define s3_ch_sy 1 `"a4 papers"', modify
label define s3_ch_sy 2 `"a3 papers"', modify
label define s3_ch_sy 3 `"f4 papers"', modify
label define s3_ch_sy 4 `"copier toners"', modify
label define s3_ch_sy 5 `"printer toners"', modify
label define s3_ch_sy 6 `"others"', modify
label define s3_ch_sy 7 `"calculators"', modify
label define s3_ch_sy 8 `"do not know"', modify
label define s3_ch_sy 9 `"not applicable"', modify
label define s3_ch_sy 10 `"f5 papers"', modify
label define s3_ch_sz 1 `"reams"', modify
label define s3_ch_sz 2 `"tubes"', modify
label define s3_ch_sz 3 `"various"', modify
label define s3_ch_sz 4 `"calculator"', modify
label define s3_ch_sz 8 `"do not know"', modify
label define s3_ch_sz 9 `"not applicable"', modify
label define s3_ch_ta 8 `"do not know"', modify
label define s3_ch_ta 9 `"not applicable"', modify
label define s3_ch_ta 777 `"various"', modify
label define s3_ch_td 1 `"yes"', modify
label define s3_ch_td 2 `"no"', modify
label define s3_ch_te 1 `"gasoline normal"', modify
label define s3_ch_te 2 `"gasoline super"', modify
label define s3_ch_te 3 `"diesels"', modify
label define s3_ch_te 4 `"lubricant"', modify
label define s3_ch_te 5 `"vehicle maintenance"', modify
label define s3_ch_te 6 `"vehicle repairs"', modify
label define s3_ch_te 7 `"vehicle rentals"', modify
label define s3_ch_te 8 `"do not know"', modify
label define s3_ch_te 9 `"not applicable"', modify
label define s3_ch_te 10 `"other lubricants"', modify
label define s3_ch_te 11 `"various items"', modify
label define s3_ch_te 12 `"various items"', modify
label define s3_ch_tf 1 `"litre"', modify
label define s3_ch_tf 2 `"can"', modify
label define s3_ch_tf 8 `"do not know"', modify
label define s3_ch_tf 9 `"not applicable"', modify
label define s3_ch_tf 777 `"various"', modify
label define s3_ch_tj 1 `"gasoline normal"', modify
label define s3_ch_tj 2 `"gasoline super"', modify
label define s3_ch_tj 3 `"diesels"', modify
label define s3_ch_tj 4 `"lubricant"', modify
label define s3_ch_tj 5 `"vehicle maintenance"', modify
label define s3_ch_tj 6 `"vehicle repairs"', modify
label define s3_ch_tj 7 `"vehicle rentals"', modify
label define s3_ch_tj 8 `"do not know"', modify
label define s3_ch_tj 9 `"not applicable"', modify
label define s3_ch_tj 10 `"other lubricants"', modify
label define s3_ch_tj 11 `"various items"', modify
label define s3_ch_tj 12 `"various items"', modify
label define s3_ch_tk 1 `"litre"', modify
label define s3_ch_tk 2 `"can"', modify
label define s3_ch_tk 8 `"do not know"', modify
label define s3_ch_tk 9 `"not applicable"', modify
label define s3_ch_tk 777 `"various"', modify
label define s3_ch_to 1 `"gasoline normal"', modify
label define s3_ch_to 2 `"gasoline super"', modify
label define s3_ch_to 3 `"diesels"', modify
label define s3_ch_to 4 `"lubricant"', modify
label define s3_ch_to 5 `"vehicle maintenance"', modify
label define s3_ch_to 6 `"vehicle repairs"', modify
label define s3_ch_to 7 `"vehicle rentals"', modify
label define s3_ch_to 8 `"do not know"', modify
label define s3_ch_to 9 `"not applicable"', modify
label define s3_ch_to 10 `"other lubricants"', modify
label define s3_ch_to 11 `"various items"', modify
label define s3_ch_to 12 `"various items"', modify
label define s3_ch_to 13 `"other petroleums"', modify
label define s3_ch_tp 1 `"litre"', modify
label define s3_ch_tp 2 `"can"', modify
label define s3_ch_tp 8 `"do not know"', modify
label define s3_ch_tp 9 `"not applicable"', modify
label define s3_ch_tp 777 `"various"', modify
label define s3_ch_tt 1 `"gasoline normal"', modify
label define s3_ch_tt 2 `"gasoline super"', modify
label define s3_ch_tt 3 `"diesels"', modify
label define s3_ch_tt 4 `"lubricant"', modify
label define s3_ch_tt 5 `"vehicle maintenance"', modify
label define s3_ch_tt 6 `"vehicle repairs"', modify
label define s3_ch_tt 7 `"vehicle rentals"', modify
label define s3_ch_tt 8 `"do not know"', modify
label define s3_ch_tt 9 `"not applicable"', modify
label define s3_ch_tt 10 `"other lubricants"', modify
label define s3_ch_tt 11 `"various items"', modify
label define s3_ch_tt 12 `"various items"', modify
label define s3_ch_tu 1 `"litre"', modify
label define s3_ch_tu 2 `"can"', modify
label define s3_ch_tu 8 `"do not know"', modify
label define s3_ch_tu 9 `"not applicable"', modify
label define s3_ch_tu 777 `"various"', modify
label define s3_ch_ty 1 `"gasoline normal"', modify
label define s3_ch_ty 2 `"gasoline super"', modify
label define s3_ch_ty 3 `"diesels"', modify
label define s3_ch_ty 4 `"lubricant"', modify
label define s3_ch_ty 5 `"vehicle maintenance"', modify
label define s3_ch_ty 6 `"vehicle repairs"', modify
label define s3_ch_ty 7 `"vehicle rentals"', modify
label define s3_ch_ty 8 `"do not know"', modify
label define s3_ch_ty 9 `"not applicable"', modify
label define s3_ch_ty 10 `"other lubricants"', modify
label define s3_ch_ty 11 `"various items"', modify
label define s3_ch_ty 12 `"various items"', modify
label define s3_ch_tz 1 `"litre"', modify
label define s3_ch_tz 2 `"can"', modify
label define s3_ch_tz 8 `"do not know"', modify
label define s3_ch_tz 9 `"not applicable"', modify
label define s3_ch_tz 777 `"various"', modify
label define s3_ch_ud 1 `"yes"', modify
label define s3_ch_ud 2 `"no"', modify
label define s3_ch_ud 9 `"not applicable"', modify
label define s3_ch_ue 1 `"bacii exam"', modify
label define s3_ch_ue 2 `"diploma exam"', modify
label define s3_ch_ue 3 `"sport equipment"', modify
label define s3_ch_ue 4 `"picnics for students"', modify
label define s3_ch_ue 5 `"teaching materials"', modify
label define s3_ch_ue 8 `"do not know"', modify
label define s3_ch_ue 9 `"not applicable"', modify
label define s3_ch_uj 1 `"bacii exam"', modify
label define s3_ch_uj 2 `"diploma exam"', modify
label define s3_ch_uj 3 `"sport equipment"', modify
label define s3_ch_uj 4 `"picnics for students"', modify
label define s3_ch_uj 5 `"teaching materials"', modify
label define s3_ch_uj 8 `"do not know"', modify
label define s3_ch_uj 9 `"not applicable"', modify
label define s3_ch_uj 10 `"others"', modify
label define s3_ch_uo 1 `"bacii exam"', modify
label define s3_ch_uo 2 `"diploma exam"', modify
label define s3_ch_uo 3 `"sport equipment"', modify
label define s3_ch_uo 4 `"picnics for students"', modify
label define s3_ch_uo 5 `"teaching materials"', modify
label define s3_ch_uo 8 `"do not know"', modify
label define s3_ch_uo 9 `"not applicable"', modify
label define s3_ch_ut 1 `"bacii exam"', modify
label define s3_ch_ut 2 `"diploma exam"', modify
label define s3_ch_ut 3 `"sport equipment"', modify
label define s3_ch_ut 4 `"picnics for students"', modify
label define s3_ch_ut 5 `"teaching materials"', modify
label define s3_ch_ut 8 `"do not know"', modify
label define s3_ch_ut 9 `"not applicable"', modify
label define s3_ch_uy 1 `"bacii exam"', modify
label define s3_ch_uy 2 `"diploma exam"', modify
label define s3_ch_uy 3 `"sport equipment"', modify
label define s3_ch_uy 4 `"picnics for students"', modify
label define s3_ch_uy 5 `"teaching materials"', modify
label define s3_ch_uy 8 `"do not know"', modify
label define s3_ch_uy 9 `"not applicable"', modify
label define s3_ch_vd 1 `"bacii exam"', modify
label define s3_ch_vd 2 `"diploma exam"', modify
label define s3_ch_vd 3 `"sport equipment"', modify
label define s3_ch_vd 4 `"picnics for students"', modify
label define s3_ch_vd 5 `"teaching materials"', modify
label define s3_ch_vd 8 `"do not know"', modify
label define s3_ch_vd 9 `"not applicable"', modify
label define s3_ch_vi 1 `"yes"', modify
label define s3_ch_vi 2 `"no"', modify
label define s3_ch_vj 1 `"transportation"', modify
label define s3_ch_vj 2 `"domestic mission"', modify
label define s3_ch_vj 3 `"accommodation/foods"', modify
label define s3_ch_vj 4 `"picnics for students"', modify
label define s3_ch_vj 8 `"do not know"', modify
label define s3_ch_vj 9 `"not applicable"', modify
label define s3_ch_vo 1 `"transportation"', modify
label define s3_ch_vo 2 `"domestic mission"', modify
label define s3_ch_vo 3 `"accommodation/foods"', modify
label define s3_ch_vo 4 `"picnics for students"', modify
label define s3_ch_vo 5 `"mission fees"', modify
label define s3_ch_vo 8 `"do not know"', modify
label define s3_ch_vo 9 `"not applicable"', modify
label define s3_ch_vt 1 `"transportation"', modify
label define s3_ch_vt 2 `"domestic mission"', modify
label define s3_ch_vt 3 `"accommodation/foods"', modify
label define s3_ch_vt 4 `"picnics for students"', modify
label define s3_ch_vt 8 `"do not know"', modify
label define s3_ch_vt 9 `"not applicable"', modify




**************************************************
*** Ensure unique id
***************************************************

gen uid = _n

**************************************************
*** Recode missing values
***************************************************
/*
DONT KNOW (-666):.d 
NOT APPLICABLE (-777):.n
LACK OF RECORDS (-888):.l
REFUSED TO ANSWER (-999):.r
*/
*    DECODE MISSING VALUES
# d ;
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);

qui mvdecode  s1_q5a	s1_q5b	s1_q5c	s1_q5d	s1_q6a	s1_q6b	s1_q6c	s1_q6d	s2_c_aaa	s2_c_aab	s2_c_aac	s2_c_aad	s2_c_aae	s2_c_aaf	s2_c_aag	s2_c_aah	s2_c_aai	s2_c_aaj	s2_c_aak	s2_c_aal	s2_c_aam	s2_c_aan	s2_c_aao	s2_c_aap	s2_c_aaq	s2_c_aar	s2_c_aas	s2_c_aat	s2_c_aau	s2_c_aav	s2_c_aaw	s2_c_aax	s2_c_aay	s2_c_aaz	s2_c_aba	s2_c_abb	s2_c_abc	s2_c_abd	s2_c_abe	s2_c_abf	s2_c_abg	s2_c_abh	s2_c_abi	s2_c_abj	s2_c_abk	s2_c_abl	s2_c_abm	s2_c_abn	s2_c_abo	s2_c_abp	s2_c_abq	s2_c_abr	s2_c_abs	s2_c_abt	s2_c_abu	s2_c_abv	s2_c_abw	s2_c_abx	s2_c_aby	s2_c_abz	s2_c_aca	s2_c_acb	s2_c_acc	s2_c_acd	s2_c_ace	s2_c_acf	s2_c_acg	s2_c_ach	s2_c_aci	s2_c_acj	s2_c_ack	s2_c_acl	s2_c_acm	s2_c_acn	s2_c_aco	s2_c_acp	s2_c_acq	s2_c_acr	s2_c_acs	s2_c_act	s2_c_acu	s2_c_acv	s2_c_acw	s2_c_acx	s2_c_acy	s2_c_acz	s2_c_ada	s2_c_adb	s2_c_adc	s2_c_add	s2_c_ade	s2_c_adf	s2_c_adg	s2_c_adh	s2_c_adi	s2_c_adj	s2_c_adk	s2_c_adl	s2_c_adm	s2_c_adn	s2_c_ado	s2_c_adp	s2_c_adq	s2_c_adr	s2_c_ads	s2_c_adt	s2_c_adu	s2_c_adv	s2_c_adw	s2_c_adx	s2_c_ady	s2_c_adz	s2_c_aea	s2_c_aeb	s2_c_aec	s2_c_aed	s2_c_aee	s2_c_aef	s2_c_aeg	s2_c_aeh	s2_c_aei	s2_c_aej	s2_c_aek	s2_c_ael	s2_c_aem	s2_c_aen	s2_c_aeo	s2_c_aep	s2_c_aeq	s2_c_aer	s2_c_aes	s2_c_aet	s2_c_aeu	s2_c_aev	s2_c_aew	s2_c_aex	s2_c_aey	s2_c_aez	s2_c_afa	s2_c_afb	s2_c_afc	s2_c_afd	s2_c_afe	s2_c_aff	s2_c_afg	s2_c_afh	s2_c_afi	s2_c_afj	s2_c_afk	s2_c_afl	s2_c_afm	s2_c_afn	s2_c_afo	s2_c_afp	s2_c_afq	s2_c_afr	s2_c_afs	s2_c_aft	s2_c_afu	s2_c_afv	s2_c_afw	s2_c_afx	s2_c_afy	s2_c_afz	s2_c_aga	s2_c_agb	s2_c_agc	s2_c_agd	s2_c_age	s2_c_agf	s2_c_agg	s2_c_agh	s2_c_agi	s2_c_agj	s2_c_agk	s2_c_agl	s2_c_agm	s2_c_agn	s2_c_ago	s2_c_agp	s2_c_agq	s2_c_agr	s2_c_ags	s2_c_agt	s2_c_agu	s2_c_agv	s2_c_agw	s2_c_agx	s2_c_agy	s2_c_agz	s2_c_aha	s2_c_ahb	s2_c_ahc	s2_c_ahd	s2_c_ahe	s2_c_ahf	s2_c_ahg	s2_c_ahh	s2_c_ahi	s2_c_ahj	s2_c_ahk	s2_c_ahl	s2_c_ahm	s2_c_ahn	s2_c_aho	s2_c_ahp	s2_c_ahq	s2_c_ahr	s2_c_ahs	s2_c_aht	s2_c_ahu	s2_c_ahv	s2_c_ahw	s2_c_ahx	s2_c_ahy	s2_c_ahz	s2_c_aia	s2_c_aib	s2_c_aic	s2_c_aid	s2_c_aie	s2_c_aif	s2_c_aig	s2_c_aih	s2_c_aii	s2_c_aij	s2_c_aik	s2_c_ail	s2_c_aim	s2_c_ain	s2_c_aio	s2_c_aip	s2_c_aiq	s2_c_air	s2_c_ais	s2_c_ait	s2_c_aiu	s2_c_aiv	s2_c_aiw	s2_c_aix	s2_c_aiy	s2_c_aiz	s2_c_aja	s2_c_ajb	s2_c_ajc	s2_c_ajd	s2_c_aje	s2_c_ajf	s2_c_ajg	s2_c_ajh	s2_c_aji	s2_c_ajj	s2_c_ajk	s2_c_ajl	s2_c_ajm	s2_c_ajn	s2_c_ajo	s2_c_ajp	s2_c_ajq	s2_c_ajr	s2_c_ajs	s2_c_ajt	s2_c_aju	s2_c_ajv	s2_c_ajw	s2_c_ajx	s2_c_ajy	s2_c_ajz	s2_c_aka	s2_c_akb	s2_c_akc	s2_c_akd	s2_c_ake	s2_c_akf	s2_c_akg	s2_c_akh	s2_c_aki	s2_c_akj	s2_c_akk	s2_c_akl	s2_c_akm	s2_c_akn	s2_c_ako	s2_c_akp	s2_c_akq	s2_c_akr	s2_c_aks	s2_c_akz	s2_c_alf	s2_c_alk	s2_c_all	s2_c_alm	s2_c_aln	s2_c_alo	s2_c_alp	s2_c_alq	s2_c_alr	s2_c_als	s2_c_alt	s2_c_alu	s2_c_alv	s2_ch_aa	s2_ch_ab	s2_ch_ac	s2_ch_ad	s2_ch_ae	s2_ch_af	s2_ch_ag	s2_ch_ah	s2_ch_ai	s2_ch_aj	s2_ch_ak	s2_ch_al	s2_ch_am	s2_ch_an	s2_ch_ao	s2_ch_ap	s2_ch_aq	s2_ch_ar	s2_ch_as	s2_ch_at	s2_ch_au	s2_ch_av	s2_ch_aw	s2_ch_ax	s2_ch_ay	s2_ch_az	s2_ch_ba	s2_ch_bb	s2_ch_bc	s2_ch_bd	s2_ch_be	s2_ch_bf	s2_ch_bg	s2_ch_bh	s2_ch_bi	s2_ch_bj	s2_ch_bk	s2_ch_bl	s2_ch_bm	s2_ch_bn	s2_ch_bo	s2_ch_bp	s2_ch_bq	s2_ch_br	s2_ch_bs	s2_ch_bt	s2_ch_bu	s2_ch_bv	s2_ch_bw	s2_ch_bx	s2_ch_by	s2_ch_bz	s2_ch_ca	s2_ch_cb	s2_ch_cc	s2_ch_cd	s2_ch_ce	s2_ch_cf	s2_ch_cg	s2_ch_ch	s2_ch_ci	s2_ch_cj	s2_ch_ck	s2_ch_cl	s2_ch_cm	s2_ch_cn	s2_ch_co	s2_ch_cp	s2_ch_cq	s2_ch_cr	s2_ch_cs	s2_ch_ct	s2_ch_cu	s2_ch_cv	s2_ch_cw	s2_ch_cx	s2_ch_cy	s2_ch_cz	s2_ch_da	s2_ch_db	s2_ch_dc	s2_ch_dd	s2_ch_de	s2_ch_df	s2_ch_dg	s2_ch_dh	s2_ch_di	s2_ch_dj	s2_ch_dk	s2_ch_dl	s2_ch_dm	s2_ch_dn	s2_ch_do	s2_ch_dp	s2_ch_dq	s2_ch_dr	s2_ch_ds	s2_ch_dt	s2_ch_du	s2_ch_dv	s2_ch_dw	s2_ch_dx	s2_ch_dy	s2_ch_dz	s2_ch_ea	s2_ch_eb	s2_ch_ec	s2_ch_ed	s2_ch_ee	s2_ch_ef	s2_ch_eg	s2_ch_eh	s2_ch_ei	s2_ch_ej	s2_ch_ek	s2_ch_el	s2_ch_em	s2_ch_en	s2_ch_eo	s2_ch_ep	s2_ch_eq	s2_ch_er	s2_ch_es	s2_ch_et	s2_ch_eu	s2_ch_ev	s2_ch_ew	s2_ch_ex	s2_ch_ey	s2_ch_ez	s2_ch_fa	s2_ch_fb	s2_ch_fc	s2_ch_fd	s2_ch_fe	s2_ch_ff	s2_ch_fg	s2_ch_fh	s2_ch_fi	s2_ch_fj	s2_ch_fk	s2_ch_fl	s2_ch_fm	s2_ch_fn	s2_ch_fo	s2_ch_fp	s2_ch_fq	s2_ch_fr	s2_ch_fs	s2_ch_ft	s2_ch_fu	s2_ch_fv	s2_ch_fw	s2_ch_fx	s2_ch_fy	s2_ch_fz	s2_ch_gb	s2_ch_gc	s2_ch_gd	s2_ch_ge	s2_ch_gf	s2_ch_gg	s2_ch_gh	s2_ch_gi	s2_ch_gj	s2_ch_gk	s2_ch_gl	s2_ch_gm	s2_ch_gn	s2_ch_go	s2_ch_gp	s2_ch_gq	s2_ch_gr	s2_ch_gs	s2_ch_gt	s2_ch_gu	s2_ch_gv	s2_ch_gw	s2_ch_gx	s2_ch_gy	s2_ch_gz	s2_ch_ha	s2_ch_hb	s2_ch_hc	s2_ch_hd	s2_ch_he	s2_ch_hf	s2_ch_hg	s2_ch_hh	s2_ch_hi	s2_ch_hj	s2_ch_hk	s2_ch_hl	s2_ch_hm	s2_ch_hn	s2_ch_ho	s2_ch_hp	s2_ch_hq s2_ch_hr s2_ch_hs	s2_ch_ht	s2_ch_hu	s2_ch_hv	s2_ch_hw	s2_ch_hx	s2_ch_hy	s2_ch_hz	s2_ch_ia	s2_ch_ib	s2_ch_ic	s2_ch_id	s2_ch_ie	s2_ch_if	s2_ch_ig	s2_ch_ih	s2_ch_ii	s2_ch_ij	s2_ch_ik	s2_ch_il	s2_ch_im	s2_ch_in	s2_ch_io	s2_ch_ip	s2_ch_iq	s2_ch_ir	s2_ch_is	s2_ch_it	s2_ch_iu	s2_ch_iv	s2_ch_iw	s2_ch_ix	s2_ch_iy	s2_ch_iz	s2_ch_ja	s2_ch_jb	s2_ch_jc	s2_ch_jd	s2_ch_je	s2_ch_jf	s2_ch_jg	s2_ch_jh	s2_ch_ji	s2_ch_jj	s2_ch_jk	s2_ch_jl	s2_ch_jm	s2_ch_jn	s2_ch_jo	s2_ch_jp	s2_ch_jq	s2_ch_jr	s2_ch_js	s2_ch_jt	s2_ch_ju	s2_ch_jw	s2_ch_jx	s2_ch_jy	s2_ch_jz	s2_ch_ka	s2_ch_kb	s2_ch_kc	s2_ch_kd	s2_ch_ke	s2_ch_kf	s2_ch_kg	s2_ch_kh	s2_ch_ki	s2_ch_kj	s2_ch_kk	s2_ch_kl	s2_ch_km	s2_ch_kn	s2_ch_ko	s2_ch_kp	s2_ch_kq	s2_ch_kr	s2_ch_ks	s2_ch_kt	s2_ch_ku	s2_ch_kv	s2_ch_kw	s2_ch_kx	s2_ch_ky	s2_ch_kz	s2_ch_la	s2_ch_lb	s2_ch_lc	s2_ch_ld	s2_ch_le	s2_ch_lf	s2_ch_lg	s2_ch_lh	s2_ch_li	s2_ch_lj	s2_ch_lk	s2_ch_ll	s2_ch_lm	s2_ch_ln	s2_ch_lo	s2_ch_lp	s2_ch_lq	s2_ch_lr	s2_ch_ls	s2_ch_lt	s2_ch_lu	s2_ch_lv	s2_ch_lw	s2_ch_lx	s2_ch_ly	s2_ch_lz	s2_ch_ma	s2_ch_mb	s2_ch_mc	s2_ch_md	s2_ch_me	s2_ch_mf	s2_ch_mg	s2_ch_mh	s2_ch_mi	s2_ch_mj	s2_ch_mk	s2_ch_ml	s2_ch_mm	s2_ch_mn	s2_ch_mo	s2_ch_mp	s2_ch_mq	s2_ch_mr	s2_ch_ms	s2_ch_mt	s2_ch_mu	s2_ch_mv	s2_ch_mw	s2_ch_mx	s2_ch_my	s2_ch_mz	s2_ch_na	s2_ch_nb	s2_ch_nc	s2_ch_nd	s2_ch_ne	s2_ch_nf	s2_ch_ng	s2_ch_nh	s2_ch_ni	s2_ch_nj	s2_ch_nk	s2_ch_nl	s2_ch_nm	s2_ch_nn	s2_ch_no	s2_ch_np	s2_ch_nq	s2_ch_nr	s2_ch_ns	s2_ch_nt	s2_ch_nu	s2_ch_nv	s2_ch_nw	s2_ch_nx	s2_ch_ny	s2_ch_nz	s2_ch_oa	s2_ch_ob	s2_ch_oc	s2_ch_od	s2_ch_oe	s2_ch_of	s2_ch_og	s2_ch_oh	s2_ch_oi	s2_ch_oj	s2_ch_ok	s2_ch_ol	s2_ch_om	s2_ch_on	s2_ch_oo	s2_ch_op	s2_ch_oq	s2_ch_or	s2_ch_os	s2_ch_ot	s2_ch_ou	s2_ch_ov	s2_ch_ow	s2_ch_ox	s2_ch_oy	s2_ch_oz	s2_ch_pa	s2_ch_pb	s2_ch_pc	s2_ch_pd	s2_ch_pe	s2_ch_pf	s2_ch_pg	s2_ch_ph	s2_ch_pi	s2_ch_pj	s2_ch_pk	s2_ch_pl	s2_ch_pm	s2_ch_pn	s2_ch_po	s2_ch_pp	s2_ch_pq	s2_ch_pr	s2_ch_ps	s2_ch_pt	s2_ch_pu	s2_ch_pv	s2_ch_pw	s2_ch_px	s2_ch_py	s2_ch_pz	s2_ch_qa	s2_ch_qb	s2_ch_qc	s2_ch_qd	s2_ch_qe	s2_ch_qf	s2_ch_qg	s2_ch_qh	s2_ch_qi	s2_ch_qj	s2_ch_qk	s2_ch_ql	s2_ch_qm	s2_ch_qn	s2_ch_qo	s2_ch_qp	s2_ch_qq	s2_ch_qr	s2_ch_qs	s2_ch_qt	s2_ch_qu	s2_ch_qv	s2_ch_qw	s2_ch_qx	s2_ch_qy	s2_ch_qz	s2_ch_ra	s2_ch_rb	s2_ch_rc	s2_ch_rd	s2_ch_re	s2_ch_rf	s2_ch_rg	s2_ch_rh	s2_ch_ri	s2_ch_rj	s2_ch_rk	s2_ch_rl	s2_ch_rm	s2_ch_rn	s2_ch_ro	s2_ch_rp	s2_ch_rq	s2_ch_rr	s2_ch_rs	s2_ch_rt	s2_ch_ru	s2_ch_rv	s2_ch_rw	s2_ch_rx	s2_ch_ry	s2_ch_rz	s2_ch_sa	s2_ch_sb	s2_ch_sc	s2_ch_sd	s2_ch_se	s2_ch_sf	s2_ch_sg	s2_ch_sh	s2_ch_si	s2_ch_sj	s2_ch_sk	s2_ch_sl	s2_ch_sm	s2_ch_sn	s2_ch_so	s2_ch_sp	s2_ch_sq	s2_ch_sr	s2_ch_ss	s2_ch_st	s2_ch_su	s2_ch_sv	s2_ch_sw	s2_ch_sx	s2_ch_sy	s2_ch_sz	s2_ch_ta	s2_ch_tb	s2_ch_tc	s2_ch_td	s2_ch_te	s2_ch_tf	s2_ch_tg	s2_ch_th	s2_ch_ti	s2_ch_tj	s2_ch_tk	s2_ch_tl	s2_ch_tm	s2_ch_tn	s2_ch_to	s2_ch_tp	s2_ch_tq	s2_ch_tr	s2_ch_ts	s2_ch_tt	s2_ch_tu	s2_ch_tv	s2_ch_tw	s2_ch_tx	s2_ch_ty	s2_ch_tz	s2_ch_ua	s2_ch_ub	s2_ch_uc	s2_ch_ud	s2_ch_ue	s2_ch_uf	s2_ch_ug	s2_ch_uh	s2_ch_ui	s2_ch_uj	s2_ch_uk	s2_ch_ul	s2_ch_um	s2_ch_un	s2_ch_uo	s2_ch_up	s2_ch_uq	s2_ch_ur	s2_ch_us	s2_ch_ut	s2_ch_uu	s2_ch_uv	s2_ch_uw	s2_ch_ux	s2_ch_uy	s2_ch_uz	s2_ch_va	s2_ch_vb	s2_ch_vc	s2_ch_vd	s2_ch_ve	s2_ch_vf	s2_ch_vh	s2_ch_vi	s2_ch_vj	s2_ch_vk	s2_ch_vl	s2_ch_vm	s2_ch_vn	s2_ch_vo	s2_ch_vp	s2_ch_vq	s2_ch_vr	s2_ch_vs	s2_ch_vt	s2_ch_vu	s2_ch_vv	s2_ch_vw	s2_ch_vx	s2_ch_vy	s2_ch_vz	s2_ch_wa	s2_ch_wb	s2_ch_wc	s2_ch_wd	s2_ch_we	s2_ch_wf	s2_ch_wg	s2_ch_wh	s2_ch_wi	s2_ch_wj	s2_ch_wk	s2_ch_wl	s2_ch_wm	s2_ch_wn	s2_ch_wo	s2_ch_wp	s2_ch_wq	s2_ch_wr	s2_ch_ws	s2_ch_wt	s2_ch_wu	s2_ch_wv	s2_ch_ww	s2_ch_wx	s2_ch_wy	s2_ch_wz	s2_ch_xa	s2_ch_xb	s2_ch_xc	s2_ch_xd	s2_ch_xe	s2_ch_xf	s2_ch_xg	s2_ch_xh	s2_ch_xi	s2_ch_xj	s2_ch_xk	s2_ch_xl	s2_ch_xm	s2_ch_xn	s2_ch_xo	s2_ch_xp	s2_ch_xq	s2_ch_xr	s2_ch_xs	s2_ch_xt	s2_ch_xu	s2_ch_xv	s2_ch_xw	s2_ch_xx	s2_ch_xy	s2_ch_xz	s2_ch_ya	s2_ch_yb	s2_ch_yc	s2_ch_yd	s2_ch_ye	s2_ch_yf	s2_ch_yg	s2_ch_yh	s2_ch_yi	s2_ch_yj	s2_ch_yk	s2_ch_yl	s2_ch_ym	s2_ch_yn	s2_ch_yo	s2_ch_yp	s2_ch_yq	s2_ch_yr	s2_ch_ys	s2_ch_yt	s2_ch_yu	s2_ch_yv	s2_ch_yw	s2_ch_yx	s2_ch_yy	s2_ch_yz	s2_ch_za	s2_ch_zc	s2_ch_zd	s2_ch_ze	s2_ch_zf	s2_ch_zg	s2_ch_zh	s2_ch_zi	s2_ch_zj	s2_ch_zk	s2_ch_zl	s2_ch_zm	s2_ch_zn	s2_ch_zo	s2_ch_zp	s2_ch_zq	s2_ch_zr	s2_ch_zs	s2_ch_zt	s2_ch_zu	s2_ch_zv	s2_ch_zw	s2_ch_zx	s2_ch_zy	s2_ch_zz	s2_ch1_a	s2_ch1_b	s2_ch1_c	s2_ch1_d	s2_ch1_e	s2_ch1_f	s2_ch1_g	s2_ch1_h	s2_ch1_i	s2_ch1_j	s2_ch1_k	s2_ch1_l	s2_ch1_m	s2_ch1_n	s2_ch1_o	s2_ch1_p	s2_ch1_q	s2_ch1_r	s2_ch1_s	s2_ch1_t	s2_ch1_u	s2_ch1_v	s2_ch1_w	s2_ch1_x	s2_ch1_y	s2_ch1_z	s2_ch13	s3_ch_aa	s3_ch_ab	s3_ch_ac	s3_ch_ad	s3_ch_ae	s3_ch_af	s3_ch_ag	s3_ch_ah	s3_ch_ai	s3_ch_aj	s3_ch_ak	s3_ch_al	s3_ch_am	s3_ch_an	s3_ch_ao	s3_ch_ap	s3_ch_aq	s3_ch_ar	s3_ch_as	s3_ch_at	s3_ch_au	s3_ch_av	s3_ch_aw	s3_ch_ax	s3_ch_ay	s3_ch_az	s3_ch_ba	s3_ch_bb	s3_ch_bc	s3_ch_bd	s3_ch_be	s3_ch_bf	s3_ch_bg	s3_ch_bh	s3_ch_bi	s3_ch_bj	s3_ch_bk	s3_ch_bl	s3_ch_bm	s3_ch_bn	s3_ch_bo	s3_ch_bp	s3_ch_bq	s3_ch_br	s3_ch_bs	s3_ch_bt	s3_ch_bu	s3_ch_bv	s3_ch_bw	s3_ch_bx	s3_ch_by	s3_ch_bz	s3_ch_ca	s3_ch_cb	s3_ch_cc	s3_ch_cd	s3_ch_ce	s3_ch_cf	s3_ch_cg	s3_ch_ch	s3_ch_ci	s3_ch_cj	s3_ch_ck	s3_ch_cl	s3_ch_cm	s3_ch_cu	s3_ch_cw	s3_ch_cy	s3_ch_cz	s3_ch_db	s3_ch_dc	s3_ch_dd	s3_ch_de	s3_ch_dg	s3_ch_dh	s3_ch_di	s3_ch_dj	s3_ch_dl	s3_ch_dm	s3_ch_dn	s3_ch_do	s3_ch_dq	s3_ch_dr	s3_ch_ds	s3_ch_dt	s3_ch_dv	s3_ch_dw	s3_ch_dx	s3_ch_dy	s3_ch_dz	s3_ch_eb	s3_ch_ec	s3_ch_ed	s3_ch_ee	s3_ch_eg	s3_ch_eh	s3_ch_ei	s3_ch_ej	s3_ch_el	s3_ch_em	s3_ch_en	s3_ch_eo	s3_ch_eq	s3_ch_er	s3_ch_es	s3_ch_et	s3_ch_ev	s3_ch_ew	s3_ch_ex	s3_ch_ey	s3_ch_fa	s3_ch_fb	s3_ch_fc	s3_ch_fd	s3_ch_ff	s3_ch_fg	s3_ch_fh	s3_ch_fi	s3_ch_fj	s3_ch_fl	s3_ch_fm	s3_ch_fn	s3_ch_fo	s3_ch_fq	s3_ch_fr	s3_ch_fs	s3_ch_ft	s3_ch_fv	s3_ch_fw	s3_ch_fx	s3_ch_fy	s3_ch_ga	s3_ch_gb	s3_ch_gc	s3_ch_gd	s3_ch_gf	s3_ch_gg	s3_ch_gh	s3_ch_gi	s3_ch_gj	s3_ch_gl	s3_ch_gm	s3_ch_gn	s3_ch_go	s3_ch_gq	s3_ch_gr	s3_ch_gs	s3_ch_gt	s3_ch_gv	s3_ch_gw	s3_ch_gx	s3_ch_gy	s3_ch_ha	s3_ch_hb	s3_ch_hc	s3_ch_hd	s3_ch_hf	s3_ch_hg	s3_ch_hh	s3_ch_hi	s3_ch_hk	s3_ch_hl	s3_ch_hm	s3_ch_hn	s3_ch_ho	s3_ch_hp	s3_ch_hq	s3_ch_hr	s3_ch_hs	s3_ch_ht	s3_ch_hu	s3_ch_hv	s3_ch_hw	s3_ch_hx	s3_ch_hy	s3_ch_hz	s3_ch_ia	s3_ch_ib	s3_ch_ic	s3_ch_id	s3_ch_ie	s3_ch_if	s3_ch_ig	s3_ch_ih	s3_ch_ii	s3_ch_ij	s3_ch_ik	s3_ch_il	s3_ch_im	s3_ch_in	s3_ch_io	s3_ch_ip	s3_ch_iq	s3_ch_ir	s3_ch_is	s3_ch_it	s3_ch_iu	s3_ch_iv	s3_ch_iw	s3_ch_ix	s3_ch_iy	s3_ch_iz	s3_ch_ja	s3_ch_jb	s3_ch_jc	s3_ch_jd	s3_ch_je	s3_ch_jf	s3_ch_jg	s3_ch_jh	s3_ch_ji	s3_ch_jj	s3_ch_jl	s3_ch_jm	s3_ch_jn	s3_ch_jo	s3_ch_jq	s3_ch_jr	s3_ch_js	s3_ch_jt	s3_ch_jv	s3_ch_jw	s3_ch_jx	s3_ch_jy	s3_ch_ka	s3_ch_kb	s3_ch_kc	s3_ch_kd	s3_ch_ke	s3_ch_kg	s3_ch_kh	s3_ch_ki	s3_ch_kj	s3_ch_kl	s3_ch_km	s3_ch_kn	s3_ch_ko	s3_ch_kq	s3_ch_kr	s3_ch_ks	s3_ch_kt	s3_ch_kv	s3_ch_kw	s3_ch_kx	s3_ch_ky	s3_ch_la	s3_ch_lb	s3_ch_lc	s3_ch_ld	s3_ch_le	s3_ch_lf	s3_ch_lg	s3_ch_lh	s3_ch_li	s3_ch_lk	s3_ch_ll	s3_ch_lm	s3_ch_ln	s3_ch_lo	s3_ch_lr	s3_ch_ls	s3_ch_lt	s3_ch_lv	s3_ch_lw	s3_ch_lx	s3_ch_ly	s3_ch_ma	s3_ch_mb	s3_ch_mc	s3_ch_md	s3_ch_mf	s3_ch_mg	s3_ch_mh	s3_ch_mj	s3_ch_mk	s3_ch_ml	s3_ch_mm	s3_ch_mn	s3_ch_mp	s3_ch_mq	s3_ch_mr	s3_ch_ms	s3_ch_mt	s3_ch_mv	s3_ch_mw	s3_ch_mx	s3_ch_my	s3_ch_na	s3_ch_nb	s3_ch_nc	s3_ch_nd	s3_ch_nf	s3_ch_ng	s3_ch_nh	s3_ch_ni	s3_ch_nk	s3_ch_nl	s3_ch_nm	s3_ch_nn	s3_ch_np	s3_ch_nq	s3_ch_nr	s3_ch_ns	s3_ch_nu	s3_ch_nv	s3_ch_nw	s3_ch_nx	s3_ch_ny	s3_ch_nz	s3_ch_oa	s3_ch_ob	s3_ch_oc	s3_ch_od	s3_ch_of	s3_ch_og	s3_ch_oh	s3_ch_oi	s3_ch_oj	s3_ch_ok	s3_ch_ol	s3_ch_om	s3_ch_on	s3_ch_oo	s3_ch_op	s3_ch_oq	s3_ch_or	s3_ch_os	s3_ch_ot	s3_ch_ou	s3_ch_ov	s3_ch_ow	s3_ch_ox	s3_ch_oy	s3_ch_oz	s3_ch_pa	s3_ch_pb	s3_ch_pc	s3_ch_pd	s3_ch_pe	s3_ch_pf	s3_ch_pg	s3_ch_ph	s3_ch_pi	s3_ch_pj	s3_ch_pk	s3_ch_pl	s3_ch_pm	s3_ch_pn	s3_ch_po	s3_ch_pp	s3_ch_pq	s3_ch_pr	s3_ch_ps	s3_ch_pt	s3_ch_pu	s3_ch_pv	s3_ch_pw	s3_ch_px	s3_ch_py	s3_ch_qa	s3_ch_qb	s3_ch_qc	s3_ch_qd	s3_ch_qf	s3_ch_qg	s3_ch_qh	s3_ch_qj	s3_ch_qk	s3_ch_ql	s3_ch_qm	s3_ch_qn	s3_ch_qp	s3_ch_qq	s3_ch_qr	s3_ch_qs	s3_ch_qt	s3_ch_qv	s3_ch_qw	s3_ch_qx	s3_ch_qy	s3_ch_ra	s3_ch_rb	s3_ch_rc	s3_ch_rd	s3_ch_rf	s3_ch_rg	s3_ch_rh	s3_ch_ri	s3_ch_rk	s3_ch_rl	s3_ch_rm	s3_ch_rn	s3_ch_rp	s3_ch_rq	s3_ch_rr	s3_ch_rs	s3_ch_ru	s3_ch_rv	s3_ch_rw	s3_ch_rx	s3_ch_rz	s3_ch_sa	s3_ch_sb	s3_ch_sc	s3_ch_sd	s3_ch_sf	s3_ch_sg	s3_ch_sh	s3_ch_si	s3_ch_sk	s3_ch_sl	s3_ch_sm	s3_ch_sn	s3_ch_sp	s3_ch_sq	s3_ch_sr	s3_ch_ss	s3_ch_su	s3_ch_sv	s3_ch_sw	s3_ch_sx	s3_ch_sz	s3_ch_ta	s3_ch_tb	s3_ch_tc	s3_ch_td	s3_ch_tf	s3_ch_tg	s3_ch_th	s3_ch_ti	s3_ch_tk	s3_ch_tl	s3_ch_tm	s3_ch_tn	s3_ch_tp	s3_ch_tq	s3_ch_tr	s3_ch_ts	s3_ch_tu	s3_ch_tv	s3_ch_tw	s3_ch_tx	s3_ch_tz	s3_ch_ua	s3_ch_ub	s3_ch_uc	s3_ch_ud	s3_ch_ue	s3_ch_uf	s3_ch_ug	s3_ch_uh	s3_ch_ui	s3_ch_uj	s3_ch_uk	s3_ch_ul	s3_ch_um	s3_ch_un	s3_ch_uo	s3_ch_up	s3_ch_uq	s3_ch_ur	s3_ch_us	s3_ch_ut	s3_ch_uu	s3_ch_uv	s3_ch_uw	s3_ch_ux	s3_ch_uy	s3_ch_uz	s3_ch_va	s3_ch_vb	s3_ch_vc	s3_ch_vd	s3_ch_ve	s3_ch_vf	s3_ch_vg	s3_ch_vh	s3_ch_vi	s3_ch_vj	s3_ch_vk	s3_ch_vl	s3_ch_vm	s3_ch_vn	s3_ch_vo	s3_ch_vp	s3_ch_vq	s3_ch_vr	s3_ch_vs	s3_ch_vt	s3_ch_vu	s3_ch_vv	s3_ch_vw	s3_ch_vx	s3_ch_vy	s3_ch_vz	s3_ch_wa	s3_ch_wb	s3_ch_wc	s3_ch_wd	s3_ch_we	s3_ch_wf	s3_ch_wg	s3_ch_wh	s3_ch_wi	s3_ch_wj	s3_ch_wk	s3_ch_wl	s3_ch_wm	s3_ch_wn	s3_ch_wo	s3_ch_wp	s3_ch_wq	s3_ch_wr	s3_ch_ws	s3_ch_wt	s3_ch_wu	s3_ch_wv	s3_ch_ww	s3_ch_wx	s3_ch_wy	s3_ch_wz	s3_ch_xa	s3_ch_xb	s3_ch_xc	s3_ch_xd	s3_ch_xe	s3_ch_xf	s3_ch_xg	s3_ch_xh	s3_ch_xi	s3_ch_xj	s3_ch_xk	s3_ch1_a	s3_ch1_b	s3_ch1_c	s3_ch1_d	s3_ch1_e	s3_ch1_f	s3_ch1_g	s3_ch1_h	s3_ch1_i	s3_ch1_j	s3_ch1_k	s3_ch1_l	s3_ch1_m	s3_ch1_n	s3_ch1_o	s3_ch1_p	s3_ch1_q	s3_ch1_r	s3_ch1_s	s3_ch1_t	s3_ch1_u	s3_ch1_v	s3_ch1_w	s3_ch1_x	s3_ch1_y	s3_ch1_z	s3_ch11	s4_q4a	s4_q4b	s4_q4c
, mv(
9=.r\
8=.l \
7=.n \
6=.d);

qui mvdecode s3_ch_ty	s3_ch_tt	s3_ch_to	s3_ch_tj	s3_ch_te	s3_ch_sy	s3_ch_st	s3_ch_so	s3_ch_sj	s3_ch_se	s3_ch_ry	s3_ch_rt	s3_ch_ro	s3_ch_rj	s3_ch_qo	s3_ch_re	s3_ch_qz	s3_ch_qu	s3_ch_oe	s3_ch_qi	s3_ch_qe	s3_ch_pz	s3_ch_lu	s3_ch_lz	s3_ch_me	s3_ch_mi	s3_ch_nt	s3_ch_no	s3_ch_nj	s3_ch_ne	s3_ch_mz	s3_ch_mu	s3_ch_mo	s3_ch_lp	s3_ch_lq	s3_ch_lj	s3_ch_hj	s3_ch_jk	s3_ch_jp	s3_ch_ju	s3_ch_jz	s3_ch_kf	s3_ch_kk	s3_ch_kp	s3_ch_kz	s3_ch_ku	s3_ch_ez	s3_ch_fe	s3_ch_fk	s3_ch_fp	s3_ch_fu	s3_ch_fz	s3_ch_ge	s3_ch_gk	s3_ch_gp	s3_ch_gu	s3_ch_gz	s3_ch_he	s3_ch_cv	s3_ch_cx	s3_ch_da	s3_ch_df	s3_ch_dk	s3_ch_dp	s3_ch_du	s3_ch_ea	s3_ch_ef	s3_ch_ek	s3_ch_ep	s3_ch_eu, mv(
9=.r\
8=.l);

# d cr;

**************************************************
***  Identify outliers
**************************************************

mvdecode    s1_q5a	s1_q5b	s1_q5c	s1_q5d	s1_q6a	s1_q6b	s1_q6c	s1_q6d	s2_c_aaa	s2_c_aab	s2_c_aac	s2_c_aad	s2_c_aae	s2_c_aaf	s2_c_aag	s2_c_aah	s2_c_aai	s2_c_aaj	s2_c_aak	s2_c_aal	s2_c_aam	s2_c_aan	s2_c_aao	s2_c_aap	s2_c_aaq	s2_c_aar	s2_c_aas	s2_c_aat	s2_c_aau	s2_c_aav	s2_c_aaw	s2_c_aax	s2_c_aay	s2_c_aaz	s2_c_aba	s2_c_abb	s2_c_abc	s2_c_abd	s2_c_abe	s2_c_abf	s2_c_abg	s2_c_abh	s2_c_abi	s2_c_abj	s2_c_abk	s2_c_abl	s2_c_abm	s2_c_abn	s2_c_abo	s2_c_abp	s2_c_abq	s2_c_abr	s2_c_abs	s2_c_abt	s2_c_abu	s2_c_abv	s2_c_abw	s2_c_abx	s2_c_aby	s2_c_abz	s2_c_aca	s2_c_acb	s2_c_acc	s2_c_acd	s2_c_ace	s2_c_acf	s2_c_acg	s2_c_ach	s2_c_aci	s2_c_acj	s2_c_ack	s2_c_acl	s2_c_acm	s2_c_acn	s2_c_aco	s2_c_acp	s2_c_acq	s2_c_acr	s2_c_acs	s2_c_act	s2_c_acu	s2_c_acv	s2_c_acw	s2_c_acx	s2_c_acy	s2_c_acz	s2_c_ada	s2_c_adb	s2_c_adc	s2_c_add	s2_c_ade	s2_c_adf	s2_c_adg	s2_c_adh	s2_c_adi	s2_c_adj	s2_c_adk	s2_c_adl	s2_c_adm	s2_c_adn	s2_c_ado	s2_c_adp	s2_c_adq	s2_c_adr	s2_c_ads	s2_c_adt	s2_c_adu	s2_c_adv	s2_c_adw	s2_c_adx	s2_c_ady	s2_c_adz	s2_c_aea	s2_c_aeb	s2_c_aec	s2_c_aed	s2_c_aee	s2_c_aef	s2_c_aeg	s2_c_aeh	s2_c_aei	s2_c_aej	s2_c_aek	s2_c_ael	s2_c_aem	s2_c_aen	s2_c_aeo	s2_c_aep	s2_c_aeq	s2_c_aer	s2_c_aes	s2_c_aet	s2_c_aeu	s2_c_aev	s2_c_aew	s2_c_aex	s2_c_aey	s2_c_aez	s2_c_afa	s2_c_afb	s2_c_afc	s2_c_afd	s2_c_afe	s2_c_aff	s2_c_afg	s2_c_afh	s2_c_afi	s2_c_afj	s2_c_afk	s2_c_afl	s2_c_afm	s2_c_afn	s2_c_afo	s2_c_afp	s2_c_afq	s2_c_afr	s2_c_afs	s2_c_aft	s2_c_afu	s2_c_afv	s2_c_afw	s2_c_afx	s2_c_afy	s2_c_afz	s2_c_aga	s2_c_agb	s2_c_agc	s2_c_agd	s2_c_age	s2_c_agf	s2_c_agg	s2_c_agh	s2_c_agi	s2_c_agj	s2_c_agk	s2_c_agl	s2_c_agm	s2_c_agn	s2_c_ago	s2_c_agp	s2_c_agq	s2_c_agr	s2_c_ags	s2_c_agt	s2_c_agu	s2_c_agv	s2_c_agw	s2_c_agx	s2_c_agy	s2_c_agz	s2_c_aha	s2_c_ahb	s2_c_ahc	s2_c_ahd	s2_c_ahe	s2_c_ahf	s2_c_ahg	s2_c_ahh	s2_c_ahi	s2_c_ahj	s2_c_ahk	s2_c_ahl	s2_c_ahm	s2_c_ahn	s2_c_aho	s2_c_ahp	s2_c_ahq	s2_c_ahr	s2_c_ahs	s2_c_aht	s2_c_ahu	s2_c_ahv	s2_c_ahw	s2_c_ahx	s2_c_ahy	s2_c_ahz	s2_c_aia	s2_c_aib	s2_c_aic	s2_c_aid	s2_c_aie	s2_c_aif	s2_c_aig	s2_c_aih	s2_c_aii	s2_c_aij	s2_c_aik	s2_c_ail	s2_c_aim	s2_c_ain	s2_c_aio	s2_c_aip	s2_c_aiq	s2_c_air	s2_c_ais	s2_c_ait	s2_c_aiu	s2_c_aiv	s2_c_aiw	s2_c_aix	s2_c_aiy	s2_c_aiz	s2_c_aja	s2_c_ajb	s2_c_ajc	s2_c_ajd	s2_c_aje	s2_c_ajf	s2_c_ajg	s2_c_ajh	s2_c_aji	s2_c_ajj	s2_c_ajk	s2_c_ajl	s2_c_ajm	s2_c_ajn	s2_c_ajo	s2_c_ajp	s2_c_ajq	s2_c_ajr	s2_c_ajs	s2_c_ajt	s2_c_aju	s2_c_ajv	s2_c_ajw	s2_c_ajx	s2_c_ajy	s2_c_ajz	s2_c_aka	s2_c_akb	s2_c_akc	s2_c_akd	s2_c_ake	s2_c_akf	s2_c_akg	s2_c_akh	s2_c_aki	s2_c_akj	s2_c_akk	s2_c_akl	s2_c_akm	s2_c_akn	s2_c_ako	s2_c_akp	s2_c_akq	s2_c_akr	s2_c_aks	s2_c_akz	s2_c_alf	s2_c_alk	s2_c_all	s2_c_alm	s2_c_aln	s2_c_alo	s2_c_alp	s2_c_alq	s2_c_alr	s2_c_als	s2_c_alt	s2_c_alu	s2_c_alv	s2_ch_aa	s2_ch_ab	s2_ch_ac	s2_ch_ad	s2_ch_ae	s2_ch_af	s2_ch_ag	s2_ch_ah	s2_ch_ai	s2_ch_aj	s2_ch_ak	s2_ch_al	s2_ch_am	s2_ch_an	s2_ch_ao	s2_ch_ap	s2_ch_aq	s2_ch_ar	s2_ch_as	s2_ch_at	s2_ch_au	s2_ch_av	s2_ch_aw	s2_ch_ax	s2_ch_ay	s2_ch_az	s2_ch_ba	s2_ch_bb	s2_ch_bc	s2_ch_bd	s2_ch_be	s2_ch_bf	s2_ch_bg	s2_ch_bh	s2_ch_bi	s2_ch_bj	s2_ch_bk	s2_ch_bl	s2_ch_bm	s2_ch_bn	s2_ch_bo	s2_ch_bp	s2_ch_bq	s2_ch_br	s2_ch_bs	s2_ch_bt	s2_ch_bu	s2_ch_bv	s2_ch_bw	s2_ch_bx	s2_ch_by	s2_ch_bz	s2_ch_ca	s2_ch_cb	s2_ch_cc	s2_ch_cd	s2_ch_ce	s2_ch_cf	s2_ch_cg	s2_ch_ch	s2_ch_ci	s2_ch_cj	s2_ch_ck	s2_ch_cl	s2_ch_cm	s2_ch_cn	s2_ch_co	s2_ch_cp	s2_ch_cq	s2_ch_cr	s2_ch_cs	s2_ch_ct	s2_ch_cu	s2_ch_cv	s2_ch_cw	s2_ch_cx	s2_ch_cy	s2_ch_cz	s2_ch_da	s2_ch_db	s2_ch_dc	s2_ch_dd	s2_ch_de	s2_ch_df	s2_ch_dg	s2_ch_dh	s2_ch_di	s2_ch_dj	s2_ch_dk	s2_ch_dl	s2_ch_dm	s2_ch_dn	s2_ch_do	s2_ch_dp	s2_ch_dq	s2_ch_dr	s2_ch_ds	s2_ch_dt	s2_ch_du	s2_ch_dv	s2_ch_dw	s2_ch_dx	s2_ch_dy	s2_ch_dz	s2_ch_ea	s2_ch_eb	s2_ch_ec	s2_ch_ed	s2_ch_ee	s2_ch_ef	s2_ch_eg	s2_ch_eh	s2_ch_ei	s2_ch_ej	s2_ch_ek	s2_ch_el	s2_ch_em	s2_ch_en	s2_ch_eo	s2_ch_ep	s2_ch_eq	s2_ch_er	s2_ch_es	s2_ch_et	s2_ch_eu	s2_ch_ev	s2_ch_ew	s2_ch_ex	s2_ch_ey	s2_ch_ez	s2_ch_fa	s2_ch_fb	s2_ch_fc	s2_ch_fd	s2_ch_fe	s2_ch_ff	s2_ch_fg	s2_ch_fh	s2_ch_fi	s2_ch_fj	s2_ch_fk	s2_ch_fl	s2_ch_fm	s2_ch_fn	s2_ch_fo	s2_ch_fp	s2_ch_fq	s2_ch_fr	s2_ch_fs	s2_ch_ft	s2_ch_fu	s2_ch_fv	s2_ch_fw	s2_ch_fx	s2_ch_fy	s2_ch_fz	s2_ch_gb	s2_ch_gc	s2_ch_gd	s2_ch_ge	s2_ch_gf	s2_ch_gg	s2_ch_gh	s2_ch_gi	s2_ch_gj	s2_ch_gk	s2_ch_gl	s2_ch_gm	s2_ch_gn	s2_ch_go	s2_ch_gp	s2_ch_gq	s2_ch_gr	s2_ch_gs	s2_ch_gt	s2_ch_gu	s2_ch_gv	s2_ch_gw	s2_ch_gx	s2_ch_gy	s2_ch_gz	s2_ch_ha	s2_ch_hb	s2_ch_hc	s2_ch_hd	s2_ch_he	s2_ch_hf	s2_ch_hg	s2_ch_hh	s2_ch_hi	s2_ch_hj	s2_ch_hk	s2_ch_hl	s2_ch_hm	s2_ch_hn	s2_ch_ho	s2_ch_hp	s2_ch_hq	s2_ch_hr s2_ch_hs	s2_ch_ht	s2_ch_hu	s2_ch_hv	s2_ch_hw	s2_ch_hx	s2_ch_hy	s2_ch_hz	s2_ch_ia	s2_ch_ib	s2_ch_ic	s2_ch_id	s2_ch_ie	s2_ch_if	s2_ch_ig	s2_ch_ih	s2_ch_ii	s2_ch_ij	s2_ch_ik	s2_ch_il	s2_ch_im	s2_ch_in	s2_ch_io	s2_ch_ip	s2_ch_iq	s2_ch_ir	s2_ch_is	s2_ch_it	s2_ch_iu	s2_ch_iv	s2_ch_iw	s2_ch_ix	s2_ch_iy	s2_ch_iz	s2_ch_ja	s2_ch_jb	s2_ch_jc	s2_ch_jd	s2_ch_je	s2_ch_jf	s2_ch_jg	s2_ch_jh	s2_ch_ji	s2_ch_jj	s2_ch_jk	s2_ch_jl	s2_ch_jm	s2_ch_jn	s2_ch_jo	s2_ch_jp	s2_ch_jq	s2_ch_jr	s2_ch_js	s2_ch_jt	s2_ch_ju	s2_ch_jw	s2_ch_jx	s2_ch_jy	s2_ch_jz	s2_ch_ka	s2_ch_kb	s2_ch_kc	s2_ch_kd	s2_ch_ke	s2_ch_kf	s2_ch_kg	s2_ch_kh	s2_ch_ki	s2_ch_kj	s2_ch_kk	s2_ch_kl	s2_ch_km	s2_ch_kn	s2_ch_ko	s2_ch_kp	s2_ch_kq	s2_ch_kr	s2_ch_ks	s2_ch_kt	s2_ch_ku	s2_ch_kv	s2_ch_kw	s2_ch_kx	s2_ch_ky	s2_ch_kz	s2_ch_la	s2_ch_lb	s2_ch_lc	s2_ch_ld	s2_ch_le	s2_ch_lf	s2_ch_lg	s2_ch_lh	s2_ch_li	s2_ch_lj	s2_ch_lk	s2_ch_ll	s2_ch_lm	s2_ch_ln	s2_ch_lo	s2_ch_lp	s2_ch_lq	s2_ch_lr	s2_ch_ls	s2_ch_lt	s2_ch_lu	s2_ch_lv	s2_ch_lw	s2_ch_lx	s2_ch_ly	s2_ch_lz	s2_ch_ma	s2_ch_mb	s2_ch_mc	s2_ch_md	s2_ch_me	s2_ch_mf	s2_ch_mg	s2_ch_mh	s2_ch_mi	s2_ch_mj	s2_ch_mk	s2_ch_ml	s2_ch_mm	s2_ch_mn	s2_ch_mo	s2_ch_mp	s2_ch_mq	s2_ch_mr	s2_ch_ms	s2_ch_mt	s2_ch_mu	s2_ch_mv	s2_ch_mw	s2_ch_mx	s2_ch_my	s2_ch_mz	s2_ch_na	s2_ch_nb	s2_ch_nc	s2_ch_nd	s2_ch_ne	s2_ch_nf	s2_ch_ng	s2_ch_nh	s2_ch_ni	s2_ch_nj	s2_ch_nk	s2_ch_nl	s2_ch_nm	s2_ch_nn	s2_ch_no	s2_ch_np	s2_ch_nq	s2_ch_nr	s2_ch_ns	s2_ch_nt	s2_ch_nu	s2_ch_nv	s2_ch_nw	s2_ch_nx	s2_ch_ny	s2_ch_nz	s2_ch_oa	s2_ch_ob	s2_ch_oc	s2_ch_od	s2_ch_oe	s2_ch_of	s2_ch_og	s2_ch_oh	s2_ch_oi	s2_ch_oj	s2_ch_ok	s2_ch_ol	s2_ch_om	s2_ch_on	s2_ch_oo	s2_ch_op	s2_ch_oq	s2_ch_or	s2_ch_os	s2_ch_ot	s2_ch_ou	s2_ch_ov	s2_ch_ow	s2_ch_ox	s2_ch_oy	s2_ch_oz	s2_ch_pa	s2_ch_pb	s2_ch_pc	s2_ch_pd	s2_ch_pe	s2_ch_pf	s2_ch_pg	s2_ch_ph	s2_ch_pi	s2_ch_pj	s2_ch_pk	s2_ch_pl	s2_ch_pm	s2_ch_pn	s2_ch_po	s2_ch_pp	s2_ch_pq	s2_ch_pr	s2_ch_ps	s2_ch_pt	s2_ch_pu	s2_ch_pv	s2_ch_pw	s2_ch_px	s2_ch_py	s2_ch_pz	s2_ch_qa	s2_ch_qb	s2_ch_qc	s2_ch_qd	s2_ch_qe	s2_ch_qf	s2_ch_qg	s2_ch_qh	s2_ch_qi	s2_ch_qj	s2_ch_qk	s2_ch_ql	s2_ch_qm	s2_ch_qn	s2_ch_qo	s2_ch_qp	s2_ch_qq	s2_ch_qr	s2_ch_qs	s2_ch_qt	s2_ch_qu	s2_ch_qv	s2_ch_qw	s2_ch_qx	s2_ch_qy	s2_ch_qz	s2_ch_ra	s2_ch_rb	s2_ch_rc	s2_ch_rd	s2_ch_re	s2_ch_rf	s2_ch_rg	s2_ch_rh	s2_ch_ri	s2_ch_rj	s2_ch_rk	s2_ch_rl	s2_ch_rm	s2_ch_rn	s2_ch_ro	s2_ch_rp	s2_ch_rq	s2_ch_rr	s2_ch_rs	s2_ch_rt	s2_ch_ru	s2_ch_rv	s2_ch_rw	s2_ch_rx	s2_ch_ry	s2_ch_rz	s2_ch_sa	s2_ch_sb	s2_ch_sc	s2_ch_sd	s2_ch_se	s2_ch_sf	s2_ch_sg	s2_ch_sh	s2_ch_si	s2_ch_sj	s2_ch_sk	s2_ch_sl	s2_ch_sm	s2_ch_sn	s2_ch_so	s2_ch_sp	s2_ch_sq	s2_ch_sr	s2_ch_ss	s2_ch_st	s2_ch_su	s2_ch_sv	s2_ch_sw	s2_ch_sx	s2_ch_sy	s2_ch_sz	s2_ch_ta	s2_ch_tb	s2_ch_tc	s2_ch_td	s2_ch_te	s2_ch_tf	s2_ch_tg	s2_ch_th	s2_ch_ti	s2_ch_tj	s2_ch_tk	s2_ch_tl	s2_ch_tm	s2_ch_tn	s2_ch_to	s2_ch_tp	s2_ch_tq	s2_ch_tr	s2_ch_ts	s2_ch_tt	s2_ch_tu	s2_ch_tv	s2_ch_tw	s2_ch_tx	s2_ch_ty	s2_ch_tz	s2_ch_ua	s2_ch_ub	s2_ch_uc	s2_ch_ud	s2_ch_ue	s2_ch_uf	s2_ch_ug	s2_ch_uh	s2_ch_ui	s2_ch_uj	s2_ch_uk	s2_ch_ul	s2_ch_um	s2_ch_un	s2_ch_uo	s2_ch_up	s2_ch_uq	s2_ch_ur	s2_ch_us	s2_ch_ut	s2_ch_uu	s2_ch_uv	s2_ch_uw	s2_ch_ux	s2_ch_uy	s2_ch_uz	s2_ch_va	s2_ch_vb	s2_ch_vc	s2_ch_vd	s2_ch_ve	s2_ch_vf	s2_ch_vh	s2_ch_vi	s2_ch_vj	s2_ch_vk	s2_ch_vl	s2_ch_vm	s2_ch_vn	s2_ch_vo	s2_ch_vp	s2_ch_vq	s2_ch_vr	s2_ch_vs	s2_ch_vt	s2_ch_vu	s2_ch_vv	s2_ch_vw	s2_ch_vx	s2_ch_vy	s2_ch_vz	s2_ch_wa	s2_ch_wb	s2_ch_wc	s2_ch_wd	s2_ch_we	s2_ch_wf	s2_ch_wg	s2_ch_wh	s2_ch_wi	s2_ch_wj	s2_ch_wk	s2_ch_wl	s2_ch_wm	s2_ch_wn	s2_ch_wo	s2_ch_wp	s2_ch_wq	s2_ch_wr	s2_ch_ws	s2_ch_wt	s2_ch_wu	s2_ch_wv	s2_ch_ww	s2_ch_wx	s2_ch_wy	s2_ch_wz	s2_ch_xa	s2_ch_xb	s2_ch_xc	s2_ch_xd	s2_ch_xe	s2_ch_xf	s2_ch_xg	s2_ch_xh	s2_ch_xi	s2_ch_xj	s2_ch_xk	s2_ch_xl	s2_ch_xm	s2_ch_xn	s2_ch_xo	s2_ch_xp	s2_ch_xq	s2_ch_xr	s2_ch_xs	s2_ch_xt	s2_ch_xu	s2_ch_xv	s2_ch_xw	s2_ch_xx	s2_ch_xy	s2_ch_xz	s2_ch_ya	s2_ch_yb	s2_ch_yc	s2_ch_yd	s2_ch_ye	s2_ch_yf	s2_ch_yg	s2_ch_yh	s2_ch_yi	s2_ch_yj	s2_ch_yk	s2_ch_yl	s2_ch_ym	s2_ch_yn	s2_ch_yo	s2_ch_yp	s2_ch_yq	s2_ch_yr	s2_ch_ys	s2_ch_yt	s2_ch_yu	s2_ch_yv	s2_ch_yw	s2_ch_yx	s2_ch_yy	s2_ch_yz	s2_ch_za	s2_ch_zc	s2_ch_zd	s2_ch_ze	s2_ch_zf	s2_ch_zg	s2_ch_zh	s2_ch_zi	s2_ch_zj	s2_ch_zk	s2_ch_zl	s2_ch_zm	s2_ch_zn	s2_ch_zo	s2_ch_zp	s2_ch_zq	s2_ch_zr	s2_ch_zs	s2_ch_zt	s2_ch_zu	s2_ch_zv	s2_ch_zw	s2_ch_zx	s2_ch_zy	s2_ch_zz	s2_ch1_a	s2_ch1_b	s2_ch1_c	s2_ch1_d	s2_ch1_e	s2_ch1_f	s2_ch1_g	s2_ch1_h	s2_ch1_i	s2_ch1_j	s2_ch1_k	s2_ch1_l	s2_ch1_m	s2_ch1_n	s2_ch1_o	s2_ch1_p	s2_ch1_q	s2_ch1_r	s2_ch1_s	s2_ch1_t	s2_ch1_u	s2_ch1_v	s2_ch1_w	s2_ch1_x	s2_ch1_y	s2_ch1_z	s2_ch13	s3_ch_aa	s3_ch_ab	s3_ch_ac	s3_ch_ad	s3_ch_ae	s3_ch_af	s3_ch_ag	s3_ch_ah	s3_ch_ai	s3_ch_aj	s3_ch_ak	s3_ch_al	s3_ch_am	s3_ch_an	s3_ch_ao	s3_ch_ap	s3_ch_aq	s3_ch_ar	s3_ch_as	s3_ch_at	s3_ch_au	s3_ch_av	s3_ch_aw	s3_ch_ax	s3_ch_ay	s3_ch_az	s3_ch_ba	s3_ch_bb	s3_ch_bc	s3_ch_bd	s3_ch_be	s3_ch_bf	s3_ch_bg	s3_ch_bh	s3_ch_bi	s3_ch_bj	s3_ch_bk	s3_ch_bl	s3_ch_bm	s3_ch_bn	s3_ch_bo	s3_ch_bp	s3_ch_bq	s3_ch_br	s3_ch_bs	s3_ch_bt	s3_ch_bu	s3_ch_bv	s3_ch_bw	s3_ch_bx	s3_ch_by	s3_ch_bz	s3_ch_ca	s3_ch_cb	s3_ch_cc	s3_ch_cd	s3_ch_ce	s3_ch_cf	s3_ch_cg	s3_ch_ch	s3_ch_ci	s3_ch_cj	s3_ch_ck	s3_ch_cl	s3_ch_cm	s3_ch_cu	s3_ch_cw	s3_ch_cy	s3_ch_cz	s3_ch_db	s3_ch_dc	s3_ch_dd	s3_ch_de	s3_ch_dg	s3_ch_dh	s3_ch_di	s3_ch_dj	s3_ch_dl	s3_ch_dm	s3_ch_dn	s3_ch_do	s3_ch_dq	s3_ch_dr	s3_ch_ds	s3_ch_dt	s3_ch_dv	s3_ch_dw	s3_ch_dx	s3_ch_dy	s3_ch_dz	s3_ch_eb	s3_ch_ec	s3_ch_ed	s3_ch_ee	s3_ch_eg	s3_ch_eh	s3_ch_ei	s3_ch_ej	s3_ch_el	s3_ch_em	s3_ch_en	s3_ch_eo	s3_ch_eq	s3_ch_er	s3_ch_es	s3_ch_et	s3_ch_ev	s3_ch_ew	s3_ch_ex	s3_ch_ey	s3_ch_fa	s3_ch_fb	s3_ch_fc	s3_ch_fd	s3_ch_ff	s3_ch_fg	s3_ch_fh	s3_ch_fi	s3_ch_fj	s3_ch_fl	s3_ch_fm	s3_ch_fn	s3_ch_fo	s3_ch_fq	s3_ch_fr	s3_ch_fs	s3_ch_ft	s3_ch_fv	s3_ch_fw	s3_ch_fx	s3_ch_fy	s3_ch_ga	s3_ch_gb	s3_ch_gc	s3_ch_gd	s3_ch_gf	s3_ch_gg	s3_ch_gh	s3_ch_gi	s3_ch_gj	s3_ch_gl	s3_ch_gm	s3_ch_gn	s3_ch_go	s3_ch_gq	s3_ch_gr	s3_ch_gs	s3_ch_gt	s3_ch_gv	s3_ch_gw	s3_ch_gx	s3_ch_gy	s3_ch_ha	s3_ch_hb	s3_ch_hc	s3_ch_hd	s3_ch_hf	s3_ch_hg	s3_ch_hh	s3_ch_hi	s3_ch_hk	s3_ch_hl	s3_ch_hm	s3_ch_hn	s3_ch_ho	s3_ch_hp	s3_ch_hq	s3_ch_hr	s3_ch_hs	s3_ch_ht	s3_ch_hu	s3_ch_hv	s3_ch_hw	s3_ch_hx	s3_ch_hy	s3_ch_hz	s3_ch_ia	s3_ch_ib	s3_ch_ic	s3_ch_id	s3_ch_ie	s3_ch_if	s3_ch_ig	s3_ch_ih	s3_ch_ii	s3_ch_ij	s3_ch_ik	s3_ch_il	s3_ch_im	s3_ch_in	s3_ch_io	s3_ch_ip	s3_ch_iq	s3_ch_ir	s3_ch_is	s3_ch_it	s3_ch_iu	s3_ch_iv	s3_ch_iw	s3_ch_ix	s3_ch_iy	s3_ch_iz	s3_ch_ja	s3_ch_jb	s3_ch_jc	s3_ch_jd	s3_ch_je	s3_ch_jf	s3_ch_jg	s3_ch_jh	s3_ch_ji	s3_ch_jj	s3_ch_jl	s3_ch_jm	s3_ch_jn	s3_ch_jo	s3_ch_jq	s3_ch_jr	s3_ch_js	s3_ch_jt	s3_ch_jv	s3_ch_jw	s3_ch_jx	s3_ch_jy	s3_ch_ka	s3_ch_kb	s3_ch_kc	s3_ch_kd	s3_ch_ke	s3_ch_kg	s3_ch_kh	s3_ch_ki	s3_ch_kj	s3_ch_kl	s3_ch_km	s3_ch_kn	s3_ch_ko	s3_ch_kq	s3_ch_kr	s3_ch_ks	s3_ch_kt	s3_ch_kv	s3_ch_kw	s3_ch_kx	s3_ch_ky	s3_ch_la	s3_ch_lb	s3_ch_lc	s3_ch_ld	s3_ch_le	s3_ch_lf	s3_ch_lg	s3_ch_lh	s3_ch_li	s3_ch_lk	s3_ch_ll	s3_ch_lm	s3_ch_ln	s3_ch_lo	s3_ch_lr	s3_ch_ls	s3_ch_lt	s3_ch_lv	s3_ch_lw	s3_ch_lx	s3_ch_ly	s3_ch_ma	s3_ch_mb	s3_ch_mc	s3_ch_md	s3_ch_mf	s3_ch_mg	s3_ch_mh	s3_ch_mj	s3_ch_mk	s3_ch_ml	s3_ch_mm	s3_ch_mn	s3_ch_mp	s3_ch_mq	s3_ch_mr	s3_ch_ms	s3_ch_mt	s3_ch_mv	s3_ch_mw	s3_ch_mx	s3_ch_my	s3_ch_na	s3_ch_nb	s3_ch_nc	s3_ch_nd	s3_ch_nf	s3_ch_ng	s3_ch_nh	s3_ch_ni	s3_ch_nk	s3_ch_nl	s3_ch_nm	s3_ch_nn	s3_ch_np	s3_ch_nq	s3_ch_nr	s3_ch_ns	s3_ch_nu	s3_ch_nv	s3_ch_nw	s3_ch_nx	s3_ch_ny	s3_ch_nz	s3_ch_oa	s3_ch_ob	s3_ch_oc	s3_ch_od	s3_ch_of	s3_ch_og	s3_ch_oh	s3_ch_oi	s3_ch_oj	s3_ch_ok	s3_ch_ol	s3_ch_om	s3_ch_on	s3_ch_oo	s3_ch_op	s3_ch_oq	s3_ch_or	s3_ch_os	s3_ch_ot	s3_ch_ou	s3_ch_ov	s3_ch_ow	s3_ch_ox	s3_ch_oy	s3_ch_oz	s3_ch_pa	s3_ch_pb	s3_ch_pc	s3_ch_pd	s3_ch_pe	s3_ch_pf	s3_ch_pg	s3_ch_ph	s3_ch_pi	s3_ch_pj	s3_ch_pk	s3_ch_pl	s3_ch_pm	s3_ch_pn	s3_ch_po	s3_ch_pp	s3_ch_pq	s3_ch_pr	s3_ch_ps	s3_ch_pt	s3_ch_pu	s3_ch_pv	s3_ch_pw	s3_ch_px	s3_ch_py	s3_ch_qa	s3_ch_qb	s3_ch_qc	s3_ch_qd	s3_ch_qf	s3_ch_qg	s3_ch_qh	s3_ch_qj	s3_ch_qk	s3_ch_ql	s3_ch_qm	s3_ch_qn	s3_ch_qp	s3_ch_qq	s3_ch_qr	s3_ch_qs	s3_ch_qt	s3_ch_qv	s3_ch_qw	s3_ch_qx	s3_ch_qy	s3_ch_ra	s3_ch_rb	s3_ch_rc	s3_ch_rd	s3_ch_rf	s3_ch_rg	s3_ch_rh	s3_ch_ri	s3_ch_rk	s3_ch_rl	s3_ch_rm	s3_ch_rn	s3_ch_rp	s3_ch_rq	s3_ch_rr	s3_ch_rs	s3_ch_ru	s3_ch_rv	s3_ch_rw	s3_ch_rx	s3_ch_rz	s3_ch_sa	s3_ch_sb	s3_ch_sc	s3_ch_sd	s3_ch_sf	s3_ch_sg	s3_ch_sh	s3_ch_si	s3_ch_sk	s3_ch_sl	s3_ch_sm	s3_ch_sn	s3_ch_sp	s3_ch_sq	s3_ch_sr	s3_ch_ss	s3_ch_su	s3_ch_sv	s3_ch_sw	s3_ch_sx	s3_ch_sz	s3_ch_ta	s3_ch_tb	s3_ch_tc	s3_ch_td	s3_ch_tf	s3_ch_tg	s3_ch_th	s3_ch_ti	s3_ch_tk	s3_ch_tl	s3_ch_tm	s3_ch_tn	s3_ch_tp	s3_ch_tq	s3_ch_tr	s3_ch_ts	s3_ch_tu	s3_ch_tv	s3_ch_tw	s3_ch_tx	s3_ch_tz	s3_ch_ua	s3_ch_ub	s3_ch_uc	s3_ch_ud	s3_ch_ue	s3_ch_uf	s3_ch_ug	s3_ch_uh	s3_ch_ui	s3_ch_uj	s3_ch_uk	s3_ch_ul	s3_ch_um	s3_ch_un	s3_ch_uo	s3_ch_up	s3_ch_uq	s3_ch_ur	s3_ch_us	s3_ch_ut	s3_ch_uu	s3_ch_uv	s3_ch_uw	s3_ch_ux	s3_ch_uy	s3_ch_uz	s3_ch_va	s3_ch_vb	s3_ch_vc	s3_ch_vd	s3_ch_ve	s3_ch_vf	s3_ch_vg	s3_ch_vh	s3_ch_vi	s3_ch_vj	s3_ch_vk	s3_ch_vl	s3_ch_vm	s3_ch_vn	s3_ch_vo	s3_ch_vp	s3_ch_vq	s3_ch_vr	s3_ch_vs	s3_ch_vt	s3_ch_vu	s3_ch_vv	s3_ch_vw	s3_ch_vx	s3_ch_vy	s3_ch_vz	s3_ch_wa	s3_ch_wb	s3_ch_wc	s3_ch_wd	s3_ch_we	s3_ch_wf	s3_ch_wg	s3_ch_wh	s3_ch_wi	s3_ch_wj	s3_ch_wk	s3_ch_wl	s3_ch_wm	s3_ch_wn	s3_ch_wo	s3_ch_wp	s3_ch_wq	s3_ch_wr	s3_ch_ws	s3_ch_wt	s3_ch_wu	s3_ch_wv	s3_ch_ww	s3_ch_wx	s3_ch_wy	s3_ch_wz	s3_ch_xa	s3_ch_xb	s3_ch_xc	s3_ch_xd	s3_ch_xe	s3_ch_xf	s3_ch_xg	s3_ch_xh	s3_ch_xi	s3_ch_xj	s3_ch_xk	s3_ch1_a	s3_ch1_b	s3_ch1_c	s3_ch1_d	s3_ch1_e	s3_ch1_f	s3_ch1_g	s3_ch1_h	s3_ch1_i	s3_ch1_j	s3_ch1_k	s3_ch1_l	s3_ch1_m	s3_ch1_n	s3_ch1_o	s3_ch1_p	s3_ch1_q	s3_ch1_r	s3_ch1_s	s3_ch1_t	s3_ch1_u	s3_ch1_v	s3_ch1_w	s3_ch1_x	s3_ch1_y	s3_ch1_z	s3_ch11	s4_q4a	s4_q4b	s4_q4c, mv(0 = .z)
grubbs  s1_q5a	s1_q5b	s1_q5c	s1_q5d	s1_q6a	s1_q6b	s1_q6c	s1_q6d	s2_c_aaa	s2_c_aab	s2_c_aac	s2_c_aad	s2_c_aae	s2_c_aaf	s2_c_aag	s2_c_aah	s2_c_aai	s2_c_aaj	s2_c_aak	s2_c_aal	s2_c_aam	s2_c_aan	s2_c_aao	s2_c_aap	s2_c_aaq	s2_c_aar	s2_c_aas	s2_c_aat	s2_c_aau	s2_c_aav	s2_c_aaw	s2_c_aax	s2_c_aay	s2_c_aaz	s2_c_aba	s2_c_abb	s2_c_abc	s2_c_abd	s2_c_abe	s2_c_abf	s2_c_abg	s2_c_abh	s2_c_abi	s2_c_abj	s2_c_abk	s2_c_abl	s2_c_abm	s2_c_abn	s2_c_abo	s2_c_abp	s2_c_abq	s2_c_abr	s2_c_abs	s2_c_abt	s2_c_abu	s2_c_abv	s2_c_abw	s2_c_abx	s2_c_aby	s2_c_abz	s2_c_aca	s2_c_acb	s2_c_acc	s2_c_acd	s2_c_ace	s2_c_acf	s2_c_acg	s2_c_ach	s2_c_aci	s2_c_acj	s2_c_ack	s2_c_acl	s2_c_acm	s2_c_acn	s2_c_aco	s2_c_acp	s2_c_acq	s2_c_acr	s2_c_acs	s2_c_act	s2_c_acu	s2_c_acv	s2_c_acw	s2_c_acx	s2_c_acy	s2_c_acz	s2_c_ada	s2_c_adb	s2_c_adc	s2_c_add	s2_c_ade	s2_c_adf	s2_c_adg	s2_c_adh	s2_c_adi	s2_c_adj	s2_c_adk	s2_c_adl	s2_c_adm	s2_c_adn	s2_c_ado	s2_c_adp	s2_c_adq	s2_c_adr	s2_c_ads	s2_c_adt	s2_c_adu	s2_c_adv	s2_c_adw	s2_c_adx	s2_c_ady	s2_c_adz	s2_c_aea	s2_c_aeb	s2_c_aec	s2_c_aed	s2_c_aee	s2_c_aef	s2_c_aeg	s2_c_aeh	s2_c_aei	s2_c_aej	s2_c_aek	s2_c_ael	s2_c_aem	s2_c_aen	s2_c_aeo	s2_c_aep	s2_c_aeq	s2_c_aer	s2_c_aes	s2_c_aet	s2_c_aeu	s2_c_aev	s2_c_aew	s2_c_aex	s2_c_aey	s2_c_aez	s2_c_afa	s2_c_afb	s2_c_afc	s2_c_afd	s2_c_afe	s2_c_aff	s2_c_afg	s2_c_afh	s2_c_afi	s2_c_afj	s2_c_afk	s2_c_afl	s2_c_afm	s2_c_afn	s2_c_afo	s2_c_afp	s2_c_afq	s2_c_afr	s2_c_afs	s2_c_aft	s2_c_afu	s2_c_afv	s2_c_afw	s2_c_afx	s2_c_afy	s2_c_afz	s2_c_aga	s2_c_agb	s2_c_agc	s2_c_agd	s2_c_age	s2_c_agf	s2_c_agg	s2_c_agh	s2_c_agi	s2_c_agj	s2_c_agk	s2_c_agl	s2_c_agm	s2_c_agn	s2_c_ago	s2_c_agp	s2_c_agq	s2_c_agr	s2_c_ags	s2_c_agt	s2_c_agu	s2_c_agv	s2_c_agw	s2_c_agx	s2_c_agy	s2_c_agz	s2_c_aha	s2_c_ahb	s2_c_ahc	s2_c_ahd	s2_c_ahe	s2_c_ahf	s2_c_ahg	s2_c_ahh	s2_c_ahi	s2_c_ahj	s2_c_ahk	s2_c_ahl	s2_c_ahm	s2_c_ahn	s2_c_aho	s2_c_ahp	s2_c_ahq	s2_c_ahr	s2_c_ahs	s2_c_aht	s2_c_ahu	s2_c_ahv	s2_c_ahw	s2_c_ahx	s2_c_ahy	s2_c_ahz	s2_c_aia	s2_c_aib	s2_c_aic	s2_c_aid	s2_c_aie	s2_c_aif	s2_c_aig	s2_c_aih	s2_c_aii	s2_c_aij	s2_c_aik	s2_c_ail	s2_c_aim	s2_c_ain	s2_c_aio	s2_c_aip	s2_c_aiq	s2_c_air	s2_c_ais	s2_c_ait	s2_c_aiu	s2_c_aiv	s2_c_aiw	s2_c_aix	s2_c_aiy	s2_c_aiz	s2_c_aja	s2_c_ajb	s2_c_ajc	s2_c_ajd	s2_c_aje	s2_c_ajf	s2_c_ajg	s2_c_ajh	s2_c_aji	s2_c_ajj	s2_c_ajk	s2_c_ajl	s2_c_ajm	s2_c_ajn	s2_c_ajo	s2_c_ajp	s2_c_ajq	s2_c_ajr	s2_c_ajs	s2_c_ajt	s2_c_aju	s2_c_ajv	s2_c_ajw	s2_c_ajx	s2_c_ajy	s2_c_ajz	s2_c_aka	s2_c_akb	s2_c_akc	s2_c_akd	s2_c_ake	s2_c_akf	s2_c_akg	s2_c_akh	s2_c_aki	s2_c_akj	s2_c_akk	s2_c_akl	s2_c_akm	s2_c_akn	s2_c_ako	s2_c_akp	s2_c_akq	s2_c_akr	s2_c_aks	s2_c_akz	s2_c_alf	s2_c_alk	s2_c_all	s2_c_alm	s2_c_aln	s2_c_alo	s2_c_alp	s2_c_alq	s2_c_alr	s2_c_als	s2_c_alt	s2_c_alu	s2_c_alv	s2_ch_aa	s2_ch_ab	s2_ch_ac	s2_ch_ad	s2_ch_ae	s2_ch_af	s2_ch_ag	s2_ch_ah	s2_ch_ai	s2_ch_aj	s2_ch_ak	s2_ch_al	s2_ch_am	s2_ch_an	s2_ch_ao	s2_ch_ap	s2_ch_aq	s2_ch_ar	s2_ch_as	s2_ch_at	s2_ch_au	s2_ch_av	s2_ch_aw	s2_ch_ax	s2_ch_ay	s2_ch_az	s2_ch_ba	s2_ch_bb	s2_ch_bc	s2_ch_bd	s2_ch_be	s2_ch_bf	s2_ch_bg	s2_ch_bh	s2_ch_bi	s2_ch_bj	s2_ch_bk	s2_ch_bl	s2_ch_bm	s2_ch_bn	s2_ch_bo	s2_ch_bp	s2_ch_bq	s2_ch_br	s2_ch_bs	s2_ch_bt	s2_ch_bu	s2_ch_bv	s2_ch_bw	s2_ch_bx	s2_ch_by	s2_ch_bz	s2_ch_ca	s2_ch_cb	s2_ch_cc	s2_ch_cd	s2_ch_ce	s2_ch_cf	s2_ch_cg	s2_ch_ch	s2_ch_ci	s2_ch_cj	s2_ch_ck	s2_ch_cl	s2_ch_cm	s2_ch_cn	s2_ch_co	s2_ch_cp	s2_ch_cq	s2_ch_cr	s2_ch_cs	s2_ch_ct	s2_ch_cu	s2_ch_cv	s2_ch_cw	s2_ch_cx	s2_ch_cy	s2_ch_cz	s2_ch_da	s2_ch_db	s2_ch_dc	s2_ch_dd	s2_ch_de	s2_ch_df	s2_ch_dg	s2_ch_dh	s2_ch_di	s2_ch_dj	s2_ch_dk	s2_ch_dl	s2_ch_dm	s2_ch_dn	s2_ch_do	s2_ch_dp	s2_ch_dq	s2_ch_dr	s2_ch_ds	s2_ch_dt	s2_ch_du	s2_ch_dv	s2_ch_dw	s2_ch_dx	s2_ch_dy	s2_ch_dz	s2_ch_ea	s2_ch_eb	s2_ch_ec	s2_ch_ed	s2_ch_ee	s2_ch_ef	s2_ch_eg	s2_ch_eh	s2_ch_ei	s2_ch_ej	s2_ch_ek	s2_ch_el	s2_ch_em	s2_ch_en	s2_ch_eo	s2_ch_ep	s2_ch_eq	s2_ch_er	s2_ch_es	s2_ch_et	s2_ch_eu	s2_ch_ev	s2_ch_ew	s2_ch_ex	s2_ch_ey	s2_ch_ez	s2_ch_fa	s2_ch_fb	s2_ch_fc	s2_ch_fd	s2_ch_fe	s2_ch_ff	s2_ch_fg	s2_ch_fh	s2_ch_fi	s2_ch_fj	s2_ch_fk	s2_ch_fl	s2_ch_fm	s2_ch_fn	s2_ch_fo	s2_ch_fp	s2_ch_fq	s2_ch_fr	s2_ch_fs	s2_ch_ft	s2_ch_fu	s2_ch_fv	s2_ch_fw	s2_ch_fx	s2_ch_fy	s2_ch_fz	s2_ch_gb	s2_ch_gc	s2_ch_gd	s2_ch_ge	s2_ch_gf	s2_ch_gg	s2_ch_gh	s2_ch_gi	s2_ch_gj	s2_ch_gk	s2_ch_gl	s2_ch_gm	s2_ch_gn	s2_ch_go	s2_ch_gp	s2_ch_gq	s2_ch_gr	s2_ch_gs	s2_ch_gt	s2_ch_gu	s2_ch_gv	s2_ch_gw	s2_ch_gx	s2_ch_gy	s2_ch_gz	s2_ch_ha	s2_ch_hb	s2_ch_hc	s2_ch_hd	s2_ch_he	s2_ch_hf	s2_ch_hg	s2_ch_hh	s2_ch_hi	s2_ch_hj	s2_ch_hk	s2_ch_hl	s2_ch_hm	s2_ch_hn	s2_ch_ho	s2_ch_hp	s2_ch_hq s2_ch_hr s2_ch_hs	s2_ch_ht	s2_ch_hu	s2_ch_hv	s2_ch_hw	s2_ch_hx	s2_ch_hy	s2_ch_hz	s2_ch_ia	s2_ch_ib	s2_ch_ic	s2_ch_id	s2_ch_ie	s2_ch_if	s2_ch_ig	s2_ch_ih	s2_ch_ii	s2_ch_ij	s2_ch_ik	s2_ch_il	s2_ch_im	s2_ch_in	s2_ch_io	s2_ch_ip	s2_ch_iq	s2_ch_ir	s2_ch_is	s2_ch_it	s2_ch_iu	s2_ch_iv	s2_ch_iw	s2_ch_ix	s2_ch_iy	s2_ch_iz	s2_ch_ja	s2_ch_jb	s2_ch_jc	s2_ch_jd	s2_ch_je	s2_ch_jf	s2_ch_jg	s2_ch_jh	s2_ch_ji	s2_ch_jj	s2_ch_jk	s2_ch_jl	s2_ch_jm	s2_ch_jn	s2_ch_jo	s2_ch_jp	s2_ch_jq	s2_ch_jr	s2_ch_js	s2_ch_jt	s2_ch_ju	s2_ch_jw	s2_ch_jx	s2_ch_jy	s2_ch_jz	s2_ch_ka	s2_ch_kb	s2_ch_kc	s2_ch_kd	s2_ch_ke	s2_ch_kf	s2_ch_kg	s2_ch_kh	s2_ch_ki	s2_ch_kj	s2_ch_kk	s2_ch_kl	s2_ch_km	s2_ch_kn	s2_ch_ko	s2_ch_kp	s2_ch_kq	s2_ch_kr	s2_ch_ks	s2_ch_kt	s2_ch_ku	s2_ch_kv	s2_ch_kw	s2_ch_kx	s2_ch_ky	s2_ch_kz	s2_ch_la	s2_ch_lb	s2_ch_lc	s2_ch_ld	s2_ch_le	s2_ch_lf	s2_ch_lg	s2_ch_lh	s2_ch_li	s2_ch_lj	s2_ch_lk	s2_ch_ll	s2_ch_lm	s2_ch_ln	s2_ch_lo	s2_ch_lp	s2_ch_lq	s2_ch_lr	s2_ch_ls	s2_ch_lt	s2_ch_lu	s2_ch_lv	s2_ch_lw	s2_ch_lx	s2_ch_ly	s2_ch_lz	s2_ch_ma	s2_ch_mb	s2_ch_mc	s2_ch_md	s2_ch_me	s2_ch_mf	s2_ch_mg	s2_ch_mh	s2_ch_mi	s2_ch_mj	s2_ch_mk	s2_ch_ml	s2_ch_mm	s2_ch_mn	s2_ch_mo	s2_ch_mp	s2_ch_mq	s2_ch_mr	s2_ch_ms	s2_ch_mt	s2_ch_mu	s2_ch_mv	s2_ch_mw	s2_ch_mx	s2_ch_my	s2_ch_mz	s2_ch_na	s2_ch_nb	s2_ch_nc	s2_ch_nd	s2_ch_ne	s2_ch_nf	s2_ch_ng	s2_ch_nh	s2_ch_ni	s2_ch_nj	s2_ch_nk	s2_ch_nl	s2_ch_nm	s2_ch_nn	s2_ch_no	s2_ch_np	s2_ch_nq	s2_ch_nr	s2_ch_ns	s2_ch_nt	s2_ch_nu	s2_ch_nv	s2_ch_nw	s2_ch_nx	s2_ch_ny	s2_ch_nz	s2_ch_oa	s2_ch_ob	s2_ch_oc	s2_ch_od	s2_ch_oe	s2_ch_of	s2_ch_og	s2_ch_oh	s2_ch_oi	s2_ch_oj	s2_ch_ok	s2_ch_ol	s2_ch_om	s2_ch_on	s2_ch_oo	s2_ch_op	s2_ch_oq	s2_ch_or	s2_ch_os	s2_ch_ot	s2_ch_ou	s2_ch_ov	s2_ch_ow	s2_ch_ox	s2_ch_oy	s2_ch_oz	s2_ch_pa	s2_ch_pb	s2_ch_pc	s2_ch_pd	s2_ch_pe	s2_ch_pf	s2_ch_pg	s2_ch_ph	s2_ch_pi	s2_ch_pj	s2_ch_pk	s2_ch_pl	s2_ch_pm	s2_ch_pn	s2_ch_po	s2_ch_pp	s2_ch_pq	s2_ch_pr	s2_ch_ps	s2_ch_pt	s2_ch_pu	s2_ch_pv	s2_ch_pw	s2_ch_px	s2_ch_py	s2_ch_pz	s2_ch_qa	s2_ch_qb	s2_ch_qc	s2_ch_qd	s2_ch_qe	s2_ch_qf	s2_ch_qg	s2_ch_qh	s2_ch_qi	s2_ch_qj	s2_ch_qk	s2_ch_ql	s2_ch_qm	s2_ch_qn	s2_ch_qo	s2_ch_qp	s2_ch_qq	s2_ch_qr	s2_ch_qs	s2_ch_qt	s2_ch_qu	s2_ch_qv	s2_ch_qw	s2_ch_qx	s2_ch_qy	s2_ch_qz	s2_ch_ra	s2_ch_rb	s2_ch_rc	s2_ch_rd	s2_ch_re	s2_ch_rf	s2_ch_rg	s2_ch_rh	s2_ch_ri	s2_ch_rj	s2_ch_rk	s2_ch_rl	s2_ch_rm	s2_ch_rn	s2_ch_ro	s2_ch_rp	s2_ch_rq	s2_ch_rr	s2_ch_rs	s2_ch_rt	s2_ch_ru	s2_ch_rv	s2_ch_rw	s2_ch_rx	s2_ch_ry	s2_ch_rz	s2_ch_sa	s2_ch_sb	s2_ch_sc	s2_ch_sd	s2_ch_se	s2_ch_sf	s2_ch_sg	s2_ch_sh	s2_ch_si	s2_ch_sj	s2_ch_sk	s2_ch_sl	s2_ch_sm	s2_ch_sn	s2_ch_so	s2_ch_sp	s2_ch_sq	s2_ch_sr	s2_ch_ss	s2_ch_st	s2_ch_su	s2_ch_sv	s2_ch_sw	s2_ch_sx	s2_ch_sy	s2_ch_sz	s2_ch_ta	s2_ch_tb	s2_ch_tc	s2_ch_td	s2_ch_te	s2_ch_tf	s2_ch_tg	s2_ch_th	s2_ch_ti	s2_ch_tj	s2_ch_tk	s2_ch_tl	s2_ch_tm	s2_ch_tn	s2_ch_to	s2_ch_tp	s2_ch_tq	s2_ch_tr	s2_ch_ts	s2_ch_tt	s2_ch_tu	s2_ch_tv	s2_ch_tw	s2_ch_tx	s2_ch_ty	s2_ch_tz	s2_ch_ua	s2_ch_ub	s2_ch_uc	s2_ch_ud	s2_ch_ue	s2_ch_uf	s2_ch_ug	s2_ch_uh	s2_ch_ui	s2_ch_uj	s2_ch_uk	s2_ch_ul	s2_ch_um	s2_ch_un	s2_ch_uo	s2_ch_up	s2_ch_uq	s2_ch_ur	s2_ch_us	s2_ch_ut	s2_ch_uu	s2_ch_uv	s2_ch_uw	s2_ch_ux	s2_ch_uy	s2_ch_uz	s2_ch_va	s2_ch_vb	s2_ch_vc	s2_ch_vd	s2_ch_ve	s2_ch_vf	s2_ch_vh	s2_ch_vi	s2_ch_vj	s2_ch_vk	s2_ch_vl	s2_ch_vm	s2_ch_vn	s2_ch_vo	s2_ch_vp	s2_ch_vq	s2_ch_vr	s2_ch_vs	s2_ch_vt	s2_ch_vu	s2_ch_vv	s2_ch_vw	s2_ch_vx	s2_ch_vy	s2_ch_vz	s2_ch_wa	s2_ch_wb	s2_ch_wc	s2_ch_wd	s2_ch_we	s2_ch_wf	s2_ch_wg	s2_ch_wh	s2_ch_wi	s2_ch_wj	s2_ch_wk	s2_ch_wl	s2_ch_wm	s2_ch_wn	s2_ch_wo	s2_ch_wp	s2_ch_wq	s2_ch_wr	s2_ch_ws	s2_ch_wt	s2_ch_wu	s2_ch_wv	s2_ch_ww	s2_ch_wx	s2_ch_wy	s2_ch_wz	s2_ch_xa	s2_ch_xb	s2_ch_xc	s2_ch_xd	s2_ch_xe	s2_ch_xf	s2_ch_xg	s2_ch_xh	s2_ch_xi	s2_ch_xj	s2_ch_xk	s2_ch_xl	s2_ch_xm	s2_ch_xn	s2_ch_xo	s2_ch_xp	s2_ch_xq	s2_ch_xr	s2_ch_xs	s2_ch_xt	s2_ch_xu	s2_ch_xv	s2_ch_xw	s2_ch_xx	s2_ch_xy	s2_ch_xz	s2_ch_ya	s2_ch_yb	s2_ch_yc	s2_ch_yd	s2_ch_ye	s2_ch_yf	s2_ch_yg	s2_ch_yh	s2_ch_yi	s2_ch_yj	s2_ch_yk	s2_ch_yl	s2_ch_ym	s2_ch_yn	s2_ch_yo	s2_ch_yp	s2_ch_yq	s2_ch_yr	s2_ch_ys	s2_ch_yt	s2_ch_yu	s2_ch_yv	s2_ch_yw	s2_ch_yx	s2_ch_yy	s2_ch_yz	s2_ch_za	s2_ch_zc	s2_ch_zd	s2_ch_ze	s2_ch_zf	s2_ch_zg	s2_ch_zh	s2_ch_zi	s2_ch_zj	s2_ch_zk	s2_ch_zl	s2_ch_zm	s2_ch_zn	s2_ch_zo	s2_ch_zp	s2_ch_zq	s2_ch_zr	s2_ch_zs	s2_ch_zt	s2_ch_zu	s2_ch_zv	s2_ch_zw	s2_ch_zx	s2_ch_zy	s2_ch_zz	s2_ch1_a	s2_ch1_b	s2_ch1_c	s2_ch1_d	s2_ch1_e	s2_ch1_f	s2_ch1_g	s2_ch1_h	s2_ch1_i	s2_ch1_j	s2_ch1_k	s2_ch1_l	s2_ch1_m	s2_ch1_n	s2_ch1_o	s2_ch1_p	s2_ch1_q	s2_ch1_r	s2_ch1_s	s2_ch1_t	s2_ch1_u	s2_ch1_v	s2_ch1_w	s2_ch1_x	s2_ch1_y	s2_ch1_z	s2_ch13	s3_ch_aa	s3_ch_ab	s3_ch_ac	s3_ch_ad	s3_ch_ae	s3_ch_af	s3_ch_ag	s3_ch_ah	s3_ch_ai	s3_ch_aj	s3_ch_ak	s3_ch_al	s3_ch_am	s3_ch_an	s3_ch_ao	s3_ch_ap	s3_ch_aq	s3_ch_ar	s3_ch_as	s3_ch_at	s3_ch_au	s3_ch_av	s3_ch_aw	s3_ch_ax	s3_ch_ay	s3_ch_az	s3_ch_ba	s3_ch_bb	s3_ch_bc	s3_ch_bd	s3_ch_be	s3_ch_bf	s3_ch_bg	s3_ch_bh	s3_ch_bi	s3_ch_bj	s3_ch_bk	s3_ch_bl	s3_ch_bm	s3_ch_bn	s3_ch_bo	s3_ch_bp	s3_ch_bq	s3_ch_br	s3_ch_bs	s3_ch_bt	s3_ch_bu	s3_ch_bv	s3_ch_bw	s3_ch_bx	s3_ch_by	s3_ch_bz	s3_ch_ca	s3_ch_cb	s3_ch_cc	s3_ch_cd	s3_ch_ce	s3_ch_cf	s3_ch_cg	s3_ch_ch	s3_ch_ci	s3_ch_cj	s3_ch_ck	s3_ch_cl	s3_ch_cm	s3_ch_cu	s3_ch_cw	s3_ch_cy	s3_ch_cz	s3_ch_db	s3_ch_dc	s3_ch_dd	s3_ch_de	s3_ch_dg	s3_ch_dh	s3_ch_di	s3_ch_dj	s3_ch_dl	s3_ch_dm	s3_ch_dn	s3_ch_do	s3_ch_dq	s3_ch_dr	s3_ch_ds	s3_ch_dt	s3_ch_dv	s3_ch_dw	s3_ch_dx	s3_ch_dy	s3_ch_dz	s3_ch_eb	s3_ch_ec	s3_ch_ed	s3_ch_ee	s3_ch_eg	s3_ch_eh	s3_ch_ei	s3_ch_ej	s3_ch_el	s3_ch_em	s3_ch_en	s3_ch_eo	s3_ch_eq	s3_ch_er	s3_ch_es	s3_ch_et	s3_ch_ev	s3_ch_ew	s3_ch_ex	s3_ch_ey	s3_ch_fa	s3_ch_fb	s3_ch_fc	s3_ch_fd	s3_ch_ff	s3_ch_fg	s3_ch_fh	s3_ch_fi	s3_ch_fj	s3_ch_fl	s3_ch_fm	s3_ch_fn	s3_ch_fo	s3_ch_fq	s3_ch_fr	s3_ch_fs	s3_ch_ft	s3_ch_fv	s3_ch_fw	s3_ch_fx	s3_ch_fy	s3_ch_ga	s3_ch_gb	s3_ch_gc	s3_ch_gd	s3_ch_gf	s3_ch_gg	s3_ch_gh	s3_ch_gi	s3_ch_gj	s3_ch_gl	s3_ch_gm	s3_ch_gn	s3_ch_go	s3_ch_gq	s3_ch_gr	s3_ch_gs	s3_ch_gt	s3_ch_gv	s3_ch_gw	s3_ch_gx	s3_ch_gy	s3_ch_ha	s3_ch_hb	s3_ch_hc	s3_ch_hd	s3_ch_hf	s3_ch_hg	s3_ch_hh	s3_ch_hi	s3_ch_hk	s3_ch_hl	s3_ch_hm	s3_ch_hn	s3_ch_ho	s3_ch_hp	s3_ch_hq	s3_ch_hr	s3_ch_hs	s3_ch_ht	s3_ch_hu	s3_ch_hv	s3_ch_hw	s3_ch_hx	s3_ch_hy	s3_ch_hz	s3_ch_ia	s3_ch_ib	s3_ch_ic	s3_ch_id	s3_ch_ie	s3_ch_if	s3_ch_ig	s3_ch_ih	s3_ch_ii	s3_ch_ij	s3_ch_ik	s3_ch_il	s3_ch_im	s3_ch_in	s3_ch_io	s3_ch_ip	s3_ch_iq	s3_ch_ir	s3_ch_is	s3_ch_it	s3_ch_iu	s3_ch_iv	s3_ch_iw	s3_ch_ix	s3_ch_iy	s3_ch_iz	s3_ch_ja	s3_ch_jb	s3_ch_jc	s3_ch_jd	s3_ch_je	s3_ch_jf	s3_ch_jg	s3_ch_jh	s3_ch_ji	s3_ch_jj	s3_ch_jl	s3_ch_jm	s3_ch_jn	s3_ch_jo	s3_ch_jq	s3_ch_jr	s3_ch_js	s3_ch_jt	s3_ch_jv	s3_ch_jw	s3_ch_jx	s3_ch_jy	s3_ch_ka	s3_ch_kb	s3_ch_kc	s3_ch_kd	s3_ch_ke	s3_ch_kg	s3_ch_kh	s3_ch_ki	s3_ch_kj	s3_ch_kl	s3_ch_km	s3_ch_kn	s3_ch_ko	s3_ch_kq	s3_ch_kr	s3_ch_ks	s3_ch_kt	s3_ch_kv	s3_ch_kw	s3_ch_kx	s3_ch_ky	s3_ch_la	s3_ch_lb	s3_ch_lc	s3_ch_ld	s3_ch_le	s3_ch_lf	s3_ch_lg	s3_ch_lh	s3_ch_li	s3_ch_lk	s3_ch_ll	s3_ch_lm	s3_ch_ln	s3_ch_lo	s3_ch_lr	s3_ch_ls	s3_ch_lt	s3_ch_lv	s3_ch_lw	s3_ch_lx	s3_ch_ly	s3_ch_ma	s3_ch_mb	s3_ch_mc	s3_ch_md	s3_ch_mf	s3_ch_mg	s3_ch_mh	s3_ch_mj	s3_ch_mk	s3_ch_ml	s3_ch_mm	s3_ch_mn	s3_ch_mp	s3_ch_mq	s3_ch_mr	s3_ch_ms	s3_ch_mt	s3_ch_mv	s3_ch_mw	s3_ch_mx	s3_ch_my	s3_ch_na	s3_ch_nb	s3_ch_nc	s3_ch_nd	s3_ch_nf	s3_ch_ng	s3_ch_nh	s3_ch_ni	s3_ch_nk	s3_ch_nl	s3_ch_nm	s3_ch_nn	s3_ch_np	s3_ch_nq	s3_ch_nr	s3_ch_ns	s3_ch_nu	s3_ch_nv	s3_ch_nw	s3_ch_nx	s3_ch_ny	s3_ch_nz	s3_ch_oa	s3_ch_ob	s3_ch_oc	s3_ch_od	s3_ch_of	s3_ch_og	s3_ch_oh	s3_ch_oi	s3_ch_oj	s3_ch_ok	s3_ch_ol	s3_ch_om	s3_ch_on	s3_ch_oo	s3_ch_op	s3_ch_oq	s3_ch_or	s3_ch_os	s3_ch_ot	s3_ch_ou	s3_ch_ov	s3_ch_ow	s3_ch_ox	s3_ch_oy	s3_ch_oz	s3_ch_pa	s3_ch_pb	s3_ch_pc	s3_ch_pd	s3_ch_pe	s3_ch_pf	s3_ch_pg	s3_ch_ph	s3_ch_pi	s3_ch_pj	s3_ch_pk	s3_ch_pl	s3_ch_pm	s3_ch_pn	s3_ch_po	s3_ch_pp	s3_ch_pq	s3_ch_pr	s3_ch_ps	s3_ch_pt	s3_ch_pu	s3_ch_pv	s3_ch_pw	s3_ch_px	s3_ch_py	s3_ch_qa	s3_ch_qb	s3_ch_qc	s3_ch_qd	s3_ch_qf	s3_ch_qg	s3_ch_qh	s3_ch_qj	s3_ch_qk	s3_ch_ql	s3_ch_qm	s3_ch_qn	s3_ch_qp	s3_ch_qq	s3_ch_qr	s3_ch_qs	s3_ch_qt	s3_ch_qv	s3_ch_qw	s3_ch_qx	s3_ch_qy	s3_ch_ra	s3_ch_rb	s3_ch_rc	s3_ch_rd	s3_ch_rf	s3_ch_rg	s3_ch_rh	s3_ch_ri	s3_ch_rk	s3_ch_rl	s3_ch_rm	s3_ch_rn	s3_ch_rp	s3_ch_rq	s3_ch_rr	s3_ch_rs	s3_ch_ru	s3_ch_rv	s3_ch_rw	s3_ch_rx	s3_ch_rz	s3_ch_sa	s3_ch_sb	s3_ch_sc	s3_ch_sd	s3_ch_sf	s3_ch_sg	s3_ch_sh	s3_ch_si	s3_ch_sk	s3_ch_sl	s3_ch_sm	s3_ch_sn	s3_ch_sp	s3_ch_sq	s3_ch_sr	s3_ch_ss	s3_ch_su	s3_ch_sv	s3_ch_sw	s3_ch_sx	s3_ch_sz	s3_ch_ta	s3_ch_tb	s3_ch_tc	s3_ch_td	s3_ch_tf	s3_ch_tg	s3_ch_th	s3_ch_ti	s3_ch_tk	s3_ch_tl	s3_ch_tm	s3_ch_tn	s3_ch_tp	s3_ch_tq	s3_ch_tr	s3_ch_ts	s3_ch_tu	s3_ch_tv	s3_ch_tw	s3_ch_tx	s3_ch_tz	s3_ch_ua	s3_ch_ub	s3_ch_uc	s3_ch_ud	s3_ch_ue	s3_ch_uf	s3_ch_ug	s3_ch_uh	s3_ch_ui	s3_ch_uj	s3_ch_uk	s3_ch_ul	s3_ch_um	s3_ch_un	s3_ch_uo	s3_ch_up	s3_ch_uq	s3_ch_ur	s3_ch_us	s3_ch_ut	s3_ch_uu	s3_ch_uv	s3_ch_uw	s3_ch_ux	s3_ch_uy	s3_ch_uz	s3_ch_va	s3_ch_vb	s3_ch_vc	s3_ch_vd	s3_ch_ve	s3_ch_vf	s3_ch_vg	s3_ch_vh	s3_ch_vi	s3_ch_vj	s3_ch_vk	s3_ch_vl	s3_ch_vm	s3_ch_vn	s3_ch_vo	s3_ch_vp	s3_ch_vq	s3_ch_vr	s3_ch_vs	s3_ch_vt	s3_ch_vu	s3_ch_vv	s3_ch_vw	s3_ch_vx	s3_ch_vy	s3_ch_vz	s3_ch_wa	s3_ch_wb	s3_ch_wc	s3_ch_wd	s3_ch_we	s3_ch_wf	s3_ch_wg	s3_ch_wh	s3_ch_wi	s3_ch_wj	s3_ch_wk	s3_ch_wl	s3_ch_wm	s3_ch_wn	s3_ch_wo	s3_ch_wp	s3_ch_wq	s3_ch_wr	s3_ch_ws	s3_ch_wt	s3_ch_wu	s3_ch_wv	s3_ch_ww	s3_ch_wx	s3_ch_wy	s3_ch_wz	s3_ch_xa	s3_ch_xb	s3_ch_xc	s3_ch_xd	s3_ch_xe	s3_ch_xf	s3_ch_xg	s3_ch_xh	s3_ch_xi	s3_ch_xj	s3_ch_xk	s3_ch1_a	s3_ch1_b	s3_ch1_c	s3_ch1_d	s3_ch1_e	s3_ch1_f	s3_ch1_g	s3_ch1_h	s3_ch1_i	s3_ch1_j	s3_ch1_k	s3_ch1_l	s3_ch1_m	s3_ch1_n	s3_ch1_o	s3_ch1_p	s3_ch1_q	s3_ch1_r	s3_ch1_s	s3_ch1_t	s3_ch1_u	s3_ch1_v	s3_ch1_w	s3_ch1_x	s3_ch1_y	s3_ch1_z	s3_ch11	s4_q4a	s4_q4b	s4_q4c, level(99.99)
mvencode  s1_q5a	s1_q5b	s1_q5c	s1_q5d	s1_q6a	s1_q6b	s1_q6c	s1_q6d	s2_c_aaa	s2_c_aab	s2_c_aac	s2_c_aad	s2_c_aae	s2_c_aaf	s2_c_aag	s2_c_aah	s2_c_aai	s2_c_aaj	s2_c_aak	s2_c_aal	s2_c_aam	s2_c_aan	s2_c_aao	s2_c_aap	s2_c_aaq	s2_c_aar	s2_c_aas	s2_c_aat	s2_c_aau	s2_c_aav	s2_c_aaw	s2_c_aax	s2_c_aay	s2_c_aaz	s2_c_aba	s2_c_abb	s2_c_abc	s2_c_abd	s2_c_abe	s2_c_abf	s2_c_abg	s2_c_abh	s2_c_abi	s2_c_abj	s2_c_abk	s2_c_abl	s2_c_abm	s2_c_abn	s2_c_abo	s2_c_abp	s2_c_abq	s2_c_abr	s2_c_abs	s2_c_abt	s2_c_abu	s2_c_abv	s2_c_abw	s2_c_abx	s2_c_aby	s2_c_abz	s2_c_aca	s2_c_acb	s2_c_acc	s2_c_acd	s2_c_ace	s2_c_acf	s2_c_acg	s2_c_ach	s2_c_aci	s2_c_acj	s2_c_ack	s2_c_acl	s2_c_acm	s2_c_acn	s2_c_aco	s2_c_acp	s2_c_acq	s2_c_acr	s2_c_acs	s2_c_act	s2_c_acu	s2_c_acv	s2_c_acw	s2_c_acx	s2_c_acy	s2_c_acz	s2_c_ada	s2_c_adb	s2_c_adc	s2_c_add	s2_c_ade	s2_c_adf	s2_c_adg	s2_c_adh	s2_c_adi	s2_c_adj	s2_c_adk	s2_c_adl	s2_c_adm	s2_c_adn	s2_c_ado	s2_c_adp	s2_c_adq	s2_c_adr	s2_c_ads	s2_c_adt	s2_c_adu	s2_c_adv	s2_c_adw	s2_c_adx	s2_c_ady	s2_c_adz	s2_c_aea	s2_c_aeb	s2_c_aec	s2_c_aed	s2_c_aee	s2_c_aef	s2_c_aeg	s2_c_aeh	s2_c_aei	s2_c_aej	s2_c_aek	s2_c_ael	s2_c_aem	s2_c_aen	s2_c_aeo	s2_c_aep	s2_c_aeq	s2_c_aer	s2_c_aes	s2_c_aet	s2_c_aeu	s2_c_aev	s2_c_aew	s2_c_aex	s2_c_aey	s2_c_aez	s2_c_afa	s2_c_afb	s2_c_afc	s2_c_afd	s2_c_afe	s2_c_aff	s2_c_afg	s2_c_afh	s2_c_afi	s2_c_afj	s2_c_afk	s2_c_afl	s2_c_afm	s2_c_afn	s2_c_afo	s2_c_afp	s2_c_afq	s2_c_afr	s2_c_afs	s2_c_aft	s2_c_afu	s2_c_afv	s2_c_afw	s2_c_afx	s2_c_afy	s2_c_afz	s2_c_aga	s2_c_agb	s2_c_agc	s2_c_agd	s2_c_age	s2_c_agf	s2_c_agg	s2_c_agh	s2_c_agi	s2_c_agj	s2_c_agk	s2_c_agl	s2_c_agm	s2_c_agn	s2_c_ago	s2_c_agp	s2_c_agq	s2_c_agr	s2_c_ags	s2_c_agt	s2_c_agu	s2_c_agv	s2_c_agw	s2_c_agx	s2_c_agy	s2_c_agz	s2_c_aha	s2_c_ahb	s2_c_ahc	s2_c_ahd	s2_c_ahe	s2_c_ahf	s2_c_ahg	s2_c_ahh	s2_c_ahi	s2_c_ahj	s2_c_ahk	s2_c_ahl	s2_c_ahm	s2_c_ahn	s2_c_aho	s2_c_ahp	s2_c_ahq	s2_c_ahr	s2_c_ahs	s2_c_aht	s2_c_ahu	s2_c_ahv	s2_c_ahw	s2_c_ahx	s2_c_ahy	s2_c_ahz	s2_c_aia	s2_c_aib	s2_c_aic	s2_c_aid	s2_c_aie	s2_c_aif	s2_c_aig	s2_c_aih	s2_c_aii	s2_c_aij	s2_c_aik	s2_c_ail	s2_c_aim	s2_c_ain	s2_c_aio	s2_c_aip	s2_c_aiq	s2_c_air	s2_c_ais	s2_c_ait	s2_c_aiu	s2_c_aiv	s2_c_aiw	s2_c_aix	s2_c_aiy	s2_c_aiz	s2_c_aja	s2_c_ajb	s2_c_ajc	s2_c_ajd	s2_c_aje	s2_c_ajf	s2_c_ajg	s2_c_ajh	s2_c_aji	s2_c_ajj	s2_c_ajk	s2_c_ajl	s2_c_ajm	s2_c_ajn	s2_c_ajo	s2_c_ajp	s2_c_ajq	s2_c_ajr	s2_c_ajs	s2_c_ajt	s2_c_aju	s2_c_ajv	s2_c_ajw	s2_c_ajx	s2_c_ajy	s2_c_ajz	s2_c_aka	s2_c_akb	s2_c_akc	s2_c_akd	s2_c_ake	s2_c_akf	s2_c_akg	s2_c_akh	s2_c_aki	s2_c_akj	s2_c_akk	s2_c_akl	s2_c_akm	s2_c_akn	s2_c_ako	s2_c_akp	s2_c_akq	s2_c_akr	s2_c_aks	s2_c_akz	s2_c_alf	s2_c_alk	s2_c_all	s2_c_alm	s2_c_aln	s2_c_alo	s2_c_alp	s2_c_alq	s2_c_alr	s2_c_als	s2_c_alt	s2_c_alu	s2_c_alv	s2_ch_aa	s2_ch_ab	s2_ch_ac	s2_ch_ad	s2_ch_ae	s2_ch_af	s2_ch_ag	s2_ch_ah	s2_ch_ai	s2_ch_aj	s2_ch_ak	s2_ch_al	s2_ch_am	s2_ch_an	s2_ch_ao	s2_ch_ap	s2_ch_aq	s2_ch_ar	s2_ch_as	s2_ch_at	s2_ch_au	s2_ch_av	s2_ch_aw	s2_ch_ax	s2_ch_ay	s2_ch_az	s2_ch_ba	s2_ch_bb	s2_ch_bc	s2_ch_bd	s2_ch_be	s2_ch_bf	s2_ch_bg	s2_ch_bh	s2_ch_bi	s2_ch_bj	s2_ch_bk	s2_ch_bl	s2_ch_bm	s2_ch_bn	s2_ch_bo	s2_ch_bp	s2_ch_bq	s2_ch_br	s2_ch_bs	s2_ch_bt	s2_ch_bu	s2_ch_bv	s2_ch_bw	s2_ch_bx	s2_ch_by	s2_ch_bz	s2_ch_ca	s2_ch_cb	s2_ch_cc	s2_ch_cd	s2_ch_ce	s2_ch_cf	s2_ch_cg	s2_ch_ch	s2_ch_ci	s2_ch_cj	s2_ch_ck	s2_ch_cl	s2_ch_cm	s2_ch_cn	s2_ch_co	s2_ch_cp	s2_ch_cq	s2_ch_cr	s2_ch_cs	s2_ch_ct	s2_ch_cu	s2_ch_cv	s2_ch_cw	s2_ch_cx	s2_ch_cy	s2_ch_cz	s2_ch_da	s2_ch_db	s2_ch_dc	s2_ch_dd	s2_ch_de	s2_ch_df	s2_ch_dg	s2_ch_dh	s2_ch_di	s2_ch_dj	s2_ch_dk	s2_ch_dl	s2_ch_dm	s2_ch_dn	s2_ch_do	s2_ch_dp	s2_ch_dq	s2_ch_dr	s2_ch_ds	s2_ch_dt	s2_ch_du	s2_ch_dv	s2_ch_dw	s2_ch_dx	s2_ch_dy	s2_ch_dz	s2_ch_ea	s2_ch_eb	s2_ch_ec	s2_ch_ed	s2_ch_ee	s2_ch_ef	s2_ch_eg	s2_ch_eh	s2_ch_ei	s2_ch_ej	s2_ch_ek	s2_ch_el	s2_ch_em	s2_ch_en	s2_ch_eo	s2_ch_ep	s2_ch_eq	s2_ch_er	s2_ch_es	s2_ch_et	s2_ch_eu	s2_ch_ev	s2_ch_ew	s2_ch_ex	s2_ch_ey	s2_ch_ez	s2_ch_fa	s2_ch_fb	s2_ch_fc	s2_ch_fd	s2_ch_fe	s2_ch_ff	s2_ch_fg	s2_ch_fh	s2_ch_fi	s2_ch_fj	s2_ch_fk	s2_ch_fl	s2_ch_fm	s2_ch_fn	s2_ch_fo	s2_ch_fp	s2_ch_fq	s2_ch_fr	s2_ch_fs	s2_ch_ft	s2_ch_fu	s2_ch_fv	s2_ch_fw	s2_ch_fx	s2_ch_fy	s2_ch_fz	s2_ch_gb	s2_ch_gc	s2_ch_gd	s2_ch_ge	s2_ch_gf	s2_ch_gg	s2_ch_gh	s2_ch_gi	s2_ch_gj	s2_ch_gk	s2_ch_gl	s2_ch_gm	s2_ch_gn	s2_ch_go	s2_ch_gp	s2_ch_gq	s2_ch_gr	s2_ch_gs	s2_ch_gt	s2_ch_gu	s2_ch_gv	s2_ch_gw	s2_ch_gx	s2_ch_gy	s2_ch_gz	s2_ch_ha	s2_ch_hb	s2_ch_hc	s2_ch_hd	s2_ch_he	s2_ch_hf	s2_ch_hg	s2_ch_hh	s2_ch_hi	s2_ch_hj	s2_ch_hk	s2_ch_hl	s2_ch_hm	s2_ch_hn	s2_ch_ho	s2_ch_hp	s2_ch_hq	s2_ch_hr s2_ch_hs	s2_ch_ht	s2_ch_hu	s2_ch_hv	s2_ch_hw	s2_ch_hx	s2_ch_hy	s2_ch_hz	s2_ch_ia	s2_ch_ib	s2_ch_ic	s2_ch_id	s2_ch_ie	s2_ch_if	s2_ch_ig	s2_ch_ih	s2_ch_ii	s2_ch_ij	s2_ch_ik	s2_ch_il	s2_ch_im	s2_ch_in	s2_ch_io	s2_ch_ip	s2_ch_iq	s2_ch_ir	s2_ch_is	s2_ch_it	s2_ch_iu	s2_ch_iv	s2_ch_iw	s2_ch_ix	s2_ch_iy	s2_ch_iz	s2_ch_ja	s2_ch_jb	s2_ch_jc	s2_ch_jd	s2_ch_je	s2_ch_jf	s2_ch_jg	s2_ch_jh	s2_ch_ji	s2_ch_jj	s2_ch_jk	s2_ch_jl	s2_ch_jm	s2_ch_jn	s2_ch_jo	s2_ch_jp	s2_ch_jq	s2_ch_jr	s2_ch_js	s2_ch_jt	s2_ch_ju	s2_ch_jw	s2_ch_jx	s2_ch_jy	s2_ch_jz	s2_ch_ka	s2_ch_kb	s2_ch_kc	s2_ch_kd	s2_ch_ke	s2_ch_kf	s2_ch_kg	s2_ch_kh	s2_ch_ki	s2_ch_kj	s2_ch_kk	s2_ch_kl	s2_ch_km	s2_ch_kn	s2_ch_ko	s2_ch_kp	s2_ch_kq	s2_ch_kr	s2_ch_ks	s2_ch_kt	s2_ch_ku	s2_ch_kv	s2_ch_kw	s2_ch_kx	s2_ch_ky	s2_ch_kz	s2_ch_la	s2_ch_lb	s2_ch_lc	s2_ch_ld	s2_ch_le	s2_ch_lf	s2_ch_lg	s2_ch_lh	s2_ch_li	s2_ch_lj	s2_ch_lk	s2_ch_ll	s2_ch_lm	s2_ch_ln	s2_ch_lo	s2_ch_lp	s2_ch_lq	s2_ch_lr	s2_ch_ls	s2_ch_lt	s2_ch_lu	s2_ch_lv	s2_ch_lw	s2_ch_lx	s2_ch_ly	s2_ch_lz	s2_ch_ma	s2_ch_mb	s2_ch_mc	s2_ch_md	s2_ch_me	s2_ch_mf	s2_ch_mg	s2_ch_mh	s2_ch_mi	s2_ch_mj	s2_ch_mk	s2_ch_ml	s2_ch_mm	s2_ch_mn	s2_ch_mo	s2_ch_mp	s2_ch_mq	s2_ch_mr	s2_ch_ms	s2_ch_mt	s2_ch_mu	s2_ch_mv	s2_ch_mw	s2_ch_mx	s2_ch_my	s2_ch_mz	s2_ch_na	s2_ch_nb	s2_ch_nc	s2_ch_nd	s2_ch_ne	s2_ch_nf	s2_ch_ng	s2_ch_nh	s2_ch_ni	s2_ch_nj	s2_ch_nk	s2_ch_nl	s2_ch_nm	s2_ch_nn	s2_ch_no	s2_ch_np	s2_ch_nq	s2_ch_nr	s2_ch_ns	s2_ch_nt	s2_ch_nu	s2_ch_nv	s2_ch_nw	s2_ch_nx	s2_ch_ny	s2_ch_nz	s2_ch_oa	s2_ch_ob	s2_ch_oc	s2_ch_od	s2_ch_oe	s2_ch_of	s2_ch_og	s2_ch_oh	s2_ch_oi	s2_ch_oj	s2_ch_ok	s2_ch_ol	s2_ch_om	s2_ch_on	s2_ch_oo	s2_ch_op	s2_ch_oq	s2_ch_or	s2_ch_os	s2_ch_ot	s2_ch_ou	s2_ch_ov	s2_ch_ow	s2_ch_ox	s2_ch_oy	s2_ch_oz	s2_ch_pa	s2_ch_pb	s2_ch_pc	s2_ch_pd	s2_ch_pe	s2_ch_pf	s2_ch_pg	s2_ch_ph	s2_ch_pi	s2_ch_pj	s2_ch_pk	s2_ch_pl	s2_ch_pm	s2_ch_pn	s2_ch_po	s2_ch_pp	s2_ch_pq	s2_ch_pr	s2_ch_ps	s2_ch_pt	s2_ch_pu	s2_ch_pv	s2_ch_pw	s2_ch_px	s2_ch_py	s2_ch_pz	s2_ch_qa	s2_ch_qb	s2_ch_qc	s2_ch_qd	s2_ch_qe	s2_ch_qf	s2_ch_qg	s2_ch_qh	s2_ch_qi	s2_ch_qj	s2_ch_qk	s2_ch_ql	s2_ch_qm	s2_ch_qn	s2_ch_qo	s2_ch_qp	s2_ch_qq	s2_ch_qr	s2_ch_qs	s2_ch_qt	s2_ch_qu	s2_ch_qv	s2_ch_qw	s2_ch_qx	s2_ch_qy	s2_ch_qz	s2_ch_ra	s2_ch_rb	s2_ch_rc	s2_ch_rd	s2_ch_re	s2_ch_rf	s2_ch_rg	s2_ch_rh	s2_ch_ri	s2_ch_rj	s2_ch_rk	s2_ch_rl	s2_ch_rm	s2_ch_rn	s2_ch_ro	s2_ch_rp	s2_ch_rq	s2_ch_rr	s2_ch_rs	s2_ch_rt	s2_ch_ru	s2_ch_rv	s2_ch_rw	s2_ch_rx	s2_ch_ry	s2_ch_rz	s2_ch_sa	s2_ch_sb	s2_ch_sc	s2_ch_sd	s2_ch_se	s2_ch_sf	s2_ch_sg	s2_ch_sh	s2_ch_si	s2_ch_sj	s2_ch_sk	s2_ch_sl	s2_ch_sm	s2_ch_sn	s2_ch_so	s2_ch_sp	s2_ch_sq	s2_ch_sr	s2_ch_ss	s2_ch_st	s2_ch_su	s2_ch_sv	s2_ch_sw	s2_ch_sx	s2_ch_sy	s2_ch_sz	s2_ch_ta	s2_ch_tb	s2_ch_tc	s2_ch_td	s2_ch_te	s2_ch_tf	s2_ch_tg	s2_ch_th	s2_ch_ti	s2_ch_tj	s2_ch_tk	s2_ch_tl	s2_ch_tm	s2_ch_tn	s2_ch_to	s2_ch_tp	s2_ch_tq	s2_ch_tr	s2_ch_ts	s2_ch_tt	s2_ch_tu	s2_ch_tv	s2_ch_tw	s2_ch_tx	s2_ch_ty	s2_ch_tz	s2_ch_ua	s2_ch_ub	s2_ch_uc	s2_ch_ud	s2_ch_ue	s2_ch_uf	s2_ch_ug	s2_ch_uh	s2_ch_ui	s2_ch_uj	s2_ch_uk	s2_ch_ul	s2_ch_um	s2_ch_un	s2_ch_uo	s2_ch_up	s2_ch_uq	s2_ch_ur	s2_ch_us	s2_ch_ut	s2_ch_uu	s2_ch_uv	s2_ch_uw	s2_ch_ux	s2_ch_uy	s2_ch_uz	s2_ch_va	s2_ch_vb	s2_ch_vc	s2_ch_vd	s2_ch_ve	s2_ch_vf	s2_ch_vh	s2_ch_vi	s2_ch_vj	s2_ch_vk	s2_ch_vl	s2_ch_vm	s2_ch_vn	s2_ch_vo	s2_ch_vp	s2_ch_vq	s2_ch_vr	s2_ch_vs	s2_ch_vt	s2_ch_vu	s2_ch_vv	s2_ch_vw	s2_ch_vx	s2_ch_vy	s2_ch_vz	s2_ch_wa	s2_ch_wb	s2_ch_wc	s2_ch_wd	s2_ch_we	s2_ch_wf	s2_ch_wg	s2_ch_wh	s2_ch_wi	s2_ch_wj	s2_ch_wk	s2_ch_wl	s2_ch_wm	s2_ch_wn	s2_ch_wo	s2_ch_wp	s2_ch_wq	s2_ch_wr	s2_ch_ws	s2_ch_wt	s2_ch_wu	s2_ch_wv	s2_ch_ww	s2_ch_wx	s2_ch_wy	s2_ch_wz	s2_ch_xa	s2_ch_xb	s2_ch_xc	s2_ch_xd	s2_ch_xe	s2_ch_xf	s2_ch_xg	s2_ch_xh	s2_ch_xi	s2_ch_xj	s2_ch_xk	s2_ch_xl	s2_ch_xm	s2_ch_xn	s2_ch_xo	s2_ch_xp	s2_ch_xq	s2_ch_xr	s2_ch_xs	s2_ch_xt	s2_ch_xu	s2_ch_xv	s2_ch_xw	s2_ch_xx	s2_ch_xy	s2_ch_xz	s2_ch_ya	s2_ch_yb	s2_ch_yc	s2_ch_yd	s2_ch_ye	s2_ch_yf	s2_ch_yg	s2_ch_yh	s2_ch_yi	s2_ch_yj	s2_ch_yk	s2_ch_yl	s2_ch_ym	s2_ch_yn	s2_ch_yo	s2_ch_yp	s2_ch_yq	s2_ch_yr	s2_ch_ys	s2_ch_yt	s2_ch_yu	s2_ch_yv	s2_ch_yw	s2_ch_yx	s2_ch_yy	s2_ch_yz	s2_ch_za	s2_ch_zc	s2_ch_zd	s2_ch_ze	s2_ch_zf	s2_ch_zg	s2_ch_zh	s2_ch_zi	s2_ch_zj	s2_ch_zk	s2_ch_zl	s2_ch_zm	s2_ch_zn	s2_ch_zo	s2_ch_zp	s2_ch_zq	s2_ch_zr	s2_ch_zs	s2_ch_zt	s2_ch_zu	s2_ch_zv	s2_ch_zw	s2_ch_zx	s2_ch_zy	s2_ch_zz	s2_ch1_a	s2_ch1_b	s2_ch1_c	s2_ch1_d	s2_ch1_e	s2_ch1_f	s2_ch1_g	s2_ch1_h	s2_ch1_i	s2_ch1_j	s2_ch1_k	s2_ch1_l	s2_ch1_m	s2_ch1_n	s2_ch1_o	s2_ch1_p	s2_ch1_q	s2_ch1_r	s2_ch1_s	s2_ch1_t	s2_ch1_u	s2_ch1_v	s2_ch1_w	s2_ch1_x	s2_ch1_y	s2_ch1_z	s2_ch13	s3_ch_aa	s3_ch_ab	s3_ch_ac	s3_ch_ad	s3_ch_ae	s3_ch_af	s3_ch_ag	s3_ch_ah	s3_ch_ai	s3_ch_aj	s3_ch_ak	s3_ch_al	s3_ch_am	s3_ch_an	s3_ch_ao	s3_ch_ap	s3_ch_aq	s3_ch_ar	s3_ch_as	s3_ch_at	s3_ch_au	s3_ch_av	s3_ch_aw	s3_ch_ax	s3_ch_ay	s3_ch_az	s3_ch_ba	s3_ch_bb	s3_ch_bc	s3_ch_bd	s3_ch_be	s3_ch_bf	s3_ch_bg	s3_ch_bh	s3_ch_bi	s3_ch_bj	s3_ch_bk	s3_ch_bl	s3_ch_bm	s3_ch_bn	s3_ch_bo	s3_ch_bp	s3_ch_bq	s3_ch_br	s3_ch_bs	s3_ch_bt	s3_ch_bu	s3_ch_bv	s3_ch_bw	s3_ch_bx	s3_ch_by	s3_ch_bz	s3_ch_ca	s3_ch_cb	s3_ch_cc	s3_ch_cd	s3_ch_ce	s3_ch_cf	s3_ch_cg	s3_ch_ch	s3_ch_ci	s3_ch_cj	s3_ch_ck	s3_ch_cl	s3_ch_cm	s3_ch_cu	s3_ch_cw	s3_ch_cy	s3_ch_cz	s3_ch_db	s3_ch_dc	s3_ch_dd	s3_ch_de	s3_ch_dg	s3_ch_dh	s3_ch_di	s3_ch_dj	s3_ch_dl	s3_ch_dm	s3_ch_dn	s3_ch_do	s3_ch_dq	s3_ch_dr	s3_ch_ds	s3_ch_dt	s3_ch_dv	s3_ch_dw	s3_ch_dx	s3_ch_dy	s3_ch_dz	s3_ch_eb	s3_ch_ec	s3_ch_ed	s3_ch_ee	s3_ch_eg	s3_ch_eh	s3_ch_ei	s3_ch_ej	s3_ch_el	s3_ch_em	s3_ch_en	s3_ch_eo	s3_ch_eq	s3_ch_er	s3_ch_es	s3_ch_et	s3_ch_ev	s3_ch_ew	s3_ch_ex	s3_ch_ey	s3_ch_fa	s3_ch_fb	s3_ch_fc	s3_ch_fd	s3_ch_ff	s3_ch_fg	s3_ch_fh	s3_ch_fi	s3_ch_fj	s3_ch_fl	s3_ch_fm	s3_ch_fn	s3_ch_fo	s3_ch_fq	s3_ch_fr	s3_ch_fs	s3_ch_ft	s3_ch_fv	s3_ch_fw	s3_ch_fx	s3_ch_fy	s3_ch_ga	s3_ch_gb	s3_ch_gc	s3_ch_gd	s3_ch_gf	s3_ch_gg	s3_ch_gh	s3_ch_gi	s3_ch_gj	s3_ch_gl	s3_ch_gm	s3_ch_gn	s3_ch_go	s3_ch_gq	s3_ch_gr	s3_ch_gs	s3_ch_gt	s3_ch_gv	s3_ch_gw	s3_ch_gx	s3_ch_gy	s3_ch_ha	s3_ch_hb	s3_ch_hc	s3_ch_hd	s3_ch_hf	s3_ch_hg	s3_ch_hh	s3_ch_hi	s3_ch_hk	s3_ch_hl	s3_ch_hm	s3_ch_hn	s3_ch_ho	s3_ch_hp	s3_ch_hq	s3_ch_hr	s3_ch_hs	s3_ch_ht	s3_ch_hu	s3_ch_hv	s3_ch_hw	s3_ch_hx	s3_ch_hy	s3_ch_hz	s3_ch_ia	s3_ch_ib	s3_ch_ic	s3_ch_id	s3_ch_ie	s3_ch_if	s3_ch_ig	s3_ch_ih	s3_ch_ii	s3_ch_ij	s3_ch_ik	s3_ch_il	s3_ch_im	s3_ch_in	s3_ch_io	s3_ch_ip	s3_ch_iq	s3_ch_ir	s3_ch_is	s3_ch_it	s3_ch_iu	s3_ch_iv	s3_ch_iw	s3_ch_ix	s3_ch_iy	s3_ch_iz	s3_ch_ja	s3_ch_jb	s3_ch_jc	s3_ch_jd	s3_ch_je	s3_ch_jf	s3_ch_jg	s3_ch_jh	s3_ch_ji	s3_ch_jj	s3_ch_jl	s3_ch_jm	s3_ch_jn	s3_ch_jo	s3_ch_jq	s3_ch_jr	s3_ch_js	s3_ch_jt	s3_ch_jv	s3_ch_jw	s3_ch_jx	s3_ch_jy	s3_ch_ka	s3_ch_kb	s3_ch_kc	s3_ch_kd	s3_ch_ke	s3_ch_kg	s3_ch_kh	s3_ch_ki	s3_ch_kj	s3_ch_kl	s3_ch_km	s3_ch_kn	s3_ch_ko	s3_ch_kq	s3_ch_kr	s3_ch_ks	s3_ch_kt	s3_ch_kv	s3_ch_kw	s3_ch_kx	s3_ch_ky	s3_ch_la	s3_ch_lb	s3_ch_lc	s3_ch_ld	s3_ch_le	s3_ch_lf	s3_ch_lg	s3_ch_lh	s3_ch_li	s3_ch_lk	s3_ch_ll	s3_ch_lm	s3_ch_ln	s3_ch_lo	s3_ch_lr	s3_ch_ls	s3_ch_lt	s3_ch_lv	s3_ch_lw	s3_ch_lx	s3_ch_ly	s3_ch_ma	s3_ch_mb	s3_ch_mc	s3_ch_md	s3_ch_mf	s3_ch_mg	s3_ch_mh	s3_ch_mj	s3_ch_mk	s3_ch_ml	s3_ch_mm	s3_ch_mn	s3_ch_mp	s3_ch_mq	s3_ch_mr	s3_ch_ms	s3_ch_mt	s3_ch_mv	s3_ch_mw	s3_ch_mx	s3_ch_my	s3_ch_na	s3_ch_nb	s3_ch_nc	s3_ch_nd	s3_ch_nf	s3_ch_ng	s3_ch_nh	s3_ch_ni	s3_ch_nk	s3_ch_nl	s3_ch_nm	s3_ch_nn	s3_ch_np	s3_ch_nq	s3_ch_nr	s3_ch_ns	s3_ch_nu	s3_ch_nv	s3_ch_nw	s3_ch_nx	s3_ch_ny	s3_ch_nz	s3_ch_oa	s3_ch_ob	s3_ch_oc	s3_ch_od	s3_ch_of	s3_ch_og	s3_ch_oh	s3_ch_oi	s3_ch_oj	s3_ch_ok	s3_ch_ol	s3_ch_om	s3_ch_on	s3_ch_oo	s3_ch_op	s3_ch_oq	s3_ch_or	s3_ch_os	s3_ch_ot	s3_ch_ou	s3_ch_ov	s3_ch_ow	s3_ch_ox	s3_ch_oy	s3_ch_oz	s3_ch_pa	s3_ch_pb	s3_ch_pc	s3_ch_pd	s3_ch_pe	s3_ch_pf	s3_ch_pg	s3_ch_ph	s3_ch_pi	s3_ch_pj	s3_ch_pk	s3_ch_pl	s3_ch_pm	s3_ch_pn	s3_ch_po	s3_ch_pp	s3_ch_pq	s3_ch_pr	s3_ch_ps	s3_ch_pt	s3_ch_pu	s3_ch_pv	s3_ch_pw	s3_ch_px	s3_ch_py	s3_ch_qa	s3_ch_qb	s3_ch_qc	s3_ch_qd	s3_ch_qf	s3_ch_qg	s3_ch_qh	s3_ch_qj	s3_ch_qk	s3_ch_ql	s3_ch_qm	s3_ch_qn	s3_ch_qp	s3_ch_qq	s3_ch_qr	s3_ch_qs	s3_ch_qt	s3_ch_qv	s3_ch_qw	s3_ch_qx	s3_ch_qy	s3_ch_ra	s3_ch_rb	s3_ch_rc	s3_ch_rd	s3_ch_rf	s3_ch_rg	s3_ch_rh	s3_ch_ri	s3_ch_rk	s3_ch_rl	s3_ch_rm	s3_ch_rn	s3_ch_rp	s3_ch_rq	s3_ch_rr	s3_ch_rs	s3_ch_ru	s3_ch_rv	s3_ch_rw	s3_ch_rx	s3_ch_rz	s3_ch_sa	s3_ch_sb	s3_ch_sc	s3_ch_sd	s3_ch_sf	s3_ch_sg	s3_ch_sh	s3_ch_si	s3_ch_sk	s3_ch_sl	s3_ch_sm	s3_ch_sn	s3_ch_sp	s3_ch_sq	s3_ch_sr	s3_ch_ss	s3_ch_su	s3_ch_sv	s3_ch_sw	s3_ch_sx	s3_ch_sz	s3_ch_ta	s3_ch_tb	s3_ch_tc	s3_ch_td	s3_ch_tf	s3_ch_tg	s3_ch_th	s3_ch_ti	s3_ch_tk	s3_ch_tl	s3_ch_tm	s3_ch_tn	s3_ch_tp	s3_ch_tq	s3_ch_tr	s3_ch_ts	s3_ch_tu	s3_ch_tv	s3_ch_tw	s3_ch_tx	s3_ch_tz	s3_ch_ua	s3_ch_ub	s3_ch_uc	s3_ch_ud	s3_ch_ue	s3_ch_uf	s3_ch_ug	s3_ch_uh	s3_ch_ui	s3_ch_uj	s3_ch_uk	s3_ch_ul	s3_ch_um	s3_ch_un	s3_ch_uo	s3_ch_up	s3_ch_uq	s3_ch_ur	s3_ch_us	s3_ch_ut	s3_ch_uu	s3_ch_uv	s3_ch_uw	s3_ch_ux	s3_ch_uy	s3_ch_uz	s3_ch_va	s3_ch_vb	s3_ch_vc	s3_ch_vd	s3_ch_ve	s3_ch_vf	s3_ch_vg	s3_ch_vh	s3_ch_vi	s3_ch_vj	s3_ch_vk	s3_ch_vl	s3_ch_vm	s3_ch_vn	s3_ch_vo	s3_ch_vp	s3_ch_vq	s3_ch_vr	s3_ch_vs	s3_ch_vt	s3_ch_vu	s3_ch_vv	s3_ch_vw	s3_ch_vx	s3_ch_vy	s3_ch_vz	s3_ch_wa	s3_ch_wb	s3_ch_wc	s3_ch_wd	s3_ch_we	s3_ch_wf	s3_ch_wg	s3_ch_wh	s3_ch_wi	s3_ch_wj	s3_ch_wk	s3_ch_wl	s3_ch_wm	s3_ch_wn	s3_ch_wo	s3_ch_wp	s3_ch_wq	s3_ch_wr	s3_ch_ws	s3_ch_wt	s3_ch_wu	s3_ch_wv	s3_ch_ww	s3_ch_wx	s3_ch_wy	s3_ch_wz	s3_ch_xa	s3_ch_xb	s3_ch_xc	s3_ch_xd	s3_ch_xe	s3_ch_xf	s3_ch_xg	s3_ch_xh	s3_ch_xi	s3_ch_xj	s3_ch_xk	s3_ch1_a	s3_ch1_b	s3_ch1_c	s3_ch1_d	s3_ch1_e	s3_ch1_f	s3_ch1_g	s3_ch1_h	s3_ch1_i	s3_ch1_j	s3_ch1_k	s3_ch1_l	s3_ch1_m	s3_ch1_n	s3_ch1_o	s3_ch1_p	s3_ch1_q	s3_ch1_r	s3_ch1_s	s3_ch1_t	s3_ch1_u	s3_ch1_v	s3_ch1_w	s3_ch1_x	s3_ch1_y	s3_ch1_z	s3_ch11	s4_q4a	s4_q4b	s4_q4c, mv(.z = 0)


**************************************************
***  Identify skip patterns
**************************************************
gen error01 = (s2_c_akm == 2 & (s2_c_akn < . | s2_c_ako < . ))
gen error02 = (s2_c_akp == 2 & (s2_c_akq < . | s2_c_akr < . ))  
gen error03 = (s3_ch_cz == 2 & (s3_ch_da < . | s3_ch_db < . | s3_ch_dc < . | s3_ch_dd < . | s3_ch_de < . | s3_ch_df < . | s3_ch_dg < . | s3_ch_dh < . | s3_ch_di < . | s3_ch_dj < . | s3_ch_dk < . | s3_ch_dl < . | s3_ch_dm < . | s3_ch_dn < . | s3_ch_do < . | s3_ch_dp < . | s3_ch_dq < . | s3_ch_dr < . | s3_ch_ds < . | s3_ch_dt < . | s3_ch_du < . | s3_ch_dv < . | s3_ch_dw < . | s3_ch_dx < . | s3_ch_dy < .))
gen error04 = (s3_ch_dz == 2 & (s3_ch_ea < . | s3_ch_eb < . | s3_ch_ec < . | s3_ch_ed < . | s3_ch_ee < . | s3_ch_ef < . | s3_ch_eg < . | s3_ch_eh < . | s3_ch_ei < . | s3_ch_ej < . | s3_ch_ek < . | s3_ch_el < . | s3_ch_em < . | s3_ch_en < . | s3_ch_eo < . | s3_ch_ep < . | s3_ch_eq < . | s3_ch_er < . | s3_ch_es < . | s3_ch_et < . | s3_ch_eu < . | s3_ch_ev < . | s3_ch_ew < . | s3_ch_ex < . | s3_ch_ey < . | s3_ch_fi < . | s3_ch_fh < . | s3_ch_fg < . | s3_ch_ff < . | s3_ch_fe < . | s3_ch_fd < . | s3_ch_fc < . | s3_ch_fb < . | s3_ch_fa < . | s3_ch_ez < . )) 
gen error05 = (s3_ch_fj == 2 & (s3_ch_fk < . | s3_ch_fl < . | s3_ch_fm < . | s3_ch_fn < . | s3_ch_fo < . | s3_ch_fp < . | s3_ch_fq < . | s3_ch_fr < . | s3_ch_fs < . | s3_ch_ft < . | s3_ch_fu < . | s3_ch_fv < . | s3_ch_fw < . | s3_ch_fx < . | s3_ch_fy < . | s3_ch_fz < . | s3_ch_ga < . | s3_ch_gb < . | s3_ch_gc < . | s3_ch_gd < . | s3_ch_ge < . | s3_ch_gf < . | s3_ch_gg < . | s3_ch_gh < . | s3_ch_gi < . ))
gen error06 = (s3_ch_gj == 2 & (s3_ch_gk < . | s3_ch_gl < . | s3_ch_gm < . | s3_ch_gn < . | s3_ch_go < . | s3_ch_gp < . | s3_ch_gq < . | s3_ch_gr < . | s3_ch_gs < . | s3_ch_gt < . | s3_ch_gu < . | s3_ch_gv < . | s3_ch_gw < . | s3_ch_gx < . | s3_ch_gy < . |  s3_ch_gz < . | s3_ch_ha < . | s3_ch_hb < . | s3_ch_hc < . | s3_ch_hd < . | s3_ch_he < . | s3_ch_hf < . | s3_ch_hg < . | s3_ch_hh < . | s3_ch_hi < . | s3_ch_hj < . | s3_ch_hk < . | s3_ch_hl < . | s3_ch_hm < . | s3_ch_hn < . ))
gen error07 = (s3_ch_ho == 2 & (s3_ch_hp < . | s3_ch_hq < . | s3_ch_hr < . | s3_ch_hs < . | s3_ch_ht < . | s3_ch_hu < . | s3_ch_hv < . | s3_ch_hw < . | s3_ch_hx < . | s3_ch_hy < . | s3_ch_hz < . | s3_ch_ia < . | s3_ch_ib < . | s3_ch_ic < . | s3_ch_id < . | s3_ch_ie < . | s3_ch_if < . | s3_ch_ig < . | s3_ch_ih < . | s3_ch_ii < . | s3_ch_ij < . | s3_ch_ik < . | s3_ch_il < . | s3_ch_im < . | s3_ch_in < . | s3_ch_io < . | s3_ch_ip < . | s3_ch_iq < . | s3_ch_ir < . | s3_ch_is < . ))
gen error08 = (s3_ch_it == 2 & (s3_ch_iu < . | s3_ch_iv < . | s3_ch_iw < . | s3_ch_ix < . | s3_ch_iy < . | s3_ch_iz < . | s3_ch_ja < . | s3_ch_jb < . | s3_ch_jc < . | s3_ch_jd < . | s3_ch_je < . | s3_ch_jf < . | s3_ch_jg < . | s3_ch_jh < . | s3_ch_ji < . ))
gen error09 = (s3_ch_jj == 2 & (s3_ch_jk < . | s3_ch_jl < . | s3_ch_jm < . | s3_ch_jn < . | s3_ch_jo < . | s3_ch_jp < . | s3_ch_jq < . | s3_ch_jr < . | s3_ch_js < . | s3_ch_jt < . | s3_ch_ju < . | s3_ch_jv < . | s3_ch_jw < . | s3_ch_jx < . | s3_ch_jy < . | s3_ch_jz < . | s3_ch_ka < . | s3_ch_kb < . | s3_ch_kc < . | s3_ch_kd < . ))
gen error10 = (s3_ch_ke == 2 & (s3_ch_kf < . | s3_ch_kg < . | s3_ch_kh < . | s3_ch_ki < . | s3_ch_kj < . | s3_ch_kk < . | s3_ch_kl < . | s3_ch_km < . | s3_ch_kn < . | s3_ch_ko < . | s3_ch_kp < . | s3_ch_kq < . | s3_ch_kr < . | s3_ch_ks < . | s3_ch_kt < . | s3_ch_ku < . | s3_ch_kv < . | s3_ch_kw < . | s3_ch_kx < . | s3_ch_ky < . | s3_ch_kz < . | s3_ch_la < . | s3_ch_lb < . | s3_ch_lc < . | s3_ch_ld < . | s3_ch_le < . | s3_ch_lf < . | s3_ch_lg < . | s3_ch_lh < . | s3_ch_li < . | s3_ch_lj < . | s3_ch_lk < . | s3_ch_ll < . | s3_ch_lm < . | s3_ch_ln < . ))
gen error11 = (s3_ch_lo == 2 & (s3_ch_lp < . | s3_ch_lq < . | s3_ch_lr < . | s3_ch_ls < . | s3_ch_lt < . | s3_ch_lu < . | s3_ch_lv < . | s3_ch_lw < . | s3_ch_lx < . | s3_ch_ly < . | s3_ch_lz < . | s3_ch_ma < . | s3_ch_mb < . | s3_ch_mc < . | s3_ch_md < . | s3_ch_me < . | s3_ch_mf < . | s3_ch_mg < . | s3_ch_mh < . | s3_ch_mi < . | s3_ch_mj < . | s3_ch_mk < . | s3_ch_ml < . | s3_ch_mm < . | s3_ch_mn < . | s3_ch_ms < . | s3_ch_mr < . | s3_ch_mq < . | s3_ch_mp < . | s3_ch_mo < . ))
gen error12 = (s3_ch_mt == 2 & (s3_ch_mu < . | s3_ch_mv < . | s3_ch_mw < . | s3_ch_mx < . | s3_ch_my < . | s3_ch_mz < . | s3_ch_na < . | s3_ch_nb < . | s3_ch_nc < . | s3_ch_nd < . | s3_ch_ne < . | s3_ch_nf < . | s3_ch_ng < . | s3_ch_nh < . | s3_ch_ni < . | s3_ch_nj < . | s3_ch_nk < . | s3_ch_nl < . | s3_ch_nm < . | s3_ch_nn < . | s3_ch_no < . | s3_ch_np < . | s3_ch_nq < . | s3_ch_nr < . | s3_ch_ns < . | s3_ch_nt < . | s3_ch_nu < . | s3_ch_nv < . | s3_ch_nw < . | s3_ch_nx < . ))
gen error13 = (s3_ch_ny == 2 & (s3_ch_nz < . | s3_ch_oa < . | s3_ch_ob < . | s3_ch_oc < . | s3_ch_od < . | s3_ch_oe < . | s3_ch_of < . | s3_ch_og < . | s3_ch_oh < . | s3_ch_oi < . | s3_ch_oj < . | s3_ch_ok < . | s3_ch_ol < . | s3_ch_om < . | s3_ch_on < . | s3_ch_oo < . | s3_ch_op < . | s3_ch_oq < . | s3_ch_or < . | s3_ch_os < . | s3_ch_ot < . | s3_ch_ou < . | s3_ch_ov < . | s3_ch_ow < . | s3_ch_ox < . | s3_ch_oy < . | s3_ch_oz < . | s3_ch_pa < . | s3_ch_pb < . | s3_ch_pc < . ))
gen error14 = (s3_ch_pd == 2 & (s3_ch_pe < . | s3_ch_pf < . | s3_ch_pg < . | s3_ch_ph < . | s3_ch_pi < . | s3_ch_pj < . | s3_ch_pk < . | s3_ch_pl < . | s3_ch_pm < . | s3_ch_pn < . | s3_ch_po < . | s3_ch_pp < . | s3_ch_pq < . | s3_ch_pr < . | s3_ch_ps < . | s3_ch_pt < . | s3_ch_pu < . | s3_ch_pv < . | s3_ch_pw < . | s3_ch_px < . ))
gen error15 = (s3_ch_py == 2 & (s3_ch_pz < . | s3_ch_qa < . | s3_ch_qb < . | s3_ch_qc < . | s3_ch_qd < . | s3_ch_qe < . | s3_ch_qf < . | s3_ch_qg < . | s3_ch_qh < . | s3_ch_qi < . | s3_ch_qj < . | s3_ch_qk < . | s3_ch_ql < . | s3_ch_qm < . | s3_ch_qn < . | s3_ch_qo < . | s3_ch_qp < . | s3_ch_qq < . | s3_ch_qr < . | s3_ch_qs < . ))
gen error16 = (s3_ch_qt == 2 & (s3_ch_qu < . | s3_ch_qv < . | s3_ch_qw < . | s3_ch_qx < . | s3_ch_qy < . | s3_ch_qz < . | s3_ch_ra < . | s3_ch_rb < . | s3_ch_rc < . | s3_ch_rd < . | s3_ch_re < . | s3_ch_rf < . | s3_ch_rg < . | s3_ch_rh < . | s3_ch_ri < . | s3_ch_rj < . | s3_ch_rk < . | s3_ch_rl < . ))
gen error17 = (s3_ch_sd == 2 & (s3_ch_se < . | s3_ch_sf < . | s3_ch_sg < . | s3_ch_sh < . | s3_ch_si < . | s3_ch_sj < . | s3_ch_sk < . | s3_ch_sl < . | s3_ch_sm < . | s3_ch_sn < . | s3_ch_so < . | s3_ch_sp < . | s3_ch_sq < . | s3_ch_sr < . | s3_ch_ss < . | s3_ch_st < . | s3_ch_su < . | s3_ch_sv < . | s3_ch_sw < . | s3_ch_sx < . | s3_ch_sy < . | s3_ch_sz < . | s3_ch_ta < . | s3_ch_tb < . | s3_ch_tc < . ))


* Encode missing STATA values back to missing value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999)
**************************************************
*** Identify errors to be reviewed
**************************************************

cd "Source/Cambodia 2004 P E/Data/4.3. Clean Data/4.3.3. Data Code Book"
log using "peo codebook errors ", replace
codebook error* grubbs_*, compact
log close
drop grubbs* 
drop  error*

